*COMDECK HISTORY   HISTORY INFORMATION. * 
* MALET   GLG    78/04/11.
*         MODSET CORRECTS PROBLEM ON DPSR 019191 WHERE THE WORD 
*         UNRECOGNIZED IS SPELLED INCORRECTLY.
* 
* 
* MALET   GLG    78/04/12.
*         MODSET MAL001GLG CORRECTS PROBLEM REPORTED ON DPSR 019185 
*         WHERE MALET REQUESTS 30K OF CM WHERE IT SHOULD REQUEST 25K. 
* 
* 
* CAUTIONS GLG   78/04/12.
*          MODSET MAL002GLG CORRECTS PROBLEM REPORTED ON DPSR 019190. 
*          IF EQUIPMENT IS BEING TESTED AND IS TURNED ON THE OPERATING
*          SYSTEM WILL BEGIN TO USE EQUIPMENT.  MODSET ADDS CAUTION 
*          NOTE INTO CAUTIONS DECK ON CML3.0
* 
* 
* D44     GLG    78/04/11.
*         MALET D4401 AND D4402 GET ERRORS DUE TO WC REGISTER NOT BEING 
*         CLEARED ON NOSBE.   PROBLEM REPORTED BY DPSR 019184.
* 
* 
* D44     GLG    78/04/12.
*         MODSET D44001GLG FIXES PROBLEM REPORTED ON DPSR 019187
*         WHERE D44 DOES NOT HANDLE ABORT ON A VERIFY CORRECTLY.
* 
* 
* CAUTIONS KBS  78/04/14. 
*         MODSET FTP000KBS CORRECTS PROBLEM REPORTED ON DPSR 09192. 
*         HARDWARE ERROR IN PFC PRINTERS CAUSES FTP43 TO OPERATE
*         INCORRECTLY.  MODSET ADDS CAUTION NOTE INTO 
*         CAUTIONS DECK ON CML3.0.
* 
* 
* INSTLDKS GLG   78/04/19.
*          INSTALL DECK FOR NOSBE HAS WRONG FTN CARD TO ASSEMBLE
*          REGEN.  CARD NEED TO BE CHANGED TO HAVE S=CPCTEXT ADDED. 
* 
* 
* TFE     KBS 78/05/02
*  MODSET TFE000KBS CORRECTS COMPILE ERRORS INDUCED BY
*  COMPILER ENHANCEMENTS FOR CML3.1 REPORTED IN DPSR 019302.
* 
* 
* T7W     KBS 78/05/02
*  MODSET T7W000KBS CORRECTS COMPILE ERRORS INDUCED BY
*  COMPILER ENHANCEMENTS FOR CML3.1 REPORTED IN DPSR 019305.
* 
* 
* FTP     KBS 78/05/02
*  MODSET FTP001KBS CORRECTS COMPILE ERRORS INDUCED BY
*  COMPILER ENHANCEMENTS FOR CML3.1 REPORTED IN DPSR 019302.
* 
* 
* T6X     GLG    78/05/01.
*         MODSET CORRECTS T6X ASSEMBLY ERRORS ON CML 3.1
*         DPSR 019303.
* 
* 
* RT5     KBS 78/05/02
*  MODSET RT5000KBS CORRECTS COMPILE ERRORS INDUCED BY
*  COMPILER ENHANCEMENTS FOR CML3.1 REPORTED IN DPSR 019302.
* 
* 
* T7X     KBS 78/05/02
*  MODSET T7X000KBS CORRECTS COMPILE ERRORS INDUCED BY
*  COMPILER ENHANCEMENTS FOR CML3.1 REPORTED IN DPSR 019304.
* 
* 
* MALET   GLG    78/07/25.
* MALET   KBS    78/07/25.
*         CODE ADDED FOR THE FOLLOWING FEATURES AND FIXES.
* 
*         1. ADD FMD COMPILER SUPPORT FOR FMD-885.
*         2. ADD MALET VERSION NUMBER AS PAGE BANNER. 
*         3. ADD TIME STAMP ON OUTPUT LINES.
*         4. CONVERT MALET TO OVERLAYS TO REDUCE FL.
*         5. SIMPLIFIED DUP STATEMENT.
*         6. REMOVE SYSPOS AND SYSEOF.
*         7. ALLOW MSG X TO LINE BN+VALUE.
*         8. ALLOW NON-I/O ON IF STATEMENT. 
*         9. ALPHA SUBSTITUTION WITHIN FORMAT STATEMENTS. 
*        10. ADD SCRATCH REGISTERS B8-B15.
*        11. MOVE PARAMETER REGISTERS TO MEMORY.
*        12. ADD TIMEOUT COMMAND TO LOW LEVEL.
*        13. SOURCE CODE SAVED ON RFILE IF ERRORS COMPILING.
*        14. SEND DIRECTIVE TO SEND MSG TO OUTPUT AND B DISPLAY.
*        15. ERROR PROCESSING ADDED TO NOSBE IF MALET ABORTED.
*        16. TWO OUTPUT FILES SUPPORTED IF TERMINAL.
*        17. CROSS REFERENCE MAP ADDED PER MODULE.
*        18. GLOBAL CROSS REFERENCE MAP IF MAP ON MALET CALL. 
*        19. P REG UPDATING DELETED FROM DRIVER CODE AND ADDED
*            TO COMPILER CODE GENERATED.
*        20. OFF-LINE ASSEMBLY ON-LINE IF CMSE ON MALET CALL. 
*        21. TWO FORMS EQUATE XXX=NNN OR EQUATE XXX TO NNN ADDED. 
*        22. TIME LIMIT ERR IF TERMINAL AND LINE LIMIT FIXED. 
*        23. DEVICE RETURN AT MALET DROP TIME THRU CVL. 
*        24. SYSRD AND SYSWR RETURN OF STATUS FIXED FOR NOS.
*        25. MSS CSU AND MST COMPILER CODE ADDED. 
*        26. DOCUMENTATION REPLACED WITH CML 3.1 DOCUMENTATION. 
*        27. TERMINAL MODE DETERMINED FROM SYSTEM NOT CALL. 
* 
* 
*         MODSET MAL004KBS CONTAINS ADDITIONAL CHANGES FOR THESE
*         FEATURES WHICH ARE COMMON BETWEEN MALET AND MALET-II. 
* 
* 
* MALET   GLG    78/07/26 
* MALET   KBS    78/07/26 
* 
*         MODSET SUPPORTS MAL003GLG WITH CHANGES COMMON BETWEEN 
*         MALET AND MALET-II
* 
* 
* MALCMP  KBS    78/07/26 
* 
*         MODSET CORRECTS -IF- STATUEMENT CODE GENERATION WHICH 
*         CAUSED ENDLESS LOOP IN PPU
* 
* 
* MALCMP  GLG    78/08/24.
*         MODSET FIXES ERROR ON FORMAT STATEMENT WHERE LAST WORD IS NOT 
*         SUBSTITUTED IF IT EXTENDS TO COL 60.
* 
*                                                                        MAL006G
* MALCMP  GLG    78/08/28.                                               MAL006G
*         MODSET CORRECTS BAD CODE GENERATED IF MSG N N WORDS FROM       MAL006G
*         PN TO LINE.   THE MALET COMPILER FORMS LDN AND COMBINS IT      MAL006G
*         WITH THE REGISTERS ADDRESS WHICH IF MEMORY FORMS BAD CODE.     MAL006G
*                                                                        MAL006G
*                                                                        MAL008K
* MALCMP  KBS    78/09/14                                                MAL008K
* MALET20                                                                MAL008K
* MALET24                                                                MAL008K
* MALETP3                                                                MAL008K
*                                                                        MAL008K
*                CORRECTS REFERENCES TO OFF-LINE PARAMETER               MAL008K
*                REGISTER LOCATIONS                                      MAL008K
*                                                                        MAL008K
*                                                                        MAL009K
* MALCMP  KBS    78/09/14                                                MAL009K
*                                                                        MAL009K
*                CORRECTS PROBLEM WITH P REGISTER VALUE                  MAL009K
*                FOLLOWING A -GOTO XX WHILE...- STATEMENT.               MAL009K
*                                                                        MAL009K
*                                                                        MAL007G
* MALCMP  GLG    78/08/30.                                               MAL007G
*         MODSET CORRECTS PROBLEM WITH PPU DISPLAY AREA BEING            MAL007G
*         USED BY COMPILER AND NOT CLEARED AFTER ITS DONE.               MAL007G
*                                                                        MAL007G
*                                                                        MAL011K
* MALCMP  KBS    78/09/30.                                               MAL011K
*                                                                        MAL011K
*         ADDS COMPILE SUPPORT FOR OFFLINE FORCE ZERO PARITY COMMANDS    MAL011K
*         -FZCP- AND -CHANNEL PE STATUS-                                 MAL011K
*                                                                        MAL011K
*                                                                        MAL010G
* MALETP4 GLG    78/08/08.                                               MAL010G
* MALETP9                                                                MAL010G
*         MODSET ADDS ISOLATION ABLITIES TO 844HT COMPILER CODE          MAL010G
*         MUST BE INSTALLED WITH CORRESPONDING MLD CODE TO FUNCTION      MAL010G
*         CORRECTLY.                                                     MAL010G
*                                                                        MAL010G
*         NEW COMMANDS AS FOLLOWS;                                       MAL010G
*                                                                        MAL010G
*         A. CNTRL A,B,C,D,ABT Z                                         MAL010G
*            CNTRL A,B,C,D,EXECUTE,ABT Z                                 MAL010G
*            CNTRL A,B,C,D,TIME V TO X AND Y,ABT Z                       MAL010G
*            CNTRL A,B,C,D,TIME V X AND Y,ABT Z                          MAL010G
*            CNTRL A,B,C,D,TIME V X Y,ABT Z                              MAL010G
*                                                                        MAL010G
*         B. OUT CH=X,ABT Z                                              MAL010G
*            OUT CHANNEL=X,ABT Z                                         MAL010G
*                                                                        MAL010G
*         C. RES DRIVE FAULT,ABT Z                                       MAL010G
*            RES DRIVE,ABT Z                                             MAL010G
*            RES CONTROLLER,ABT Z                                        MAL010G
*                                                                        MAL010G
*         D. FLAG PULSE CH=X,ABT Z                                       MAL010G
*            FLAG PULSE CHANNEL=X,ABT Z                                  MAL010G
*                                                                        MAL010G
*         E. STATUS CHANNEL,ABT Z                                        MAL010G
*            STATUS GENERAL,ABT Z                                        MAL010G
*            STATUS DETAIL,ABT Z                                         MAL010G
*                                                                        MAL010G
*                                                                        MAL010G
*                                                                        MAL012G
* MALETPA GLG    78/08/08                                                MAL012G
*                                                                        MAL012G
*                ADDS -REFORM- , -SCAN- , AND -WRPRO- STATEMENTS TO      MAL012G
*                FMDFT COMPILER                                          MAL012G
*                                                                        MAL012G
*                                                                        MAL013G
* MALETPD GLG    78/07/24.                                               MAL013G
*         MODSET ADDS COMPILER OVERLAY FOR MSS MSC TO MALET              MAL013G
*         SUPPORTED PRODUCTS.                                            MAL013G
*                                                                        MAL013G
*                                                                        MAL014G
* MALET   GLG    78/10/09.                                               MAL014G
*                                                                        MAL014G
*         CORRECT DOUBLE LINES ON TERMINAL WHEN USING                    MAL014G
*         TWO OUTPUT FILES ON NOS                                        MAL014G
*                                                                        MAL014G
*                                                                        D44001J
* D44     JES    78/07/25                                                D44001J
*         MODSET CORRECTS MODULE D4410 SO THAT IT SHARES THE I/O         D44001J
*         CHANNEL/UNIT MORE EFFECTIVELY WITH THE O/S.                    D44001J
*                                                                        D44001J
*                                                                        D44002J
* D44     JES    78/07/25                                                D44002J
*         MODSET CORRECTS MODULE D4414 SO THAT IT SHARES THE I/O         D44002J
*         CHANNEL/UNIT MORE EFFECTIVELY WITH THE O/S AND PERFORMS        D44002J
*         RANDOM SEEKS ON ALL DEVICE CODES (CURRENTLY ALL SEEKS ARE      D44002J
*         TO CYL 000 FOR DEVICE CODES 2 AND 4).                          D44002J
*                                                                        D44002J
*                                                                        D44003J
* D44     JES    78/07/25                                                D44003J
*         MODSET CHANGES MODULE 17 SO THAT READCW COMMANDS ARE USED TO   D44003J
*         SWEEP THE PACK INSTEAD OF READ COMMANDS.  THIS PREVENTS THE    D44003J
*         TRANSMISSION OF DATA TO THE PPU OUTSIDE THE PREALLOCATED       D44003J
*         AREA IN SITUATIONS WHERE DATA SECURITY IS REQUIRED.  THIS      D44003J
*         MOD ALLOWS MODULE 17 TO EXECUTE AT AN ACCESS LEVEL OF 3        D44003J
*         AFTER THE 844 PRODUCT OVERLAY MODS REQUIRE AN ACCESS LEVEL     D44003J
*         OF 4 TO READ OUTSIDE THE PREALLOCATED AREA.                    D44003J
*                                                                        D44003J
*                                                                        MAL017G
* MALET   JES    78/07/31                                                MAL017G
*         GLG    78/10/13.                                               MAL017G
*         MODSET LOWERS THE CPU PRIORITY FOR MALET UNDER NOS TO          MAL017G
*         DECREASE THE IMPACT ON SYSTEM THRU-PUT.                        MAL017G
*                                                                        MAL017G
*                                                                        T6X001J
* T6X     JES    78/07/25                                                T6X001J
*         MODSET CHANGES ERROR OUTPUT FORMAT OF T6X TO LOOK THE SAME     T6X001J
*         AS T7X TO MAKE IT EASIER FOR THE CE TO MIGRATE FROM ONE        T6X001J
*         TEST TO THE OTHER.                                             T6X001J
*                                                                        T6X001J
*                                                                        T6X002J
* T6X     JES    78/07/25                                                T6X002J
*         MODSET CHANGES THE COMPILE CARDS FOR THE 99 SERIES MODULES OF  T6X002J
*         T6X TO CONFORM TO CODING CONVENTIONS  -  COMPILE,SOURCE        T6X002J
*                                                                        T6X002J
*                                                                        T7X002J
* T7X     JES    78/07/25                                                T7X002J
*         MODSET ALLOWS GCR OPERATIONS ON DEVICE CODE 54 DUE TO THE      T7X002J
*         INABILITY OF CVL TO DETERMINE THE CORRECT DEVICE CODE          T7X002J
*         IN NOSBE.  MODULE T7X00 IS MODIFIED.                           T7X002J
*                                                                        T7X002J
*                                                                        T7X003J
* T7X     JES    78/07/25                                                T7X003J
*         MODSET RELEASES THE I/O CHANNEL DURING LONG DELAY PERIODS      T7X003J
*         IN MODULE T7X21.                                               T7X003J
*                                                                        T7X003J
*                                                                        T7X004J
* T7X     JES    78/07/25                                                T7X004J
*         MODSET CORRECTS FIRST REVERSE START TIME PLOT IN MODULE        T7X004J
*         T7X32.                                                         T7X004J
*                                                                        T7X004J
*                                                                        T7X005J
* T7X     JES    78/07/25                                                T7X005J
*         MODSET COMPENSATES FOR TACH COUNT ERROR OF PLUS 2 IN           T7X005J
*         CONTROLWARE WHEN MEASURING FORWARD OR REVERSE GAPS IN          T7X005J
*         MODULES T7X33 AND T7X34.                                       T7X005J
*                                                                        T7X005J
*                                                                        T7X006J
* T7X     JES    78/07/25                                                T7X006J
*         MODSET CORRECTS MISSING DOCUMENTATION ON MODULE T7X45 WHEN     T7X006J
*         EXTRACTED WITH MLTDOC (BLANK LINE REMOVED).                    T7X006J
*                                                                        T7X006J
*                                                                        T7X007J
* T7X     JES    78/07/25                                                T7X007J
*         MODSET ADDS RUNNING MESSAGE TO T7X45A.                         T7X007J
*                                                                        T7X007J
*                                                                        T7X008J
* T7X     JES    78/07/25                                                T7X008J
*         THIS MODSET ADDS MODULE T7X47, CAPSTAN GO DOWN-TIME TEST, TO   T7X008J
*         THE CONFIDENCE TEST OF T7X.                                    T7X008J
*                                                                        T7X008J
*                                                                        T7X009J
* T7X     JES    78/07/25                                                T7X009J
*         THIS MODSET ADDS MODULE T7X73, SERVO ADJUST, TO THE REPAIR     T7X009J
*         SECTION OF T7X.  THIS MODULE ALLOWS ON-LINE ADJUSTMENT OF      T7X009J
*         THE CAPSTAN SERVO SYSTEM.                                      T7X009J
*                                                                        T7X009J
*                                                                        T7X010J
* T7X     JES    78/07/25                                                T7X010J
*         MODSET ADDS A LINE OF DASHES TO THE END OF AN ERROR OUTPUT     T7X010J
*         MESSAGE BLOCK TO MAKE IT EASIER TO READ.  MODULES T7X985       T7X010J
*         AND T7X986 ARE MODIFIED.                                       T7X010J
*                                                                        T7X010J
*                                                                        T7W002J
* T7W     JES    78/07/25                                                T7W002J
*         MODULE ALLOWS GCR OPERATIONS ON DEVICE CODE 54 DUE TO THE      T7W002J
*         INABILITY OF CVL TO DETERMINE THE CORRECT DEVICE CODE          T7W002J
*         IN NOSBE.  MODULE T7W00 IS MODIFIED.                           T7W002J
*                                                                        T7W002J
*                                                                        T7W003J
* T7W     JES    78/07/25                                                T7W003J
*         MODSET RELEASES THE I/O CHANNEL DURING LONG DELAY PERIODS      T7W003J
*         IN MODULE T7W21.                                               T7W003J
*                                                                        T7W003J
*                                                                        T7W004J
* T7W     JES    78/07/25                                                T7W004J
*         MODSET CORRECTS FIRST REVERSE START TIME PLOT IN MODULE        T7W004J
*         T7W32.                                                         T7W004J
*                                                                        T7W004J
*                                                                        T7W005J
* T7W     JES    78/07/25                                                T7W005J
*         MODSET COMPENSATES FOR TACH COUNT ERROR OF PLUS 2 IN           T7W005J
*         CONTROLWARE WHEN MEASURING FORWARD OR REVERSE GAPS IN          T7W005J
*         MODULES T7W33 AND T7W34.                                       T7W005J
*                                                                        T7W005J
*                                                                        T7W006J
* T7W     JES    78/07/25                                                T7W006J
*         MODSET CORRECTS MISSING DOCUMENTATION ON MODULE T7W45 WHEN     T7W006J
*         EXTRACTED WITH MLTDOC (BLANK LINE REMOVED).                    T7W006J
*                                                                        T7W006J
*                                                                        T7W007J
* T7W     JES    78/07/25                                                T7W007J
*         MODSET ADDS RUNNING MESSAGE TO T7W45A.                         T7W007J
*                                                                        T7W007J
*                                                                        T7W008J
* T7W     JES    78/07/25                                                T7W008J
*         THIS MODSET ADDS MODULE T7W47, CAPSTAN GO DOWN-TIME TEST, TO   T7W008J
*         THE CONFIDENCE TEST OF T7W.                                    T7W008J
*                                                                        T7W008J
*                                                                        T7W009J
* T7W     JES    78/07/25                                                T7W009J
*         THIS MODSET ADDS MODULE T7W73, SERVO ADJUST, TO THE REPAIR     T7W009J
*         SECTION OF T7W.  THIS MODULE ALLOWS ON-LINE ADJUSTMENT OF      T7W009J
*         THE CAPSTAN SERVO SYSTEM.                                      T7W009J
*                                                                        T7W009J
*                                                                        T7W010J
* T7W     JES    78/07/25                                                T7W010J
*         MODSET ADDS A LINE OF DASHES TO THE END OF AN ERROR OUTPUT     T7W010J
*         MESSAGE BLOCK TO MAKE IT EASIER TO READ.  MODULES T7W985       T7W010J
*         AND T7W986 ARE MODIFIED.                                       T7W010J
*                                                                        T7W010J
*                                                                        MAL016G
* MALET   JES    78/07/25                                                MAL016G
*         GLG    78/10/13.                                               MAL016G
*         MODSET ADDS SUPPORT TO A NEW FORM OF THE ASSIGN DIRECTIVE      MAL016G
*         AS FOLLOWS -         ASSIGN MNE=XX                             MAL016G
*         FOR THIS MOD TO BE EFFECTIVE, PPU ROUTINE CVL MUST BE          MAL016G
*         MODIFIED.  THESE MODS ALLOW NON-RMS DEVICES TO BE ASSIGNED     MAL016G
*         TO A MALET JOB VIA REQUEST CARDS IN BATCH MODE.                MAL016G
*                                                                        MAL016G
*                                                                        MAL015G
* MALET   GLG    78/10/13.                                               MAL015G
*         MODSET REDUCES FL FOR MALET BELOW DR REQUIREMENT OF 20K.       MAL015G
*                                                                        MAL015G
*                                                                        T7X011G
* T7X     GLG    78/10/16.                                               T7X011G
*         MODSET CORRECTS COMPILER ERRORS IN MODULE T7X47                T7X011G
*         CAUSED BY CHANGES IN DUP COMMAND FOR CML3.1.                   T7X011G
*                                                                        T7X011G
*                                                                        T7W011G
* T7W     GLG    78/10/16.                                               T7W011G
*         MODSET CORRECTS COMPILER ERRORS IN T7W47 CAUSED                T7W011G
*         BY NEW FORMAT OF DUP COMMAND ON CML3.1.                        T7W011G
*                                                                        T7W011G
* MALETP4 GLG    78/10/25.                                               MAL019G
*         MODSET CORRECTS RETURN JUMP ADDRESSES IN 844 COMPILER TO MATCH MAL019G
*         844HT DRIVER.                                                  MAL019G
*                                                                        MAL019G
*                                                                        MAL020G
* MALET   GLG    78/10/25.                                               MAL020G
*         MODSET CORRECTS MALET TO REQUEST DISK PACK SN ONLY             MAL020G
*         IF ACCESS LEVEL GRANTS WRITE OUTSIDE PRE-ALLOCATED             MAL020G
*         DISK AREA REQUESTED.                                           MAL020G
*                                                                        MAL020G
*                                                                        MAL018K
* MALET11 KBS   78/10/24.                                                MAL018K
*         MODSET CORRECTS PROBLEM WITH BINARY WRITE LENGTH TOO SHORT     MAL018K
*         IF COMPILED WITH CMSE PARAMETER AND THEN DUMPED.               MAL018K
*                                                                        MAL018K
*                                                                        D44004G
* D44     GLG    78/10/30.                                               D44004G
*         MODSET CORRECTS D4402 ERRORS IN COMPARING WORDS                D44004G
*         SB(23) AND SB(24) PLUS D4410 INACCURATLY POSTING               D44004G
*         HUNG BUFFERED CONTROLLER.                                      D44004G
*                                                                        D44004G
*                                                                        MAL008G
* MALET   GLG    78/10/31.                                               MAL008G
*         MODSET  ADDS  NEW  DOCUMENTATION FOR FMD MAINTENANCE FEATURES  MAL008G
*         ADDED TO 844HT, FMDHT, AND FMDFT DRIVERS PLUS  PLACES  CHANGE  MAL008G
*         MARKS  INTO  COLUMN  80  FOR  ALL OTHER CHANGES FOR CML3.0 TO  MAL008G
*         CML3.1 ENHANCEMENTS TO OBTAIN  LISTING  OF  CHANGES  RUN  THE  MAL008G
*         FOLLOWING DECK.                                                MAL008G
*                                                                        MAL008G
*         JOB/USER/CHARGE.   JOB FOR NOS                                 MAL008G
*         RESOURC,MT=1.                                                  MAL008G
*         REQUEST,OLDPL,VSN=CML,HY,MT,F=SI,LB=KU.                        MAL008G
*         UPDATE,Q,D.                                                    MAL008G
*         ATTACH,OPL/UN=LIBRARY                                          MAL008G
*         RFL,77000.                                                     MAL008G
*         COMPASS,I,X,S=NOSTEXT,S=CPUTEXT,S=CETEXT.                      MAL008G
*         7/8/9                                                          MAL008G
*         *ID,DEFINES                                                    MAL008G
*         *DEFINE,NOS,NOS5                                               MAL008G
*         *DEFINE,DOC                                                    MAL008G
*         *COMPILE,MALET                                                 MAL008G
*         6/7/8/9                                                        MAL008G
*                                                                        MAL008G
*                                                                        MAL008G
*         JOB,MT1.USER/CHARGE.   JOB FOR NOSBE                           MAL008G
*         REQUEST,OLDPL,VSN=CML,HY,MT.                                   MAL008G
*         UPDATE,Q,D.                                                    MAL008G
*         RFL,77000.                                                     MAL008G
*         COMPASS,I,S=SCPTEXT.                                           MAL008G
*         7/8/9                                                          MAL008G
*         *ID,DEFINES                                                    MAL008G
*         *DEFINE,NOSBE,NOSBE4                                           MAL008G
*         *DEFINE,DOC                                                    MAL008G
*         *COMPILE,MALET                                                 MAL008G
*         6/7/8/9                                                        MAL008G
*                                                                        MAL008G
*                                                                        INS001G
* INSTLDKS       GLG         78/11/01.                                   INS001G
*         MODSET CORRECTS INSTLDKS TO FUNCTION CORRECTLY ON CML 3.1.     INS001G
*                                                                        INS001G
*                                                                        TIO001K
* TIO     KBS    78/11/20.                                               TIO001K
*                                                                        TIO001K
*         CORRECTS ILLEGAL MEMORY REQUEST UNDER CMM                      TIO001K
*         REPORTED IN PSR DIG0179.                                       TIO001K
*                                                                        TIO001K
*                                                                        TIO000K
* TIO     KBS    78/11/17.                                               TIO000K
*                                                                        TIO000K
*         CORRECTS UNDEFINED SYMBOL REFERENCE REPORTED                   TIO000K
*         IN DPSR 022929.                                                TIO000K
*                                                                        TIO000K
*                                                                        TFE001G
* TFE     GLG    78/12/20.                                               TFE001G
*         MODSET CORRECTS ASSEMBLY ERRORS IN MODULE TFE04 CAUSED         TFE001G
*         BY NEW MALET FEATURES. PROBLEM REPORTED BY PTR VER1021.        TFE001G
*                                                                        TFE001G
*                                                                        MAL022G
* ASSYTAG GLG    78/12/05.                                               MAL022G
*         MODSET ADDS NOS5 AND NOSBE5 DEFINITIONS TO ASSYTAG.            MAL022G
*                                                                        MAL022G
*                                                                        MAL023G
* MALETPB GLG    79/01/09.                                               MAL023G
* MALETPC ADD SEEK RESERVE AND SEEK RELEASE TO MSS PRODUCT               MAL023G
*         OVERLAYS CSU AND MST.                                          MAL023G
*                                                                        MAL023G
*                                                                        CSU000G
* CSU     GLG    79/01/26.                                               CSU000G
*         MODSET ADDS SEEK RESERVE INTO CSU01.                           CSU000G
*                                                                        CSU000G
*                                                                        MST000G
* MST     GLG    79/01/26.                                               MST000G
*         MODSET ADDS SEEK RESERVE INTO MST01.                           MST000G
*                                                                        MST000G
*                                                                        MAL024G
* MALET30 GLG    79/02/01.                                               MAL024G
*         MODSET MOVE THE OPEN OF THE INPUT FILE FROM BEFORE LO          MAL024G
*         PARAMETERS ARE CRACKED TO AFTER. CODE IN RESPONSE TO PTR       MAL024G
*         CML31-18.                                                      MAL024G
*                                                                        MAL024G
*                                                                        MAL025G
* MALET   GLG    79/02/01.                                               MAL025G
*         MODSET CORRECTS DOCUMENTATION ON MSG COMMAND AND DELETES       MAL025G
*         UPDATE IF CODE FOR DOCUMENTATION AND CHANGES IT TO COMPASS     MAL025G
*         IF CODE.  CODE IN RESPONSE TO PTR CML31-7.                     MAL025G
*                                                                        MAL025G
*                                                                        MAL026G
* MALET   GLG    79/02/01.                                               MAL026G
* MALET12 MODSET CHANGES N.GO/DROP MESSAGES TO FLASH FOR OPERATOR        MAL026G
*         TO NOTICE THEM.  MODSET IN RESPONSE TO DPSR 32020.             MAL026G
*                                                                        MAL026G
*                                                                        MAL028G
* MALET   GLG    79/02/05.                                               MAL028G
* MALET11 MODSET CORRECTS MALET TO NOT RETURN DEVICE IF NOT IN  EST      MAL028G
*         BIT SET.                                                       MAL028G
*                                                                        MAL028G
*                                                                        D44005G
* D44     GLG    78/11/10.                                               D44005G
*         MODSET CORRECTS D44 TO RUN ON THE FMD/844.  MODULE D4402       D44005G
*         NEEDED TO BE CORRECTED.                                        D44005G
*                                                                        D44005G
*                                                                        R2D2550
* HPA    RAZ    02/01/79                                                 R2D2550
*        THIS MODSET ADDS THE FOLLOWING FEATURES TO THE 2550 REPORTS     R2D2550
*         1) ADD GRAPH ROUTINE TO OVERLAY 3                              R2D2550
*         2) ADD CALLS TO GRAPH ROUTINE FOR 2550 REPORTS                 R2D2550
*         3) ADD 80 COLUMNS OPTION TO 2550 REPORT                        R2D2550
*                                                                        R2D2550
*                                                                        R2FSCR 
*        R2FSCR                                                          R2FSCR 
* HPA    JPD    02/01/79                                                 R2FSCR 
*     THIS CORRECTION SET MAKES THE C176 REPORTS 80 COLUMNS              R2FSCR 
*     AND CORRECTS OTHER PROBLEMS.                                       R2FSCR 
*        1. TOTAL ERRORS IN ANALYSIS AND DETAIL REPORTS AREN'T THE       R2FSCR 
*           SAME.                                                        R2FSCR 
*        2. SECOND PAGE HEADER DIDN'T COME OUT IN ANALYSIS REPORT.       R2FSCR 
*        3. CHANNEL PE'S CHANNEL WAS NOT CORRECT.                        R2FSCR 
*        4.ADDS THE LCME THRESHOLD COUNT MESSAGE TO THIS REPORT.         R2FSCR 
*                                                                        R2FTAPE
*        R2FTAPE                                                         R2FTAPE
*HPA     REF          11/17/78                                           R2FTAPE
*                                                                        R2FTAPE
*        THIS FEATURE CODE DOES THE FOLLOWING:                           R2FTAPE
*        1) PUT ALL PROCESSING OF TAPE MESSAGES IN ROUTINES              R2FTAPE
*           AN3MT3 AND DL3MT3 REMOVING ROUTINES AN3NT3 AND               R2FTAPE
*           DL3NT3.                                                      R2FTAPE
*                                                                        R2FTAPE
*        2) REFORMATS THE TAPE DETAILED REPORT TO INCLUDE CHANNEL        R2FTAPE
*           NUMBER AND DATE IN DETAIL LINE, AND THE CONTROLLER           R2FTAPE
*           TYPE IN THE HEADER LINE.                                     R2FTAPE
*                                                                        R2FTAPE
*        3) ADDS THE 80 COLUMN PARAMETER TO TAPE REPORTS.                R2FTAPE
*                                                                        R2FTAPE
*        4) CORRECTS BUGS AFFECTING READ/WRITE STATUS, WRITE-EST         R2FTAPE
*           AND CONTROLLER TYPE FOR 60X/65X UNITS.                       R2FTAPE
*                                                                        R2FTAPE
*        5) CORRECTS VR AND DR INPUT PARAMETERS.                         R2FTAPE
*                                                                        R2FTAPE
*        6) REFINES THE ATS INTERVENTION REPORT.                         R2FTAPE
*                                                                        R2FTAPE
*                                                                        R2FHWMO
*        R2FHWMOD                                                        R2FHWMO
* HPA    REF    02/01/79                                                 R2FHWMO
*        THIS FEATURE CODE ADDS THE FOLLOWING:                           R2FHWMO
*         1) ADD THE HW - HISTORY WINDOW PARAMETER                       R2FHWMO
*         2) PUTS 3 DIGIT EST ORDINALS IN TAPE MEDIA                     R2FHWMO
*            REPORTS IN RESPONSE TO DPSR 33237.                          R2FHWMO
*         3) UPDATE HPERS DOCUMENTATION                                  R2FHWMO
*         4) ADD ROUTINE JULE TO OVERLAY 0.                              R2FHWMO
*         5) CLEAN UP CODE IN HPA9 AND PUT TAPE MEDIA                    R2FHWMO
*            REPORT IN 80 COLUMNS.                                       R2FHWMO
*         6) ADD ERROR COUNT TO TAPE MEDIA REJECTION LIST                R2FHWMO
*                                                                        R2FHWMO
*                                                                        HPA405S
* HPA    SHS    01/20/79                                                 HPA405S
*        THIS MODSET FIXES A PROBLEM WITH THE METHOD THAT ROUTINE        HPA405S
*        PARMS WAS STUFFING THE FILE NAMES INTO THE FITS.                HPA405S
*                                                                        HPA405S
*        ALSO ADDED IS A CALL TO CPYFTN TO INSERT THE COPYRIGHT          HPA405S
*        DATE INTO HPA BINARY.                                           HPA405S
*                                                                        HPA405S
*        MISC FIXES TO MINOR BUGS FOUND LOCALLY                          HPA405S
*                                                                        HPA405S
*                                                                        R2FECS 
*        R2FECS                                                          R2FECS 
*                                                                        HPA31C1
* HPA2,HPA36     JPD     79/10/16                                        HPA31C1
*         MODSET ENHANCES THE ECS REPORTING BY:                          HPA31C1
*         1. 80 COLUMN REPORT FORMAT                                     HPA31C1
*         2. BLANKING FIELDS THAT DON'T HAVE MEANINGFUL DATA (0'S)       HPA31C1
*         3. COUNTING THE NUMBER OF 1 WORDS READS                        HPA31C1
*         4. COMBINE UP TO 3 SEF'S (FROM NOS) INTO ONE                   HPA31C1
*            (SUBROUTINE POST2)                                          HPA31C1
*         5. FIX SEVERAL OTHER BUGS IN ORIGINAL CODE                     HPA31C1
*                                                                        HPA31C1
*         R2DFMD                                                         HPA31C1
*                                                                        HPA31C1
* HPA    JPD    02/01/79                                                 R2FECS 
*        THIS MODSET ADDS FMD SUPPORT TO THE 844 REPORT ROUTINES         R2FECS 
*        PLUS MAKING THE FOLLOWING ENHANCEMENTS:                         R2FECS 
*         1) PUT IN 80 COLUMN REPORTS FOR DISK.                          R2FECS 
*         2) PUT IN THE -R- PARAMETER TO SELECT 80 COLUMN REPORTS        R2FECS 
*         3) REWRITE THE DISK POSITION ANALYSIS SECTION OF THE           R2FECS 
*            DISK ANALYSIS REPORT.                                       R2FECS 
*         4) FORCE A DETAIL REPORT IF AN EXTENDED DETAIL REPORT          R2FECS 
*            IS SELECTED ON THE HPA CALL.                                R2FECS 
*                                                                        R2FECS 
*                                                                        CPYMOD7
* CPYFTN  SHS   01/20/79                                                 CPYMOD7
* CPYCOM                                                                 CPYMOD7
*         ADD 1979 TO FORTRAN COPYRIGHT COMMON DECK ON CML PL.           CPYMOD7
*         ADD 1979 TO COMPASS COPYRIGHT COMMON DECK ON CML PL.           CPYMOD7
*                                                                        CPYMOD7
*                                                                        VERR2G 
* HPA    SHS      02/01/79                                               VERR2G 
*        THIS MODSET CHANGES THE VERSION LEVEL OF HPA                    VERR2G 
*        TO HPAV4/R2G TO IDENTIFY FEATURE CODE MODSETS                   VERR2G 
*        ADDED FOR CMLV3.1.                                              VERR2G 
*                                                                        VERR2G 
*                                                                        MAL032G
* MALET11 GLG    79/02/13.                                               MAL032G
*         MODSET CORRECTS BIT 2**5 FROM BEING TRANSMITTED TO MLD         MAL032G
*         FOR A CHANNEL THAT HAS BEEN DOWNED.                            MAL032G
*                                                                        MAL032G
*                                                                        R2FCYB 
* HPA    GAS    79/02/22                                                 R2FCYB 
*                                                                        R2FCYB 
* R2FCYB IS A FEATURE WHICH ADDS CYBERAMA CAPABILITY TO HPA.             R2FCYB 
*        ADD A CONFIGURATION EDITOR (HPA,HPA4,HPA5,HPA8)                 R2FCYB 
*        ADD SHR TYPE RECORDS (40,41,42,43) TO ACCUMULATE                R2FCYB 
*        SYSTEM EVENT TIME DATA AS INPUT BY OPERATOR,                    R2FCYB 
*        (HPA,HPA3,HPA4,HPA6,HPA8).                                      R2FCYB 
*        ADD NEW ERROR TYPES (550B-611B).                                R2FCYB 
*                                                                        R2FCYB 
*                                                                        INS002G
* INSTLDKS GLG   79/02/13.                                               INS002G
*         MODSET ADDS INSTALL DECK FOR NOS4 AND NOSBE4 TO CML3.1         INS002G
*         MODSET CORRECTS INSTALL DECK FOR NOSBE5.                       INS002G
*                                                                        INS002G
*                                                                        MLT000R
* MLTDOC  RAS    78/12/22                                                MLT000R
*         THIS MODSET ADDS THE SOURCE LINE NUMBERS TO MALET MODULES      MLT000R
*         IN THE INTERNAL DOCUMENTATION GENERATED BY MLTDOC.             MLT000R
*         MODSET IN RESPONSE TO DPSR 31081.                              MLT000R
*                                                                        MLT000R
*                                                                        MLT000R
*                                                                        MAL029K
* MALET   KBS    79/02/06.                                               MAL029K
* MALCMP                                                                 MAL029K
*                                                                        MAL029K
*         CORRECTS DOCUMENTATION FOR CHANNEL AND FZCP COMMANDS.          MAL029K
*         CORRECTS ERROR MESSAGE ISSUED WHEN CHANNEL OR FZCP             MAL029K
*         STATEMENT IS ENCOUNTERED WHEN -CMSE- NOT SELECTED ON           MAL029K
*         MALET CALL. SATISFIES PTRS CML31-11 AND CML31-12.              MAL029K
*                                                                        MAL029K
*                                                                        MAL030K
* MALCMP  KBS    79/02/07.                                               MAL030K
*                                                                        MAL030K
*         CORRECTS DISPLAY OF ILLEGAL CHARACTERS IN ALPHA SUBSTITUTION   MAL030K
*         REPORTED IN PTR CML31-14.                                      MAL030K
*                                                                        MAL030K
*                                                                        MAL031K
* MALET   KBS    79/02/12.                                               MAL031K
* MALETP0                                                                MAL031K
*                                                                        MAL031K
*         CORRECTS DOCUMENTATION OF TIMEOUT COMMAND AND FIXES            MAL031K
*         COMPILER HANDLING OF CONSTANTS IN X/Y DELAY FORMAT.            MAL031K
*         PROBLEMS REPORTED IN PTRS CML31-15 AND CML31-17.               MAL031K
*                                                                        MAL031K
*                                                                        MAL027K
* MALET12 KBS    79/01/08.                                               MAL027K
*                                                                        MAL027K
*         CORRECTS PROBLEM IN SYSRD AND SYSWR BUFFER LENGTHS             MAL027K
*         REPORTED IN PSR DIMA170.                                       MAL027K
*                                                                        MAL027K
*                                                                        T7X012G
* T7X     GLG    79/02/26.                                               T7X012G
*         MODSET DELETES REFERENCES TO MALET FROM T7X FOR OFF-LINE       T7X012G
*                                                                        T7X012G
*                                                                        MAL033G
* MALET   GLG    79/02/27.                                               MAL033G
*         MODSET ADDS DOCUMENTATION ON FMD AND MSS TO TABLE 5-1          MAL033G
*         IN RESPONSE TO PTR CML31-19.                                   MAL033G
*                                                                        MAL033G
*                                                                        T6X003G
* T6X     GLG    79/03/05.                                               T6X003G
*         MODSET DELETES EXIT FROM T6X202 TO T6X30. IN RESPONSE TO       T6X003G
*         DPSR 030849.                                                   T6X003G
*                                                                        T6X003G
*                                                                        HPA407S
*        DPSR 33285,  DIG0186                                            HPA407S
* HPA    SHS      03/05/79                                               HPA407S
*                                                                        HPA407S
*        CORRECTIVE CODE TO ADD PROCESSING FOR UNUSED BITS 4,38,39       HPA407S
*        OF THE CY170 SCR.  PREVIOUSLY, IF BITS 38 AND 39 WERE SET,      HPA407S
*        HPA WOULD GET A FORTRAN ERROR 1.                                HPA407S
*                                                                        HPA407S
*        CORRECT MODULE TABLE ON CY176 REPORT                            HPA407S
*                                                                        HPA407S
*                                                                        MAL034G
* MALET   GLG    79/03/05.                                               MAL034G
*         MODSET ADDS DOCUMENTATION TO ERS ON MLD, SBP AND CVL           MAL034G
*         ERROR MESSAGES.                                                MAL034G
*                                                                        MAL034G
*                                                                        INS003G
* INSTLDKS GLG   79/03/13.                                               INS003G
*         MODSET CORRECTS ASSEMBLY ERRORS IN REGEN DUE TO                INS003G
*         S=CPCTEXT NOT BEING ON INSTALLATION DECK.                      INS003G
*                                                                        INS003G
*                                                                        MAL035G
* MALET   GLG    79/03/15.                                               MAL035G
*         MODSET CORRECTS ERS DOCUMENTATION FOR ERROR MESSAGE            MAL035G
*         DEVICE CODE/STATUS MISMATCH  WHICH IS RECEIVED FOR             MAL035G
*         ILLEGAL 844 UNIT ASSIGNED ON AN FMD CONTROLLER. PTR            MAL035G
*         VER1074 DESCRIBES PROBLEM. DOCUMENTATION FOR CONTROL           MAL035G
*         AND OUT COMMANDS WAS ALSO CORRECTED WITH MODSET.               MAL035G
*                                                                        MAL035G
*                                                                        HPA401R
* HPA     RAZ     3/16/79                                                HPA401R
*         THIS MODSET PRODUCES A DETAIL REPORT FROM MAINTENCE            HPA401R
*         REGISTER DATA                                                  HPA401R
*                                                                        HPA401R
*                                                                        HPA403J
* HPA     JPD     3/16/79                                                HPA403J
*         THIS MODSET CORRECTS PROBLEMS IN THE REPORTING OF THE          HPA403J
*         M2 MEMORY.                                                     HPA403J
*                                                                        HPA403J
*                                                                        R2GCYB 
* HPA     GAS    79/03/05.                                               R2GCYB 
*         MODSET R2GCYB CORRECTS MISCELLANEOUS PROBLEMS                  R2GCYB 
*          IN THE CODE OF IDENTIFIER R2FCYB.                             R2GCYB 
*                                                                        HPA401J
* HPA      JLP    03/19/79                                               HPA401J
*          SPEED UP DISK SURFACE ERROR ANALYSIS                          HPA401J
*                                                                        HPA401J
*                                                                        HPA401R
* HPA     REF    03/16/79                                                HPA401R
*         MODSET CONTAINS FEATURE CODE TO DELETE THE PAGE HEADER         HPA401R
*         REPORT NAME IF R (R = REMOTE-OUT) PARAMETER SPECIFIED.         HPA401R
*         IF X = REG (REG = REGRESSION TEST) OR TO PRINT ONLY THE        HPA401R
*                                                                        HPA401R
*                                                                        INS001R
* INSTLDKS RAZ     03/15/79                                              INS001R
*          THIS MOD WILL ADD THE COMPILE CARDS FOR HPA38 AND HPA7        INS001R
*          TO THE INSTALLATION DECKS FOR THE NOS AND NOS/BE SYSTEMS.     INS001R
*                                                                        INS001R
*                                                                        MAL036G
* MALET   GLG    79/04/01.                                               MAL036G
* MALET20 MODSET ADDS ABBREVIATIONS FOR COMPILE DIRECTIVE PARAMETERS     MAL036G
* MALCMP  SOURCE AND LIST OPTIONS AS S AND L.  DPSR 34103.               MAL036G
*                                                                        MAL036G
*                                                                        MAL037G
* MALET   GLG    79/04/04                                                MAL037G
*         MODSET ADDS EXAMPLES OF DATA STATEMENT FOR HEX DATA.           MAL037G
*                                                                        MAL037G
*                                                                        T6X004J
* T6X     JES    79/01/25                                                T6X004J
*         MODSET CORRECTS A DOCUMENTATION ERROR IN MODULE T6X09.         T6X004J
*         EC 246 IS DEFINED WHEN IT SHOULD BE EC 245.                    T6X004J
*                                                                        T6X004J
*                                                                        T6X005J
* T6X     JES    79/01/25                                                T6X005J
*         MODSET CORRECTS A PROBLEM IN PARAMETER CRACKING MODULE         T6X005J
*         T6X98P.  SINCE THIS MODULE DOES NOT VERIFY THE CONTENTS OF     T6X005J
*         PARAMETER REGISTER P2 (WORD COUNT), A PRODUCT OVERLAY ERROR    T6X005J
*         (BUFFER INDEX OR WC ERROR) IS DETECTED WHICH IS MIS-LEADING    T6X005J
*         TO THE CE IF P2 IS LEFT SET TO 0000.                           T6X005J
*         TO THE CE IF P2 IS LEFT SET TO 0000. DPSR 031064 RESPONSE.     T6X005J
*                                                                        T6X005J
*                                                                        T6X006J
* T6X     JES    79/01/25                                                T6X006J
*         MODSET CORRECTS A PROBLEM IN MODULE T6X981 THAT OCCURS WHEN    T6X006J
*         EXECUTING T6X FROM A TERMINAL. IF A 66X UNIT DROPS READY OR    T6X006J
*         DOES NOT HAVE A WRITE RING. T6X EXECUTION STOPS WITH NO ERROR  T6X006J
*         MESSAGE TO THE TERMINAL (JUST A QUESTION MARK).                T6X006J
*                                                                        T6X006J
*                                                                        MAL041G
* MALET10 GLG    79/04/13.                                               MAL041G
*         MODSET CHANGES DISPLAY FOR DEVICE CODES TO INCLUDE             MAL041G
*         7155 (FMD) CONTROLLER ON DEVICE CODE FIVE WITHIN               MAL041G
*         THE DEVICES DISPLAY.                                           MAL041G
*                                                                        MAL041G
*                                                                        MAL042G
* MALET30 GLG    79/04/13.                                               MAL042G
*         MODSET CORRECTS MALET30 TO NOT READ INPUT                      MAL042G
*         IF NOSBE.  MODSET MAL024GLG SHOULD HAVE INCLUDED               MAL042G
*         UPDATE IF CODE ON *READ* MACRO FOR NOS.                        MAL042G
*                                                                        MAL042G
*                                                                        MAL043G
* MALET   GLG    79/04/13.                                               MAL043G
*         MODSET CORRECTS DOCUMENTATION ON COMPARE COMMAND.              MAL043G
*                                                                        MAL043G
*                                                                        MAL040G
* MALET   GLG    79/04/13.                                               MAL040G
*         MODSET CORRECTS PRINT ROUTINE TO ENABLE LONG                   MAL040G
*         LINES IF ON A TERMINAL.  CURRENTLY IF TERMINAL                 MAL040G
*         IS USED THE PRINT LINE IS SPLIT INTO TWO LINES                 MAL040G
*         EVEN IF TERM=132 ON MALET CALL CARD.                           MAL040G
*                                                                        MAL040G
*                                                                        MAL039G
* MALET11 GLG    79/04/13.                                               MAL039G
*         MODSET DELETES UNUSED CODE IN CEVAL ROUTINE                    MAL039G
*         THAT HANDLED SN IN REQUIRED.  MODSET ALSO ADDS                 MAL039G
*         CODE TO REDUCE CVL CALLS IF AL WAS PROVIDED ON                 MAL039G
*         ASSIGN DIRECTIVE.                                              MAL039G
*                                                                        MAL039G
*                                                                        MAL038G
* MALET   GLG    79/04/13.                                               MAL038G
*         MODSET CORRECTS EREXIT AND RECOVR PROCESSING FOR               MAL038G
*         NOS AND NOSBE SO EQUIPMENT WILL BE RETURNED.                   MAL038G
*                                                                        MAL038G
*                                                                        HPA401J
* HPA4    JRJ     79/04/13.                                              HPA401J
*         MODSET ADDS INTERACTIVE COMMAND  "XMIT"                        HPA401J
*         WHICH SETS FROG(19) "ON".                                      HPA401J
*         FROG(19) IS NOW SET TO INDICATE THAT A TRANSMISSION FILE       HPA401J
*         FOR CENTRAL SITE IS NOW TO BE CREATED DURING THIS RUN.         HPA401J
*                                                                        HPA401J
*                                                                        HPA401T
* HPA                                                                    HPA401T
*        CORRECT OVERLAY 3 AND 4 TO GENERATE SHR31 TO SHR35              HPA401T
*        FOR CYBERAMA PROMPTER MESSAGES.                                 HPA401T
*                                                                        HPA401T
*        ADD VARIOUS FIXES TO CYBERAMA CODE                              HPA401T
*                                                                        HPA401T
*                                                                        HPA404R
* HPA      79/04/20                                                      HPA404R
*       ADD SITE MANAGEMENT REPORTS IN OVERLAY 7                         HPA404R
*                                                                        HPA404R
*                                                                        HPA402R
*         DPSR 026257                                                    HPA402R
* HPA     REF    04/13/79                                                HPA402R
*         MODSET REMOVES SECTION OF ANALYSIS REPORTS WHICH GIVE          HPA402R
*         ERROR STATISTICS BY JOB NAME.  CODE REMOVED FROM FOLLOWING     HPA402R
*         ROUTINES IN OVERLAY 3: ERDIST3, INISET3 AND STOJN3.            HPA402R
*         COMMON AREA IKD MODIFIED.                                      HPA402R
*                                                                        HPA402R
*                                                                        MLT001R
* MLTDOC  RAS    79/01/23.                                               MLT001R
*         THIS MODSET CORRECTS A PROBLEM WHICH WAS DETECTED              MLT001R
*         AFTER MODSET MLT000RAS WAS INSERTED.                           MLT001R
*         MLTDOC DOES NOT TEST FOR *END* STATEMENT PROPERLY.             MLT001R
*         PRESENTLY, MLTDOC WILL NOT DETECT AN *END STATEMENT IF         MLT001R
*         A STATEMENT NUMBER IS INCLUDED IN COLUMNS 1 AND/OR 2.          MLT001R
*         THE *ENDSUB* STATEMENT WILL ALSO BE TREATED AS AN *END*        MLT001R
*         IF THERE IS NO STATEMENT NUMBER IN COLUMNS 1 AND/OR 2.         MLT001R
*                                                                        MLT001R
*                                                                        D44006G
* D44     GLG    79/04/13.                                               D44006G
*         MODSET CORRECTS DOCUMENTATION ON D4417 TO INDICATE             D44006G
*         ACCESS LEVEL REQUIRE. DPSR 008935 REPORTED PROBLEM.            D44006G
*                                                                        D44006G
*                                                                        T7X013G
* T7X     GLG    79/04/18.                                               T7X013G
*         MODSET CORRECTS T7X012GLG WHICH ADDED CMSE17X UPDATE           T7X013G
*         *IF CODE WITHOUT A CARD COUNT ON THE *IF.                      T7X013G
*                                                                        T7X013G
*                                                                        HPA404J
*         DPSR11331                                                      HPA404J
* HPA     JPD    5/1/79                                                  HPA404J
*         MODSET CORRECTS BOARD ISOLATION PROBLEM IN THE                 HPA404J
*         CYBER 176 SCR DETAIL REPORT.                                   HPA404J
*         THE BOARD WAS ONLY INCORRECT WHEN THE SYNDROM BITS             HPA404J
*         WERE SET.  MODSET ALSO CORRECTS ANOTHER SYNDROM PROBLEM.       HPA404J
*                                                                        HPA404J
*                                                                        MAL044G
* MALETP9 GLG    79/04/23.                                               MAL044G
*         MODSET CORRECTS OFF-LINE COMPILER TO BE ABLE TO                MAL044G
*         ASSEMBLE MSS PROGRAMS.                                         MAL044G
*                                                                        MAL044G
*                                                                        MST001G
* MST     GLG    79/05/02.                                               MST001G
*         MODSET CORRECTS THE ABORT ADDRESS ON THE SEEK RESERVE          MST001G
*         IN MODULE MST01.                                               MST001G
*                                                                        MST001G
*                                                                        CSU001G
* CSU     GLG    79/04/23.                                               CSU001G
*         MODSET CHANGES DEVICE CODE (DC) REQUIRED FOR CSU FROM          CSU001G
*        102B AND 103B TO 100B AND 101B.                                 CSU001G
*                                                                        CSU001G
*                                                                        HPA408S
* HPA                                                                    HPA408S
*         CORRECTS PARAMETER USAGE AND ADDS                              HPA408S
*         VARIOUS FIXES TO SITE MANAGEMENT CODE                          HPA408S
*                                                                        HPA408S
*                                                                        HPA403R
* HPA     REF    05/11/79                                                HPA403R
*         MODSET CONTAINS CODE FOR 3 ENHANCEMENTS/CORRECTIONS:           HPA403R
*         1) ADDS THE CONTROLLER # TO AN INTERVENTION REPORT MESSAGE.    HPA403R
*         2) INCREASES THE TAPE DETAIL REPORT BLOCK COUNT TO 6 CHARS.    HPA403R
*         3) CORRECTS THE R/W BLOCK COUNT FOR TAPE CUMULATIVE STATUS.    HPA403R
*                                                                        HPA403R
*                                                                        HPA405R
* HPA                                                                    HPA405R
*        CORRECTS DEFICIENCIES IN SITE MANAGEMENT CODE                   HPA405R
*                                                                        D44007J
* D44     JES    79/03/30                                                D44007J
*         MODSET MODIFIES MODULE D4404 (SEEK TEST) TO USE STANDARD       D44007J
*         REGISTERS SO THAT THE COMMON ERROR PROCESSOR CAN BE CALLED.    D44007J
*         A SEEK TIME TOO LONG ERROR MESSAGE IS ALSO ADDED. DPSR 31049.  D44007J
*                                                                        D44007J
*                                                                        D44008J
* D44     JES    79/03/30                                                D44008J
*         MODSET MODIFIES MODULE D4405 (READ FLAW MAPS) TO USE STANDARD  D44008J
*         REGISTER VALUES SO THAT THE COMMON ERROR PROCESSOR CAN BE      D44008J
*         CALLED.  COMPARE ERROR MESSAGES ARE ALSO ADDED. DPSR 31050.    D44008J
*                                                                        D44008J
*                                                                        D44010J
* D44     JES    79/03/30                                                D44010J
*         MODSET REPLACES MODULES D44991 - D44997 WITH A SINGLE MODULE,  D44010J
*         D4499A WHICH IS A SHORT DESCRIPTION OF THE MODULES THAT MAKE   D44010J
*         UP D44. DPSR 31008.                                            D44010J
*                                                                        D44010J
*                                                                        D44011J
* D44     JES    79/05/01                                                D44011J
*         MODSET CORRECTS PROBLEM IN D44 MODULES 40,42,43,44,45 AND      D44011J
*         46 WHERE, DUE TO A CODING ERROR, THE ERROR COUNT IS NEVER      D44011J
*         INCREMENTED EVEN IF ERRORS ARE OCCURRING IF A SCOPE LOOP       D44011J
*         IS SELECTED DPSR 31012.                                        D44011J
*                                                                        D44011J
*                                                                        MAL045K
* MALCMP  KBS    79/06/08.                                               MAL045K
*                                                                        MAL045K
*                RESTORES OPERATION OF *3H FORMAT SPECIFICATION.         MAL045K
*                                                                        MAL045K
*                                                                        T5X000G
* T5X     GLG    79/05/11.                                               T5X000G
*         MODSET CORRECTS ASSEMBLY ERRORS IN T5X FOR CML 3.1 RELEASE     T5X000G
*         CAUSED BY CHANGES IN DUP COMMAND AND OVERFLOW ERRORS.          T5X000G
*                                                                        T5X000G
*                                                                        D44009J
* D44     JES    79/03/30                                                D44009J
*         MODSET REPLACES THE CURRENT ERROR PROCESSOR MODULES WITH A     D44009J
*         NEW PROCESSOR THAT PROVIDES MORE ERROR INFORMATION IN FEWER    D44009J
*         OUTPUT LINES.  THIS NEW PROCESSOR INCLUDES AN ANALYSIS OF      D44009J
*         GENERAL/DETAIL STATUS TO PROVIDE THE USER WITH THE MOST        D44009J
*         SERIOUS PROBLEM DETECTED IN STATUS. CORRECTS D44 FOR           D44009J
*         DPSR 31007.                                                    D44009J
*                                                                        D44009J
*                                                                        FMU002A
* FMU002ALJ  ALJ  79/06/12                                               FMU002A
*      MODSET CORRECTS FMU MODULE 15 TO WAIT FOR NOT BUSY                FMU002A
*      STATUS BEFORE EXECUTING THE PICTURE COMMAND AND RESERVE           FMU002A
*      DRIVE AFTER EXECUTING THE PICTURE COMMAND. DPSR 34824.            FMU002A
*                                                                        FMU002A
*  HPA   RAH 79/06/13                                                    HPA406R
*        THIS MOD CORRECTS TRANSMITTAL PROBLEMS                          HPA406R
*                                                                        HPA406R
*                                                                        HPA406R
*     DECK HPA402JRJ    JRJ    79/06/11                                  HPA402J
*                                                                        HPA402J
*     THIS CORRECTION SET ADDS THE INSERT=H/S COMMAND                    HPA402J
*     ADDS THE INCOMPLETE SUBROUTINE CHANG4 FOR THE                      HPA402J
*     CHANGE=DETAIL COMMAND,                                             HPA402J
*     DELETES ONE SUBROUTINE : PRID4                                     HPA402J
*     CHANGES THE EFFECT OF THE DELETE COMMAND TO SETTING                HPA402J
*     A FLAG FOR LATER DELETION OF A HARDWARE OR SOFTWARE ITEM           HPA402J
*     ADDS DOCUMENTATION IN VARIOUS PLACES                               HPA402J
*                                                                        HPA402J
*  HPA   TEF  79/06/11                                                   HPA402T
*        ADDS CODE TO GENERATE SHR TYPE 40                               HPA402T
*        ELIMINATES REDUNDANT FIRMWARE REVISION AND DISK PACK MOUNTS     HPA402T
*        CORRECTS USE OF SEFREC FOR NOS AND NOS/BE COMPATABILITY         HPA402T
*        CORRECTS CONDITION CAUSING RECORD MANAGER ERROR BY FORTRAN      HPA402T
*                                                                        HPA402T
*                                                                        HPA402T
*                                                                        ATC012K
* CAUTIONS KES   79/06/15.                                               ATC012K
*         MODSET ADDS CAUTIONS COMMENT FOR ATC32 WHICH DOES              ATC012K
*         NOT FULLY TEST FUNCTION 50. WHEN FCO AVAILABLE                 ATC012K
*         ATC32 WILL BE CORRECTED AND CAUTIONS COMMENT RE-               ATC012K
*         MOVED. PROBLEM IS DUE TO HARDWARE ERROR.                       ATC012K
*                                                                        ATC012K
*                                                                        FMU001A
*FMU001ALJ  ALJ  79/05/17.  DPSR  034823                                 FMU001A
*     MODSET CORRECTS MODULE FMU16 WHEN                                  FMU001A
*     RUNNING AT 2X SPEED.                                               FMU001A
*                                                                        FMU001A
*                                                                        D44012J
* D44     JMO    79/05/18                                                D44012J
*         MODSET CORRECTS CRACKING OF PARAMETERS TO ALLOW PROPER         D44012J
*         ACCESS LEVEL FOR READS AND WRITES WITHIN PART II               D44012J
*         MODULES. MODSET IS CODE FOR DPSR 32001.                        D44012J
*                                                                        D44012J
*                                                                        D44014J
*D44      JMO    79/06/15.                                               D44014J
*         MODSET CORRECTS TEMP ERROR FOR FMD CONTROLLERS.                D44014J
*         DPSR 33256.                                                    D44014J
*                                                                        D44014J
*                                                                        D44015J
*D44      JMO    79/06/26                                                D44015J
*         MODSET CORRECTS SEC/TRK COUNT ON WRITE VERIFY ERROR            D44015J
*         FOR DPSR 33254.                                                D44015J
*                                                                        D44015J
*                                                                        MY8001J
* MY8     JES    79/06/20                                                MY8001J
*         MODSET CORRECTS THE BC PROGRAM IN MODULE MY800 SO THAT         MY8001J
*         THE CODE AGREES WITH THE DOCUMENTATION (REPLACES 0901          MY8001J
*         WITH 0900 - WAIT FOR CH0 BIT 0 (FUNCTION)). DPSR 31009.        MY8001J
*                                                                        MY8001J
*                                                                        MY8002G
* MY8     GLG    79/06/22.                                               MY8002G
*         MODSET CORRECTS MY8 TO SET WC REGISTER OVER FUNC COMMAND.      MY8002G
*         MODSET DIMA142 CHANGED MLD TO CLEAR WT REGISTER ON FUNC        MY8002G
*         AND MY8 EXPECTS IT TO NOT BE CLEARED.                          MY8002G
*                                                                        MY8002G
*                                                                        BCX001J
* BCX     JES    79/06/20                                                BCX001J
*         MODSET CORRECTS THE BC PROGRAM IN MODULE BCX00 SO THAT         BCX001J
*         THE CODE AGREES WITH THE DOCUMENTATION (REPLACES 0901          BCX001J
*         WITH 0900 - WAIT FOR CH0 BIT 0 (FUNCTION)). DPSR 31010.        BCX001J
*                                                                        BCX001J
*                                                                        BCX002G
* BCX     GLG    79/06/22.                                               BCX002G
*         MODSET CORRECTS BCX TO SET WC REGISTER OVER FUNC COMMAND.      BCX002G
*         MODSET DIMA142 CHANGED MLD TO CLEAR WT REGISTER ON FUNC        BCX002G
*         AND BCX EXPECTS IT TO NOT BE CLEARED.                          BCX002G
*                                                                        BCX002G
*                                                                        T7X015J
* T7X     JES    79/04/13                                                T7X015J
*         MODSET CORRECTS MODULE 56 (RANDOM WRITE) SO THAT IT CAN        T7X015J
*         DETECT A FAILURE MODE CURRENTLY ONLY DETECTABLE BY CEAIDS      T7X015J
*         T7X.  THIS OCCURS DUE TO THE FACT THAT RANDOM DATA PATTERNS    T7X015J
*         ARE CREATED FOR EACH RECORD WRITTEN AND THE UNIT IS NOT        T7X015J
*         DRIVEN AS HARD AS IT MUST BE DRIVEN TO SEE THE FAILURE.        T7X015J
*         DPSR 31011.                                                    T7X015J
*                                                                        T7X015J
*                                                                        MAL046G
* MALCMP  GLG    79/06/21.                                               MAL046G
* MALETP0 MODSET CORRECTS COMPILER ERROR WHERE ACN INSTRUCTION           MAL046G
*         WAS BEING GENERATED FOR A MSG P0 COMMAND.  MODSET ALSO         MAL046G
*         CORRECTS TIMEOUT COMMAND WHERE VALUE FOR TYPEA WAS NOT         MAL046G
*         STORED INTO REGISTERS IF CONSTANT USED.                        MAL046G
*                                                                        MAL046G
*                                                                        MAL048G
* MALCMP  GLG    79/06/26.                                               MAL048G
*         MODSET CORRECTS MALET COMPILER TO CUT SET P INSTRUCTIONS       MAL048G
*         FOR RANDOM COMMAND.                                            MAL048G
*                                                                        MAL048G
*                                                                        MAL049G
* MALCMP  GLG    79/06/26.                                               MAL049G
*         MODSET CORRECTS MALET COMPILER TO NOT ALLOW END COMMAND        MAL049G
*         ON AN IF STATEMENT.                                            MAL049G
*                                                                        MAL049G
*                                                                        MAL050G
* MALCMP  GLG    79/06/26.                                               MAL050G
*         MODSET CORRECTS MALET COMPILER TO GENERATE CORRECT CODE        MAL050G
*         IF PARAMETER REGISTER IS USED ON LEFT SIDE OF A REPLACEMENT    MAL050G
*         STATEMENT.                                                     MAL050G
*                                                                        MAL050G
*                                                                        MAL051G
* MALCMP  GLG    79/06/26.                                               MAL051G
*         MODSET CORRECTS MALET COMPILER USAGE OF P REGISTER             MAL051G
*         WITHIN COMMANDS TO NOT GROUP IT WITH RT REGISTER               MAL051G
*         BUT GROUP IT WITH B REGISTERS.                                 MAL051G
*                                                                        MAL051G
*                                                                        CL110PD
* HISTORY RBD   79/06/30.                                                CL110PD
*         THIS MODSET ADDS THE BUILD LEVEL INDICATOR                     CL110PD
*         TO THE CORRECTION SET IDENTIFIERS AND THIS                     CL110PD
*         HISTORY STATEMENT.  ALSO DECKS FMU AND ATC                     CL110PD
*         WERE RE-SEQUENCED FOR RELEASE.                                 CL110PD
*                                                                        CL110PD
*                                                                        HPA404R
*         DPSR 30857                                                     HPA404R
*         DPSR 30858                                                     HPA404R
*         DPSR 30859                                                     HPA404R
*         DPSR 30860                                                     HPA404R
* HPA     REF    06/28/79                                                HPA404R
*         MODSET ACCOMPLISHES THE FOLLOWING, IN RESPONSE TO THE ABOVE-   HPA404R
*         MENTIONED DPSR'S:                                              HPA404R
*         1) REMOVES THE EXTRANEOUS VSN HEADER FROM THE UNRECOVERED      HPA404R
*            ERRORS SECTION OF TAPE ANALYSIS REPORTS;                    HPA404R
*         2) AMENDS 66X AND 67X DETAIL HEADERS FOR TAPE REPORTS TO       HPA404R
*            ACCURATELY REFLECT THE TYPE OF STATUS BEING REPORTED;       HPA404R
*         3) REMOVES AN EXTRA REPORT DIVIDER FROM THE POSITION           HPA404R
*            ANALYSIS SUMMARY OF 844 ANALYSIS REPORTS;                   HPA404R
*         4) FLUSHES THE VSN COUNTER APPROPRIATELY WHEN THE              HPA404R
*            NEXT RECORD IS NOT A TAPE RECORD TYPE.                      HPA404R
*                                                                        HPA404R
*  DECK  TEF 79/07/02                                                    HPA403T
*        FIXES FILE POSITIONING PROBLEM IN HPA1                          HPA403T
*        FIXES SORT PROBLEM IN HPA2                                      HPA403T
*        SETS QUALIFIER FOR SORT OF SHR 40S                              HPA403T
*        FIXES GENERATION OF EXTRA SHR 32                                HPA403T
*        FIXES SORT PROBLEM IN HPA4                                      HPA403T
*        FIXES MERGE PROBLEM IN HPA4                                     HPA403T
*                                                                        HPA403T
*                                                                        HPA403T
*  DECK JLP 79/07/02                                                     HPA402J
*        FIXES ITEM EDITOR FOR SITE MANAGER                              HPA402J
*                                                                        HPA402J
*                                                                        HPA402J
*                                                                        HPA403J
*  HPA      JRJ    79/06/15                                              HPA403J
*                                                                        HPA403J
*     MODSET CHANGES THE NAME OF TWO INDEX VARIABLES IN OVERLAY 4        HPA403J
*                                                                        HPA403J
*     FROM:   OLD        TO:   OLDXX                                     HPA403J
*             NEW              NEWXX                                     HPA403J
*                                                                        HPA403J
*  HPA   RAH 79/07/02                                                    HPA407R
*        THIS MOD CORRECTS TRANSMITTAL PROBLEMS, REVISES                 HPA407R
*        TIME ARRAY DOCUMENTATION, TURNS OFF GRAPHS WHEN                 HPA407R
*        DATA IS NOT AVAILABLE, ADDS OPERATOR MESSAGES                   HPA407R
*        TO THE DETAIL REPORT, IDENTIFIES MESSAGES, AND                  HPA407R
*        ADDS AN OPTIME MESSAGE TO THE MTBI REPORT.                      HPA407R
*                                                                        HPA407R
*                                                                        HPA407R
*                                                                        D44013J
*D44      JMO    79/07/02.                                               D44013J
*         MODSET CORECTS ASSEMBLY ERRORS FOR D44012 AND D44015.          D44013J
*         DPSR 33257.                                                    D44013J
*                                                                        D44013J
*                                                                        CL110PE
* HISTORY  RBD  70/07/06.                                                CL110PE
*          THIS MODSET ADDS THE BUILD LEVEL INDICATOR TO                 CL110PE
*          THE CORRECTION SET IDENTIFIERS AND THIS HISTORY               CL110PE
*          STATEMENT.                                                    CL110PE
*                                                                        CL110PE
*                                                                        T5X001G
* T5X     GLG    79/07/03.                                               T5X001G
*         MODSET CORRECTS BUFFER INDEX OR WC ERRORS IN                   T5X001G
*         MODULES T5X23 AND T5X43 ON CML 3.1. CODE FOR DPSR 34872.       T5X001G
*                                                                        T5X001G
*                                                                        MAL052G
* MALET   GLG    79/07/10.                                               MAL052G
* MALETP0 MODSET INCREASES TIMEOUT DELAYS ALLOWED TO 2 SECONDS           MAL052G
*         AND ADDS ABLITY TO USE MSEC ON STATEMENT.                      MAL052G
*                                                                        MAL052G
*                                                                        CL110PF
* HISTORY  PWL  79/07/16                                                 CL110PF
*          THIS MODSET ADDS THE BUILD LEVEL INDICATOR TO                 CL110PF
*          THE CORRECTION SET IDENTIFIERS AND THIS HISTORY               CL110PF
*          STATEMENT.                                                    CL110PF
*/MODSET *CL110PF* CONTAINS 11 CARDS INCLUDING THIS COMMENT              CL110PF
*  HPA   TEF  79/07/20                                                   HPA404T
*        CORRECTS TRANSMIT PROBLEM                                       HPA404T
*        CORRECTS EXCESS GRAPH GENERATION                                HPA404T
*        CORRECTS SUMMARY REPORT OVERFLOW PROBLEM                        HPA404T
*                                                                        HPA404T
*                                                                        HPA404T
*  HPA   JLP  79/07/20                                                   HPA403J
*        CORRECTS PROBLEMS IN SPA ITEM EDITOR                            HPA403J
*                                                                        HPA403J
*                                                                        HPA403J
*                                                                        INS004J
* INSTLDKS       JMO    79/07/26.                                        INS004J
*         MODSET CORRECTS THE INSTALL DECK FOR NOSBE R4 AND R5           INS004J
*         TO FIX THE FIELD LENGTH ON TIO WHICH IS TOO SMALL.             INS004J
*         DPSR 34859.                                                    INS004J
*                                                                        INS004J
*                                                                        CL110PG
* HISTORY  PWL  79/07/27                                                 CL110PG
*          THIS MODSET ADDS THE BUILD LEVEL INDICATOR TO                 CL110PG
*          THE CORRECTION SET IDENTIFIERS AND THIS HISTORY               CL110PG
*          STATEMENT.                                                    CL110PG
* REGEN   JMO    79/06/08 
*         MODSET ADDS DOCUMENTATION FOR END CASE DIFFERENCES FOR
*         DPSR 23687. 
*     HPA35  RAZ   79/07/30 
*     DPSR  30848 
*         THE TERMINAL ADDRESS AND CLUSTER ADDRESS FOR 2550 ERROR 
*         CODE 12(UPLINE BREAK) ARE REPORTED INCORRECTLY. THIS MOD WILL 
*         SET THE CORRECT DATA IN THE CORRESPONDING PRINT BUFFER. 
*   HPA3/HPA35   RAZ    79/07/19
*         DPSR  14648 
*         IF HPA TRIES TO PROCESS LCC DATA IT WILL FAIL TO RUN BECAUSE
*         OF MISSING FORMAT STATEMENTS. THIS MODSET CORRECTS THE PROBLEM
*         AND PUTS THE DATA IN THE CORRECT FORM FOR PRINTING. 
* 
* T7X     JES    79/09/18 
*         THIS MODSET ADDS MODULES T7X61 (9TK READ RECOVERY) AND
*         T7X62 (READ CLIP LEVELS TEST) TO T7X.  THESE TWO MODULES
*         PARTIALLY SATISFY DPSR 025876 AND ARE BEING SUPPLIED EARLY
*         SO THAT MANUFACTURING CAN SATISFY TOTAL UNIT TESTING WITH 
*         T7X (NO NEED FOR ON-LINE AND OFF-LINE TESTING). 
* 
* 
* HISTORY        RAF  79/10/02. 
*                THIS MODSET ADDS THE BUILD LEVEL INDICATOR 
*                TO THE CORRECTION SET IDENTIFIERS AND THIS 
*                HISTORY STATEMENT. 
* 
*                                                                        MAL31A1
* MALET   GLG    79/06/08.                                               MAL31A1
* MALET10 MODSET ADDS CVL CALL CODE FOR MSS TO MALET AND CORRECTS        MAL31A1
* MALET11 DOCUMENTATION WITHIN MALET LISTING.                            MAL31A1
*                                                                        MAL31A1
*                                                                        MLT001K
* MLTDOC KBS  79/10/05.                                                  MLT001K
*                                                                        MLT001K
*        ADDS TRADE SECRET/PROPRIETARY BANNERS TO MLTDOC OUTPUT.         MLT001K
*        (DPSR 34954)                                                    MLT001K
*                                                                        MLT001K
*                                                                        HPA31A1
*         DPSR 032024                                                    HPA31A1
* HPA36,HPA3     JPD     79/10/16                                        HPA31A1
*         MODSET CORRECTS MANY PROBLEMS IN THE LOWER CYBER SCR           HPA31A1
*         DETAIL AND ANALYSIS REPORTS FOR HPA.  THE PREVIOUS CODE FOR    HPA31A1
*         THE LOWER CYBERS HAS BEEN DELETED AND THE NEW CODE             HPA31A1
*         MERGED INTO THE CODE FOR THE CYBER 176 REPORTING.  ALSO        HPA31A1
*         ANY KNOWN PROBLEMS IN THE CYBER 176 REPORT WAS CORRECTED.      HPA31A1
*                                                                        HPA31A1
*                                                                        HPA31C1
*         DPSR 038001                                                    HPA31C1
* HISTORY JPD     79/10/16                                               HPA31C1
*         MODSET CORRECTS PROBLEMS IN THE HISTORY DECK FOR THE           HPA31C1
*         DESCRIPTIONS OF R2FECS AND R2DFMD MODSETS.                     HPA31C1
*                                                                        HPA31C1
*                                                                        D44016J
* D44     JMO    79/09/24                                                D44016J
*         MODSET CORRECTS FMD PROBLEMS IN MODULE 02.                     D44016J
*         DPSR 34895.                                                    D44016J
*                                                                        MAL31B1
* MALET11 GLG    79/10/23.                                               MAL31B1
*         MODSET CORRECTS CVL CALL ERROR CAUSED WHEN EST IS NOT          MAL31B1
*         PROVIDED ON EQUIPMENT ASSIGNMENT WHEN THE EQUIPMENT            MAL31B1
*         IS RETURNED. DPSR 34915 REPORTED PROBLEM.                      MAL31B1
*                                                                        MAL31B1
*                                                                        HPA31B1
*         DPSR 034996                                                    HPA31B1
* HPA38   JPD     79/10/16                                               HPA31B1
*         MODSET ADDS MEMORY BOARD ANALYSIS AND FAILING BIT TO           HPA31B1
*         THE M2 DETAIL AND ANALYSIS REPORTS OF HPA.                     HPA31B1
*                                                                        HPA31B1
*         DPSR 38024                                                     HPA31D1
* HPA     REF  10/24/79                                                  HPA31D1
*         MODSET SETS A FLAG IN THE GCR TAPE DETAIL REPORT FOR THE       HPA31D1
*         OCCURRENCE OF A WRITE ERROR WITH THE ERROR CORRECTION          HPA31D1
*         DISABLED BIT SET.  FLAG WILL APPEAR AS AN ASTERISK IN THE      HPA31D1
*         UNIT TYPE COLUMN AS FOLLOWS: GCR*.                             HPA31D1
*                                                                        HPA31D1
*                                                                        HPA31F1
*         DPSR  038007                                                   HPA31F1
* HPA     TEF     79/10/29                                               HPA31F1
*         MODSET CORRECTS REWIND PROBLEM IN HPA1                         HPA31F1
*                CORRECTS ENDLESS LOOP PROBLEM IN HPA5                   HPA31F1
*                ENABLES LDSET CHECKS IN HPA WITH DEBUG DEFINED          HPA31F1
*                CORRECTS SPELLING ERRORS IN HPA4                        HPA31F1
*                                                                        HPA31F1
*                                                                        HPA31E1
*         HPA31E110                                                      HPA31E1
* HPA     RAH    10/26/79                                                HPA31E1
*         MODSET CHANGES 52/53 ERRORS TO COMMENTS AND                    HPA31E1
*         ZERO FILLS RIGHT JUSTIFIED NUMERIC FIELDS                      HPA31E1
* HISTORY     RAF  79/11/02                                              CL110PI
*             THIS MODSET ADDS THE BUILD LEVEL INDICATOR                 CL110PI
*             TO THE CORRECTION SET IDENTIFIERS AND THIS                 CL110PI
*             HISTORY STATEMENT.                                         CL110PI
*                                                                        CL110PI
*/MODSET *CL110PI* CONTAINS 12 CARDS INCLUDING THIS COMMENT.             CL110PI
*                                                                        RT531A1
* RT5      DDN    79/11/12                                               RT531A1
*          MODSET CORRECTS FORMAT FOR TERMINAL OUTPUT ON MODULE 22       RT531A1
*          DPSR 006249                                                   RT531A1
*                                                                        RT531A1
*  HPA   TEF  79/11/19                                                   HPA31G1
*        MODSET HPA31G111 CORRECTS DOCUMENTATION IN HPA2                 HPA31G1
*                                                                        HPA31G1
*                                                                        HPA31G1
*                                                                        MAL31C1
* MALET   GLG    79/10/25.                                               MAL31C1
*         MODSET CORRECTS MALET TO REQUEST BOTH CSU AND MST              MAL31C1
*         ON SEPERATE CVL CALLS.  MODSET ADDS IN CORRECT CVL             MAL31C1
*         RESPONSE CODES FOR 20-32 WHICH WERE NOT BEING HANDLED          MAL31C1
*         BY MALET.  MODSET MODIFIES ASSIGN TO NOT SET BY 2**48          MAL31C1
*         WHEN C=NONE OR C=7777 ON MST ASSIGNMENT FOR CVL CALL.          MAL31C1
*         DPSR 38004 DOCUMENTS PROBLEM.                                  MAL31C1
*                                                                        MAL31C1
* HISTORY     RAF  79/12/05                                              CL111PL
*             THIS MODSET ADDS THE BUILD LEVEL INDICATOR                 CL111PL
*             TO THE CORRECTION SET IDENTIFIERS AND THIS                 CL111PL
*             HISTORY STATEMENT.                                         CL111PL
*                                                                        CL111PL
*/MODSET *CL111PL* CONTAINS 11 CARDS INCLUDING THIS COMMENT.             CL111PL
* 
* T7X     JES    79/12/10 
*         THIS MODSET SATISFIES DPSR 025876 BY SUPPLYING THE FOLLOWING
*         NEW MODULES FOR T7X;
* 
*           T7X75 - SEARCH FILE MARK TEST 
*           T7X76 - NOISE BYPASS TEST 
*           T7X77 - WARMSTART READ TEST 
*           T7X988- STATUS REPORTING FOR LOW-LEVEL MODULES
* 
* 
*FTP      DDN     79/11/26
*         MODSET CORRECTS TRAIN SELECT MODULE 12
*         DPSR 034936 
* 
* 
* D44     DDN    79/12/10 
*         MODSET CORRECTS MODULE 45 SPELLING ERROR
*         DPSR 038035 
* 
* 
* TT3      DDN    79/12/79
*          MODSET CORRECTS CHANNEL NOT RESERVED ERROR 
*          DPSR 010173
* 
*  HPA7  TEF  79/12/19
*        MODSET CORRECTS UNINITIALIZED VARIABLE CFLAG IN SUBROUTINE 
*        TRANS7 CAUSING A MODE 4 ABORT IN OVERLAY 7 
* 
* 
*  HPA7  TEF  79/12/20
*        MODSET CORRECTS CONDITION CAUSING A MODE 1 ABORT WHEN D = SY 
*        IS SELECTED AND A SEF IS UNAVAILABLE 
* 
* 
* 
* D44     JMO    79/11/30 
*         MODSET CORRECTS DOCUMENTATION FOR P7 MARGINS AND
*         ADDS A MARGINS SELECT CODE (B2) FOR INTERROGATION 
*         IN MODULE 13 UPON ERROR. DPSR 034176. 
* 
* 
* D44     DDN    80/01/02 
*         MODSET ADDS EXTERNAL DOCUMENTATION INFORMATION
*         DPSR 034177 
* 
* 
* HPA3     PWL   80/01/02 
*          MODSET SEPARATES ERROR LOG ENTRIES BY DAY, 
*          CORRECTS ERROR COUNT TOTALS IN SUMMARY REPORT
*          (S=1) AND ELIMINATES DUPLICATE ENTRIES OF
*          SYSTEM MESSAGE WHEN HW PARAMETER IS USED.
* 
* 
* MALET10 KBS    79/11/28 
* 
*         CORRECTS PROBLEM OF ZERO DATA BLANKING K/L DISPLAY WHEN 
*         DISPLAYED WITH *A FORMAT.  PROBLEM WAS REPORTED IN
*         DPSR 031649.
* 
* HISTORY RBD  80/01/14.
*         THIS MODSET ADDS THE BUILD LEVEL IDENTIFIER 
*         TO THE CORRECTION SET IDENTIFIERS AND THIS
*         HISTORY STATEMENT.  TFF WAS ADDED TO THE
*         LIBRARY DURING THIS BUILD.
*                                                                        HPA0199
* HPA5     PWL  80/01/08                                                 HPA0199
*          MODSET SEPARATES SYSTEM PERFERMANCE REPORT                    HPA0199
*          ENTRIES BY DEVICE TYPE, PRINTS DATA FOR ALL                   HPA0199
*          DEVICE TYPES IN MTBF INDEX REPORT BY DEVICE                   HPA0199
*          TYPE.                                                         HPA0199
*                                                                        HPA0199
*                                                                        HPA0319
* HPA1    PWL  80/01/02                                                  HPA0319
*         MODSET PRINTS TIMING MESSAGE FROM HPA1                         HPA0319
*         WHEN X=T PARAMETER OPTION IS USED.                             HPA0319
*                                                                        HPA0319
*                                                                        HPA0331
*        DPSR 033184                                                     HPA0331
* HPA    REF   01/16/80                                                  HPA0331
*        MODSET VERIFIES THE PRESENCE OF AN OLD HISTORY FILE WHEN IT IS  HPA0331
*        REQUIRED BY HPA PARAMETERS.  IF NO OLD HISTORY IS PRESENT, A    HPA0331
*        MESSAGE WILL RESULT.                                            HPA0331
*                                                                        HPA0331
*                                                                        HPA0380
*        DPSR 038036                                                     HPA0380
* HPA    REF  01/13/80                                                   HPA0380
*        MODSET CORRECTS THE PHYSICAL TAPE UNIT NUMBER PRINTED IN THE    HPA0380
*        DETAIL AND ANALYSIS REPORT HEADERS. SINCE THE LARGEST VALID     HPA0380
*        TAPE UNIT NUMBER IS 17 OCTAL, THE VARIABLE REQUIRES ONLY 4 BITS HPA0380
*        OF DATA FOR REPRESENTATION.                                     HPA0380
*                                                                        HPA0380
*  HPA34  RTG  80/01/16                                                  HPA0276
*        MODSET CORRECTS REPORTING OF THE PACK-ID IN THE                 HPA0276
*        UNIT ANALYSIS FLAW REPORT                                       HPA0276
*                                                                        HPA0276
*                                                                        HPA0276
*                                                                        HPA0319
*        DPSR 031967                                                     HPA0319
* HPA    REF   01/04/80                                                  HPA0319
*        MODSET ENABLES THE USE OF A SEF INPUT FILE FOR TAPE MEDIA       HPA0319
*        REPORTS WITH THE HW RETRIEVAL PARAMETER.  PREVIOUSLY, THE       HPA0319
*        HW (HISTORY WINDOW) PARAMETER PREVENTED PROCESSING OF A SEF     HPA0319
*        FILE FOR MEDIA REPORTS AND RESULTED IN A SYSTEM FATAL ERROR.    HPA0319
*                                                                        HPA0319
*                                                                        HPA0332
*        DPSR 033200                                                     HPA0332
* HPA    REF   01/21/80                                                  HPA0332
*        MODSET CORRECTS THE X=BF (BRIEF FORMAT) TO SUPPRESS THE LISTING HPA0332
*        OF FILE ASSIGNMENTS AND INPUT PARAMETERS FOR HPA REPORTS.       HPA0332
*                                                                        HPA0332
*                                                                        HPA0310
* HPA031047       GAS   11/1/79                                          HPA0310
*               MODSET ADDS INTERNAL SORT CAPABILITY TO HPA              HPA0310
*               TO ALLOW RUNNING HPA ON SYSTEM WITHOUT SORT/MERGE.       HPA0310
*                                                                        HPA0310
*                                                                        HPA0199
* HPA3     PWL  80/01/14                                                 HPA0199
* HPA5     MODSET CORRECTS CHANNEL ERROR COUNTS IN                       HPA0199
*          SUMMARY REPORT (S=2).                                         HPA0199
*                                                                        HPA0199
*  HPA7  TEF  80/01/16                                                   HPA0319
*        MODSET CORRECTS STRAY NAME IN SUBROUTINE TRANS7                 HPA0319
*                                                                        HPA0319
*                                                                        HPA0319
*  HPA5  TEF  80/01/22                                                   HPA0149
*        MODSET ALLOWS INITIAL PRINTING OF TWO GRAPHS ON FIRST PAGE      HPA0149
*                                                                        HPA0149
*                                                                        HPA0149
*  HPA7  TEF  80/01/16                                                   HPA0319
*        MODSET DELETES STRAY NAME VARIABLE PZFLG IN SUBROUTINE TRANS7   HPA0319
*                                                                        HPA0319
*                                                                        HPA0319
*  HPA7  TEF  80/01/23                                                   HPA0376
*        MODSET FIXES INCORRECT DEFINITION OF VARIABLE RTY IN            HPA0376
*        SUBROUTINE DL1CY7 CAUSING A MODE 1 FAILURE IN SETFLDS           HPA0376
*                                                                        HPA0376
*                                                                        HPA0376
*  HPA7  TEF  80/01/17                                                   HPA0319
*        MODSET CORRECTS USE OF PF PARAMETER IN SY DETAIL                HPA0319
*        AND ANALYSIS REPORTS                                            HPA0319
*                                                                        HPA0319
*                                                                        HPA0319
*  HPA8  TEF  80/01/15                                                   HPA0319
*        MODSET CORRECTS UNINITIALIZED VARIABLE ICYBEDT CAUSING A SEF    HPA0319
*        ENTRY TO BE DELETED FROM MOST RECENT DATE IN NEW HISTORY        HPA0319
*                                                                        HPA0319
*                                                                        HPA0319
*                                                                        MAL0376
* MALET   GLG    80/02/03.                                               MAL0376
*         MODSET CORRECTS ASSEMBLY ERROR WITHIN MALET CAUSED             MAL0376
*         BY CHANGE TO COMSSSJ XTEXT.  CONFLICT IN TAG NAME              MAL0376
*         FRT.  DPSR 37642 REPORTED PROBLEM.                             MAL0376
*                                                                        MAL0376
*                                                                        CL113PL
* HISTORY RBD    80/02/04                                                CL113PL
*         THIS MODSET UPDATES THE BUILD                                  CL113PL
*         IDENTIFER.                                                     CL113PL
*                                                                        CL113PL
*                                                                        D440153
* D44     JMO    80/01/28                                                D440153
*                MODSET CORRECTS INCOMPLETE MESSAGES IN                  D440153
*                MODULES 42,43,44,45 AND 46.                             D440153
*                                                                        D440153
*                                                                        HPA0349
*HPA3      PWL  80/02/05                                                 HPA0349
*HPERS     MODSET ADDS ERROR CODE 174B TO PROCESS                        HPA0349
*          "PRINT ERROR LIMIT EXCEEDED" MESSAGE.                         HPA0349
*                                                                        HPA0349
*                                                                        HPA0192
*HPA       PWL  80/02/01                                                 HPA0192
*          MODSET CHANGES OVERLAY LEVEL NUMBERS TO                       HPA0192
*          OCTAL IN HPA CALL OVERLAY STATEMENTS.                         HPA0192
*                                                                        HPA0192
*                                                                        MAL0063
* MALET10 DDN    80/01/25.                                               MAL0063
*         MODSET CORRECTS OVERFLOW ON PICTURE COMMANDS IF                MAL0063
*         NOT PPU DISPLAY PICTURE. DPSR 006324 REPORTED                  MAL0063
*         PROBLEM.                                                       MAL0063
*                                                                        MAL0063
*                                                                        INS0294
* INSTLDKS GLG   80/02/05.                                               INS0294
*         MODSET CORRECTS COMMENTS ON NOSBE INSTLDKS FOR                 INS0294
*         USER EDITLIB.  REPORTED BY DPSR 29469 AND PSR                  INS0294
*         DIM0235.                                                       INS0294
*                                                                        INS0294
*                                                                        T7X0380
* T7X     GDW    80/02/01                                                T7X0380
*         MODSET CORRECTS DATA STATEMENTS IN MODULES T7X75,              T7X0380
*         T7X76, AND T7X77 WHICH CAUSE ERRORS WHEN RUN.                  T7X0380
*         PROBLEM REPORTED BY DPSR 38012.                                T7X0380
*                                                                        T7X0380
*                                                                        HPA0319
* HPA     JLP 80/02/05                                                   HPA0319
*         THIS MOD PREVENTS USING A FILE IF THE FILE WAS SET TO ZERO     HPA0319
*         ON THE CONTROL STATEMENT.  THIS PREVENTS A RECORD MANAGER 165  HPA0319
*         ERROR.                                                         HPA0319
*                                                                        HPA0319
*                                                                        HPA0376
*        DPSR 037609                                                     HPA0376
* HPA    REF   01/23/80                                                  HPA0376
*        MODSET CORRECTS HPA PROGRAM FLOW WITH THE ELIMINATION           HPA0376
*        OF UNNECESSARY CALL TO OVERLAY SEQUENCE 2(SORT), 7 AND 8.       HPA0376
*                                                                        HPA0376
*                                                                        *CL113P
* HISTORY RRD    80/02/04                                                *CL113P
*         THIS MODSET UPDATES THE BUILD                                  *CL113P
*         IDENTIFER. IT ALSO IDENTIFIES THE                              *CL113P
*         BUILD AFTER FEATURE CODE CUT OFF.                              *CL113P
*                                                                        *CL113P
* 
* MALET11 GLG    80/02/25.
*         MODSET CORRECTS MALET PROBLEM WITH PRE-ASSIGNMENT OF TAPES
*         REPORTED BY DPSR 38055. 
* 
* 
* HPA      TEF  79/02/25
*          MODSET CHANGES REVISION NUMBER FROM R2G TO R2H 
* 
* 
* HPA35   TEF 80/02/08
*         HPA MODES OUT WHEN CHART3 IS CALLED BY AN5FE3 WITH
*         PARAMETED IX EQUAL TO 0 
* 
* 
* MALET   GLG    80/02/15.
*         MODSET CORRECTS MALET TO DROP IF RANDOM FILE FULL AND 
*         MALET RUNNING IN BATCH MODE. PROBLEM REPORTED BY
*         DPSR 034571.
* 
*  HPA5  RTG  80/01/17
*         MODSET ADDS UNIT NUMBER TO S=1 REPORT 
* 
* 
* 
* HISTORY RBD    80/03/06 
*         THIS MODSET UPDATES THE BUILD IDENTIFIER
*         FOR CML 3.1 LEVEL 114 RELEASE.
* 
* 
* FMC031013 HNS 80/01/28
* 
*         FMC01 - DATA STATEMENT ERROR. 
* 
* 
* FMC019945 HNS 80/01/28
* 
*         FMC08 - ERROR COUNT MESSAGE WITHOUT ERRORS. 
*         FMC09 - ERROR COUNT MESSAGE WITHOUT ERRORS. 
* 
* 
* FMC019964 HNS 80/02/04
* 
*         FMC16C - DETECTION/ISOLATION DATA MISSING 
* 
* 
* FMC010176 HNS 80/01/28
* 
*         FMC19 - DAYFILE ERROR MESSAGE MISSING.
* 
* 
* FMC031004 HNS 80/01/28
* 
*         FMC08 - MISSING MESSAGE.
* 
* 
* FMC008380 HNS 80/01/28
* 
*         THE RUNNING MESSAGE SHOULD NOT BE SENT TO THE DAYFILE.
* 
* 
* FMC008390 HNS 80/01/28
* 
*         FMC04 - DAYFILE ERROR MESSAGE MISSING.
*         FMC31 - DAYFILE ERROR MESSAGE MISSING.
* 
* 
* FTP     DDN    80/02/22 
*         MODSET INSURES MODULE 20 READS THE CORRECT
*         STATUS ON THE LOW LEVEL STATUS COMMAND. 
*         DPSR 032877 
* 
* 
* FTP     DDN    80/02/19 
*         MODSET CORRECTS PROBLEM IN MODULE 98B CAUSING 
*         MODULE 5 TO GET PRINT ERRORS AND COMPARE FAULT
*         USING TRAIN TYPES 2 OR 3.  DPSR 034938. 
* 
* 
* T5X     JMO    80/02/05 
*         ENHANCEMENT ALLOWS DATA COMPARE IF P3 EQUALS
*         XXX2 AND ALERT IS DETECTED. FEATURE DPSR NUMBER 
*         IS 033267 AND ENHANCEMENT DPSR IS 034920. 
* 
* 
* FMC037661 HNS 80/02/14
* 
*         FMC02 - AUTOLOAD WITH OPTIONAL 77-TABLE.
* 
* 
* HISTORY RBD    80/03/06 
*         THIS MODSET UPDATES THE BUILD IDENTIFIER
*         FOR THIS BUILD. 
* 
* 
* D44     JMO    80/02/07 
*         MODSET CORRECTS STATUS ERRORS IN MODULE 10
*         WHILE DOING SHORT READS ON A 7155 AND 844S. 
*         DPSR 037667.
* 
* 
* T7X     JMO    80/02/05 
*         ENHANCEMENT ALLOWS DATA COMPARE IF P3 EQUALS
*         XXX2 AND ALERT IS DETECTED. FEATURE DPSR NUMBER 
*         IS 033267 AND ENHANCEMENT DPSR IS 034919. 
* 
* 
* FMC037611 HNS 80/01/16
* 
*         FMC04 - ERROR MESSAGE NUMBER 64003 IS INCOMPLETE. 
*         THE CORRECTION SET ADDS THE WORDS *DETAILED STATUS* TO
*         COMPLETE THE ERROR MESSAGE. 
* 
*         FMC ALL - OTHER INCOMPLETE MESSAGES ARE CORRECTED.
* 
* 
* FMC031017 HNS 80/02/19
* 
*         FMC01B - WRONG FORMAT NUMBERS USED. 
* 
* 
* FMD031651 HNS 80/02/22
* 
*         FMD70 - CHANGE AVG. POSITIONER TIME TO 335 MICROSECONDS.
* 
* 
* FMC008381 HNS 80/02/19
* 
*         UNUSED FORMAT STATEMENTS. 
* 
* 
* FMC031025 HNS 80/03/13
* 
*         FMC03A - BAD DATA REPORTED ON ERROR.
* 
* 
* D88024479 HNS 80/03/07
* 
*         D88 - INCORRECT ABORT MESSAGE.
* 
* 
* D88024499 HNS 80/03/07
* 
*         D8860 - WRONG ERROR PROCESSOR 
* 
* 
* FMC019966 HNS 80/01/28
* 
*         FMC16 - ISOLATION DATA MISSING FROM ERROR 69021 
*         FMC21 - DEVICE INTERFACE CARD ISOLATION MISSING FOR UN 50-57. 
*         FMC22 - DEVICE INTERFACE CARD ISOLATION MISSING FOR UN 50-57. 
*         FMC23 - DEVICE INTERFACE CARD ISOLATION MISSING FOR UN 50-57. 
*         FMC33A - ISOLATION DATA MISSING FROM ERROR 6F002 AND 6F003. 
* 
* 
* D88024596 HNS 80/03/10
* 
*         D88 - B0-B1 SHOULD BE B0-B15. 
*         D8899A - B0-B1 SHOULD BE B0-B15.
* 
* 
* HPA34    PWL  80/03/11
*          MODSET CORRECTS POS/HG/SEC IN 808
*          DETAIL REPORT. 
* 
* 
* D88024592 HNS 80/03/14
* 
*         D88 - ADD FMU DEPENDENCY TO RESTRICTIONS. 
* 
* 
* D88024593 HNS 80/03/14
* 
*         D88 - WRONG MALET CALL OPTIONS. 
* 
* 
* D88024487 HNS 80/03/07
* 
*         D88 - ERROR COUNTER NOT INCREMENTED 
* 
* 
* D88024594 HNS 80/03/14
* 
*         D88 - INCORRECT ASSIGN DIRECTIVES.
* 
*  HPA1  RTG  80/03/07
*        MODSET FOR AUTOMATIC SELECTION OF D WHEN DX IS USED
* 
* 
* 
* FMC024146 HNS 80/02/07
* 
*         FMC25 - INTERMITTENT NO SYNC BYTE MISCOMPARE ERROR. 
* 
* 
* HPA7    SLJ  80/03/25 
* 
*         CORRECTS PROBLEM OF GARBAGE ON TRANSMITTAL FILE AFTER 
*         TRANSMIT FLAG HAS BEEN SET. 
* 
* 
* D88024594 HNS 80/03/14
* 
*         D88 - DOCUMENTATION INCORRECT FOR NOS/BE. 
* 
* 
* D88024470 HNS 80/03/06
* 
*         D88 - INCORRECT MODULE NUMBERS
* 
* 
* D44     JES    80/03/17 
*         MODSET CORRECTS PROBLEMS IN MODULE D4410 (SHORT READ). IT 
*         IS CURRENTLY POSSIBLE TO GET A STATUS ERROR DURING THE
*         RANDOM DATA TEST SINCE THERE IS NO CHECK FOR THE RANDOM 
*         DATA WORD BEING ZERO - IF IT IS NO STATUS ERROR OCCURS BUT
*         ONE IS EXPECTED. ERROR REPORTING IS VERY BAD IN THIS MODULE 
*         AND IS CORRECTED. DPSR 010107.
* 
* 
* D44     JMO    80/02/04 
*         MODSET CORRECTS THE POSSIBILITY OF GOING INTO A LOOP
*         IN MODULES IF A FLAW IS DETECTED IN THE LAST TRACK
*         OF A CYLINDER. DPSR 027608. 
* 
* 
* MAL     GDW    80/03/21 
*         MODSET CORRECTS MALET TO PROVIDE INTENSIFICATION OF 
*         CONTROL POINT MESSAGE *GO/DROP* TO CONSOLE OPERATOR 
*         WHEN ASSIGNING EQUIPMENT NEEDED TO EXECUTE MALET
*         DIAGNOSTICS LOADED FROM AN INTERACTIVE TERMINAL.
*         PROBLEM REPORTED BY DPSR 36104. 
* 
* 
* FMC       HNS 80/02/04
* 
*         FMC08/FMC09 - DONT WORK/PARITY SWITCH NOT TESTED. 
*         DPSR 034907 
* 
* 
* HPA      PWL  80/03/28
*          MODSET CORRECTS THE HANDLING OF LEAP YEAR. 
* 
* 
* BCX     JES    80/03/17 
*         MODSET ADDS THE TIMEOUT COMMAND TO MODULE BCX00 SUCH THAT 
*         THIS MODULE CAN BE USED FOR SCOPING PURPOSES IN REPAIRING 
*         A BUFFER CONTROLLER - TIMEOUTS ARE CURRENTLY OVER 250 MSEC
*         WHICH MAKES IT EXTREMELY DIFFICULT TO SCOPE. DPSR 010106. 
* 
* 
* MY8     JES    80/03/17 
*         MODSET ADDS THE TIMEOUT COMMAND TO MODULE MY800 SUCH THAT 
*         THIS MODULE CAN BE USED FOR SCOPING PURPOSES IN REPAIRING 
*         A BUFFER CONTROLLER - TIMEOUTS ARE CURRENTLY OVER 250 MSEC
*         WHICH MAKES IT EXTREMELY DIFFICULT TO SCOPE. DPSR 010105. 
* 
* 
* D88       HNS 80/03/21
* 
*         D88 - WORD COUNT NOT RESET. 
*         DPSR 024466 
* 
* 
* TFF     GDW    80/03/04 
*         MODSET CORRECTS FAILURE TO RUN ON 4X PP.
*         PROBLEM REPORTED BY DPSR 037663.
* 
* 
* HISTORY RBD    80/04/10 
*         THIS MODSET UPDATES THE BUILD IDENTIFIER
*         FOR THIS BUILD (CL115PL).  DECK T7W WAS 
*         MOVED TO THE CLASS 2 LIBRARY. 
* 
* 
* FMC       HNS 80/02/20
* 
*         FMC02 - MISSING STATUS CHECK AND MESSAGE. 
*         FMC28 - INCORRECT ERROR CALL
*         FMCALL - MISSING ISOLATION PARAMETER CHECK. 
*         FMCALL - *IF DEF TSP LENGTH INCORRECT.
*         FMCALL - INCORRECT EXIT ADDRESS.
*         FMCALL - ERROR COUNT MESSAGE CONFORMING TO MALET CODING SPEC. 
*         DPSR 037610 
* 
* 
* FMD       HNS 80/04/01
* 
*         FMD - DESCRIPTION 
*         DPSR 034911 
* 
* 
* TFL     GDW    80/03/31 
*         MODSET CORRECTS PROBLEM IN TFL CAUSING
*         IT TO LOOP FOREVER LOADING THE 2550.
*         PROBLEM REPORTED BY DPSR 038074.
* 
* 
* T5X     JMO    80/04/14 
*         MODSET CORRECTS THE PROBLEM OF GETTING ALTERNATE
*         PATTERNS IN MODULE 43 WHILE SELECTING CONSTANT
*         PATTERNS. DPSR 007269.
* 
* 
* HPA5     PWL  80/03/25
*          MODSET ADDS EQUIPMENT AND CHANNEL NUMBERS TO 
*          GRAPH TITLE AND ELIMINATES EMPTY GRAPHS. 
* 
* 
* MAL     GDW    80/04/01 
*         MODSET CORRECTS MALET ALPHA SUBSTITUTION
*         PROBLEM WHERE MALET WILL NOT USE
*         EITHER ONE OF THE SUBSTITUTABLE 
*         CHARACTERS IF EITHER ONE OF THEM
*         IS ILLEGAL (00,60B OR GREATER). 
*         PROBLEM REPORTED BY DPSR 038070.
* 
* 
* FMU     ALJ   80/04/17. 
*          THIS MODSET ADDS CODE TO DISPLAY ERROR 
*          MESSAGES IF ACCESS TOO LOW.
*          DPSR 036119
* 
* 
* FMU037659   ALJ  80/04/17.
*         THIS MODSET ADDS CODE FOR THE 77TABLE 
*         CHANGES IN DEMOT. 
* 
* 
* ATC     DME    80/04/23.
* 
*         COMMENTS, CORRECTION TO MODULES 30^32 
* 
* HPA35    PWL  80/04/22
*          MODSET FIXES CALLS TO PRINT3 BY AN5FE3 WITH OUT
*          OF RANGE PARAMETERS. 
* 
* 
* DECK     JLP 80/04/24 
*          THIS CORRECTION SET WILL IMPROVE THE PERFORMANCE OF HPA
*          BY REDUCING THE CORE REQUIREMENTS FOR EXECUTION. 
* 
*          THIS IS ACCOMPLISHED BY SPLITTING THE ERROR MESSAGE TABLE
*          INTO PARTS, AND PLACING THOSE PARTS IN THE 3.X OVERLAY 
*          IN WHICH THEY ARE USED INSTEAD OF RESIDENT MEMORY. 
* 
*          THIS MODSET CONSISTS OF IDENTIFIER "HPA037696", AND NEW
*          DECK AND COMDECK "HPA31" AND "COMCOMHPAERT". 
* 
* 
* ATC     DME    80/03/31.
*         COMMENTS REVISED MALET VERSION OF ATC GCR/NOT GCR.
* 
* 
* HISTORY RBD    80/05/13 
*         THIS MODSET UPDATES THE BUILD IDENTIFIER
*         FOR THIS BUILD (CL116PL).  DECK HPA31 AND 
*         COMMON DECKS COMHPAERT AND VERS WERE ADDED
*         TO THE LIBRARY. 
* 
* 
* MY8     JMO    80/04/14 
*         MDSET CORRECTS MY8 ERROR -NO BC RESPONSE TO FCN IN 30 SEC-
*         IN MODULE MY802. THE MODULE WAS NOT WAITING LONG ENOUGH FOR 
*         A BC RESPONSE WHEN RUNNING THE MEMORY TEST. DPSR 012623.
* 
* 
* T6X     JMO    80/05/01 
*         MODSET CORRECTS NO EXIT OF MODULES AFTER DETECTING END OF 
*         TAPE IN MODULES 14,15,16 AND 18. DPSR 022008. 
* 
* 
* T7X     JMO    80/06/02 
*         MODSET UPDATES THE DOCUMENTATION TO REFLECT THE USE OF
*         PARAMETER P1 2XXX AND 3XXX TO DISABLE ERROR CORRECTION. 
* 
* 
* FTP     DDN   05/05/80
*         MODSET CORRECTS IMAGE MEMORY TABLE FOR
*         A 596-4 AND 596-5 PRINT TRAIN.
*         DPSR 026311.
* 
* 
* MAL     GDW    80/05/15 
*         MODSET CORRECTS PROBLEM IN MALET DUE TO STRPPU NOT
*         CLEARING PREVIOUS NUMBER OUT BEFORE PUTTING IN NEW
*         NUMBER SUCH THAT WHEN DC 100 IS ASSIGNED ON MST=02, 
*         MSTPH=02 YOU CANNOT SWITCH BACK TO MST=00, MSTPH=00.
*         PROBLEM REPORTED BY DPSR 037695.
* 
* 
*MLT      KM     80/05/12 
*         FIXES PAGE NUMBERING ERRORS WHICH OCCUR 
*         WHEN TRYING TO PRINT MORE THAN 99 PAGES 
*         OF INTERNAL AND EXTERNAL DOCUMENTATION. 
* 
* 
* T7X     JMO    80/05/08 
*         MODSET CORRECTS MODULE 61A SO THAT ERROR CORRECTION 
*         CANNOT DISABLED FOR GCR UNITS. DPSR 035572. 
* 
* 
* HPA7    SLJ  80/05/06 
* 
* 
*         CORRECTS INTERRUPTION COUNTS FOR ANALYSIS AND 
*         GRAPH STATISTICS. 
* 
* HPA7    SLJ  80/05/06 
* 
*        CORRECTS GRAPH LABEL FOR DOWN EVENTS 
* 
* HPA4    SLJ  80/05/06 
* 
* 
*         CORRECTS CHANGE DETAIL COMMAND. 
* 
* HPA7    SLJ  80/05/06 
* 
* 
*         ADDS ABILITY TO RUN GRAPHS WITHOUT RUNNING THE ANALYSIS 
*         REPORT. 
* 
* HPA     JLP 80/06/04
*         THIS MODSET CHANGES THE VERSION IDENTIFICATION IN HPA 
*         TO USE THE CML BUILD LEVEL NUMBER INSTEAD OF A HARD-CODED 
*         INTERNAL BUILD IDENTIFIER.  IT ALSO CHANGES THE VERSION 
*         IDENTIFICATION TO IDENTIFY PRERELEASED/WORKING VERSIONS.
* 
* 
* HPA     JLP 80/05/16
*         THIS MODSET INSTALLS CODE TO DO AN ANALYSIS OF THE
*         DETAILED STATUS OF 844'S BY USE OF A DECISION 
*         LOGIC TABLE.
* 
* 
* D88       HNS 80/02/22
* 
*         D8813 - CHANGE AVG. POSITIONER TIME TO 335 MICROSECONDS.
*         DPSR 015771 
* 
* 
* HISTORY  RBD    80/07/03
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL117PL.
* 
* 
* HPA     JLP 80/07/10
*         THIS MODSET REPLACES THE CURRENT DLT TABLES USED BY HPA 
*         TO DO DETAILED STATUS ANALYSIS OF 844 ERRORS WITH AN UPDATED
*         SET OF TABLES DEVELOPED BY JIM SIPPER.
* 
* 
* FMC       HNS 80/06/17
* 
*         FMC01 - DIAGNOSTIC ISOLATION OF 7155-A16-1A38.
*         DPSR 036108 
* 
* 
* D88       HNS 80/02/27
* 
*         D8813 - ID-SWITCH MESSAGE 
*         DPSR 037614 
* 
* 
* FMD       HNS 80/02/27
* 
*         FMD01 - ID-SWITCH MESSAGE 
*         DPSR 037603 
* 
* 
* FMD       HNS 80/06/17
* 
*         FMD27 - FAILS WITH NON-ZERO I. D. SWITCH. 
*         DPSR 037604 
* 
* 
* FMC       HNS 80/02/27
* 
*         FMC33 - ID-SWITCH MESSAGE 
*         DPSR 037612 
* 
* 
* FMD       HNS 80/06/17
* 
*         FMD32 - FAILS WITH A NON-ZERO I. D. SWITCH. 
*         DPSR 037605 
* 
* 
* HPA4    SLJ  80/05/16 
* 
*         CORRECTS PROBLEM OF INCORRECT 7-DAY AND 30-DAY AVERAGES ON
*         SYSTEM PERFORMANCE SUMMARY WHEN THE YEAR CHANGES. 
* 
* 
* MALET30 JMO    80/06/24 
*         MODSET CORRECTS THE PROBLEM OF PARAMETER ERRORS ON A MALET
*         CONTROL CARD THAT ARE COMMENTS AFTER A PERIOD. DPSR 019989. 
* 
* 
*        DPSR 025408
* HPA    REF  07/03/80
*        MODSET CORRECTS THE TAPE DENSITY SUMMARY LABELS ON HPA UNIT
*        ANALYSIS REPORTS TO ACCURATELY REFLECT 7 OR 9 TRACK TAPES. 
* 
* 
* HPA     TEF   80/07/11
*         MODSET HPA03591 ADDS MMF PARAMETER AND CODE TO CHANGE 
*         SORT ORDER FROM EST TO HUID IF SELECTED 
* 
* HPA3     PWL  80/07/22
*          MODSET HPA035648 CORRECTS DISK UNIT NUMBER 
*          IN UNIT ANALYSIS REPORT. 
* 
* 
* HISTORY  DJU    80/07/28
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL118PL.
* 
* 
* HPA1    TEF  80/07/29 
* HPA2    MODSET HPA035931 ADDS CAPABILITY TO MATCH ON PARTS OF THE 
*         HARDWARE CONFIGURATION TABLE TO MMF.
* 
* 
* HPA     JLP 80/07/29
*         THIS MODSET (HPA035696) ADDS EXTENDED DETAIL STATUS 
*         ANALYSIS FOR 844'S ON 7155 CONTROLLERS, USING THE 
*         SEF CONTINUATION RECORDS FOR 844'S. IT ALSO ALLOWS
*         THE DLT EDITOR TO SPECIFY THAT THE ORIGINAL O/S ERROR 
*         CODE IS TO REMAIN UNCHANGED.
* 
* 
* HPA5     PWL  80/05/19
*          MODSET CORRECTS DATE IN SUMMARY REPORT 1.
* 
* 
* FMC       HNS 80/07/02
* 
*         FMC - CAUSES UNIT RESERVED/SYSTEM HANGS 
*         DPSR 001900 
* 
* 
* FMC       HNS 80/05/19
* 
*         FMC31 - BYPASS FMC31 UNLESS ENABLED (P4=XXX1) 
*         DPSR 033196 
* 
* 
* T6X     JES    79/12/04 
*         MODSET ADDS COMPATIBILITY TEST (T6X80) AND COMPATIBILITY
*         TAPE CLEAN-UP (T6X81).  THESE MODULES ARE COMPATIBLE WITH 
*         THE SAME MODULES IN T5X AND T7X IN ORDER TO ALLOW TESTING 
*         OF COMPATIBILITY BETWEEN 60X, 65X, 66X AND 67X TRANSPORTS.
*         DPSR 035908 
* 
* 
* DDN     80/07/10
*         MODSET ENSURES CORRECT RECORD AND FILE
*         COUNTS ON A READ REV.  MODULES 45A AND 57A. 
*         DPSR 037669 
* 
* 
* HISTORY  RBD    80/08/04
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL119PL.
* 
* 
*        DPSR 035939
*        REF  07/22/80
*        MODSET CORRECTS THE PROGRAM FLOW IN HPA5 AS FOLLOWS: 
*        1) ELIMINATES MEANINGLESS HEADERS FOR SUMMARY REPORTS 1 & 2
*           OF ERROR LOG ENTRIES IF NO SEF INPUT FILE.  ONLY THE
*           COMMENT "TOTAL ENTRIES = 0" WILL APPEAR.
*        2) ELIMINATES SYSTEM MESSAGE SUMMARY HEADER FROM ERROR LOG 
*           SUMMARY 2 REPORT IF NO SYSTEM MESSAGES. 
*        3) ENABLES THE PARAMETER SELECTION OF GRAPHS WITHOUT THE 
*           SELECTION OF SUMMARY REPORTS.  INVALID DATA FORMERLY
*           OCCURRED, DUE TO ARRAYS NOT BEING PROPERLY CLEARED. 
*        4) ELIMINATES DATES FROM GRAPHS FOR DAYS WHEN DATA EXISTS
*           BUT IS TOO MINIMAL TO BE GRAPHED. 
*        5) ENABLES A MAXIMUM OF 194 UNIT ERROR GRAPHS.  FORMERLY, A
*           LIMIT OF 100 UNIT ERROR RECORDS WERE SEARCHED FOR GRAPH DATA
*           AND THE DATA WAS STORED UNPACKED.  NOT ALL DEVICE TYPES WERE
*           GRAPHED WITH THIS LIMIT.  NOW, (MAX. OF 194) GRAPHS WILL
*           RESULT FOR ALL DEVICE TYPES THAT CONTAIN 30 DAY DATA. 
* 
* 
* T7X     JES    79/12/04 
*         MODSET ADDS COMPATIBILITY TEST (T7X80) AND COMPATIBILITY
*         TAPE CLEAN-UP (T7X81).  THESE MODULES ARE COMPATIBLE WITH 
*         THE SAME MODULES IN T5X AND T6X IN ORDER TO ALLOW TESTING 
*         OF COMPATIBILITY BETWEEN 60X, 65X, 66X AND 67X TRANSPORTS.
*         DPSR 035907 
* 
* 
* T5X     JES    79/12/04 
*         MODSET ADDS COMPATIBILITY TEST (T5X80) AND COMPATIBILITY
*         TAPE CLEAN-UP (T5X81).  THESE MODULES ARE COMPATIBLE WITH 
*         THE SAME MODULES IN T6X AND T7X IN ORDER TO ALLOW TESTING 
*         OF COMPATIBILITY BETWEEN 60X, 65X, 66X AND 67X TRANSPORTS.
*         DPSR 035910 
* 
* 
* HPA3    SLS  80/07/30 
* 
*         CORRECTS THE PROBLEM OF THE PROGRAM CAPTURES ONLY THE FIRST 
*         FIRMWARE REVISION NUMBER. 
* 
* 
* HPA35    SLS  80/07/30
* 
*         CORRECTS  PROBLEM OF CALLING HEX3 TWICE WHEN RUNNING
*         DETAIL CS.
* 
* 
* T6X     DDN    80/07/01 
*         MODSET WAS GENERATED TO ENSURE 500 WORDS WERE WRITTEN 
*         TO THE OUTPUT BUFFER ON A DUP STATEMENT.  MODULES 
*         AFFECTED ARE 01,02,03,10,11,12,13,18,201 AND 32.
*         DPSR 034200.
* 
* 
*   HPA      SLJ     80/07/17 
* 
*            CORRECTS PROBLEM OF NOT MERGING SEF RECORDS INTO 
*            ONE HISTORY RECORD WHEN BOTH SEFS ARE FOR THE SAME 
*            DAY. 
* 
* HPA36   SLS  80/07/28 
* 
*         CORRECTS PROBLEM OF SYNDROME CODE 004 PRINTING OUT AS A 
*         DOUBLE BIT ERROR WHEN IT IS A BIT 62 ERROR. 
* 
* 
* HPA36   SLJ  80/07/10 
* 
* 
*         CORRECTS PROBLEM OF ANALYSIS REPORT LISTING TOO MANY BANKS
* 
* FMD       HNS 80/07/09
* 
*         FMD - FMD27 - DIAG ISOLATION OF MAINT. SWITCH. (DEMO) 
*         DPSR 036118 
* 
* 
* HPA7     PWL  80/07/18
*          MODSET INSTALLS CODE TO SKIP THE READING OF HISTORY
*          FILES IF NO HISTORY PARAMETERS ARE CALLED FOR. 
* 
* 
* HPA2     PWL  80/07/10
* COMHPAERT  MODSET INSTALLS CODE TO PROCESS "POWER FAILURE", 
* HPA7     "POWER/ENVIRONMENT NORMAL", "SHUTDOWN IMMINENT"
*          AND 174-2X MESSAGE.
* 
* 
*        DPSR 036626
* HPA    REF  07/21/80
*        MODSET CORRECTS THE CHECKING OF ATS DETAIL STATUS BITS 
*        FOR DETERMINATION OF TAPE CONTROLLER PARITY ERRORS FROM
*        NOS/NORM.  (NOS-BE/NORMS PRESETS TCU ERRORS.)  WHEN DETECTED,
*        TCU ERRORS WILL BE REPORTED FOR CHECK-OUT IN THE INTERVENTION
*        REPORT.
* 
* 
* HPA3    SLS  80/07/30 
* 
*         CORRECTS FORMAT SPACING PROBLEM IN CS ANALYSIS REPORT.
* 
* 
* HPA1    SLJ  80/07/15 
* 
* 
*         CORRECTS PROBLEM OF CARRYING ALONG SHRS FROM THE OLDHF
*         INSTEAD OF CREATING NEW SHRS FOR ONLY THE DATA
*         EXTRACTED BY THE HR( HISTORY READ ).
* 
* HISTORY  DJU    80/08/25
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL119FC.
* 
* 
* MAL     GDW    80/08/28 
*         MODSET CORRECTS PROBLEM IN MALET FOR
*         WHICH IT DOES NOT RETURN DEVICE TO
*         SYSTEM WITH A CVL CALL WHEN A DROP
*         DIRECTIVE IS DONE.
*         PROBLEM REPORTED BY DPSR 035670.
* 
* 
* FMD       HNS 80/08/07
* 
*         FMD - FMD32 FAILS WHEN SYS. MAINT. SWITCH IS OFF. 
*         DPSR 031653 
* 
* 
* FMD       HNS 80/07/30
* 
*         FMD - FAILS ON DEVICE USED BY SYSTEM. 
*         1.PRE-POSITION SERVO (FMD35)
*         2.HAVE RES COMMAND WAIT-NOT-BUSY (FMD15/MLD)
*         3.REMOVE UN-NEEDED RES (FMD17)
*         4.MOVE SEEK SEQUENCE TO BEGINNING OF COND.(FMD70) 
*         5.LOAD CYL REG AND RTZ BEFORE ERR MSG (FMD36-40)
*           (THIS PREVENTS FMD CAUSED SYSTEM ERRORS)
*         6.CORRECT R/W CHECK TEST TO IGNORE UNUSED BITS(FMD66).
*         DPSR 037106 
* 
* 
* MALET11 JMO    80/08/04 
*         MODSET CORRECTS THE PROBLEM OF NOT BEING ABLE TO
*         DROP MALET ON THE FIRST TRY. PROBLEM WAS INTRODUCED 
*         BY MODSET MAL036104. DPSR 035651. 
* 
* HPA1    SLS  80/08/13 
* 
*         CORRECTS PROBLEM OF NOT REPORTING SECOND DATE OR NUMBER 
*         OF DAYS FOR THE HISTORY READ PARAMETER IN THE REPORTS 
*         CALLED SECTION. 
* 
* 
* HPA3     PWL  80/08/21
* HPA35    MODSET HPA031970 CORRECTS "PORTS ACTIVE VS.
*          HOUR OF DAY" GRAPH.
* 
* 
* HISTORY  AKJ    80/09/10
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL120PL.
* 
* 
*         DPSR 037822 
* HPA     REF  09/02/80 
*         MODSET CORRECTS A MAL-FUNCTIONING SORT WHICH RESULTED IN THE
*         IMPROPER ORDERING OF MESSAGE TYPES IN THE DETAIL REPORTS.  AN 
*         ERRONEOUS SORT KEY WAS PULLING OFF TOO MANY CHARACTERS. 
* 
* 
* MALET12 GLG    80/09/16.
*         MODSET CORRECTS MALET TO PASS EOR STATUS ON SYSRD 
*         COMMANDS IF NO WORDS ARE READ.  PREOBLEM REPORTED 
*         BY DPSR 37834.
* 
* 
* HPA2    DDN    80/08/18 
*         MODSET DISABLES COMPRESSION OF 607 AND 65X
*         ERRORS WITH A BLOCK COUNT OF ZERO.
*         DPSR 034577 
* 
* 
* FMC       HNS 80/08/20
* 
*         FMC31 - DISK AUTOLOAD PARAMETER FAILURE 
*         DPSR 031631 
* 
* 
* DTC       HNS 80/08/26
* 
*         DTC12-16 - LACK INITIAL MESSAGE ON TERMINAL 
*         DPSR 031638 
* 
* 
* FMC       HNS 80/07/02
* 
*         FMC25/29/31/33 - ADD LF TO UNEXPECTED ERROR MESSAGES
*         DPSR 031650 
* 
* 
* DTC       HNS 80/08/27
* 
*         DTC - FALSE ERROR REPORTING 
*         DPSR 034171 
* 
* 
* MAL     GDW    80/08/22 
*         MODSET CORRECTS PROBLEM IN MALET WHICH
*         PRODUCES THE WRONG DAYFILE MESSAGE WHEN 
*         AN INCORRECT DEVICE CODE IS SUPPLIED
*         WITH THE ASSIGN DIRECTIVE.
*         PROBLEM REPORTED BY DPSR 035929.
* 
* 
* MAL     GDW    80/09/15 
*         MODSET PERMITS MALET TO PRINT CORRECT 
*         MESSAGE WHEN CONTINUED RUN DIRECTIVE
*         IS USED.
*         PROBLEM REPORTED BY DPSR 035652.
* 
* 
* RT5     DDN    80/09/10 
*         MODSET CHANGES THE EXTERNAL DOCUMENTATION AND MODULE
*         99 TO SPECIFY D IN P0 AND P1 PORT SELECT. 
*         DPSR 016449 
* 
* 
* FMC       HNS 80/07/02
* 
*         FMC33 - ADD DETAIL STATUS TO UNEXPECTED ERROR 
*         DPSR 033197 
* 
* 
* HPA,HPA1   PWL  80/09/16
* HPA4,HPA7  MODSET HPA037836 ADDS "DATE" PARAMETER (DATE=
*            MMDDYY) TO HPA CONTROL CARD TO ENABLE THE
*            CHANGE OF RUN DATE.
* 
* 
* HPA3     PWL  80/09/15
* HPA35    MODSET HPA032044 CHANGES THE ERROR SCALE GRADUATION
*          BETWEEN PAGES TO BE CONSISTENT WHEN ERROR VS LOGICAL 
*          PORT GRAPH IS CONTINUED TO A SECOND PAGE.
*          IT CHANGES THE USAGE SCALE GRADUATION TOO TO BE
*          CONSISTENT BETWEEN PAGES.
*          IT ALSO CORRECTS THE ERROR GRAPH TO EXCLUDE THE
*          STATISTICAL DATA.
* 
* 
* FMC       HNS 80/08/08
* 
*         FMC - LF NOT DISPLAYED ON UNEXPECTED ERROR. 
*         DPSR 031652 
* 
* 
* HISTORY  AKJ    80/10/06
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL121PL.
* 
* 
* HPA1    SLS  80/10/08 
*         CORRECTS PROBLEM OF HPA NOT RECOGNIZING THE EXISTENCE 
*         OF THE SEF FILE THAT IS CREATED WHEN USING THE HR 
*         PARAMETER.
* 
* 
* INSTLDKS       JMO    80/09/30
*         MODSET CORRECTS THE INSTALL DECK FOR NOSBE R4 AND R5 TO 
*         FIX THE FIELD LENGTH ON TIO WHICH IS TOO SMALL. 
*         DPSR 037865.
* 
* 
* FMC       HNS 80/09/15
* 
*         FMC - DESCRIPTION 
*         DPSR 036131 
* 
* 
* MALET11 GLG    80/09/26.
*         MODSET CORRECTS MALET11 TO TEST ACCESS LEVEL TO SEE IF
*         IT IS LEGAL.
* 
* 
*         DPSR 037803 
* HPA     REF  09/26/80 
*         MODSET CORRECTS THE SYSTEM PERFORMANCE SUMMARY REPORT (S3)
*         BY INCLUDING DATA FOR THE SCR (SR DEVICE TYPE).  PREVIOUSLY,
*         SCR INFORMATION WAS OMITTED FROM BOTH SECTIONS OF THE S3
*         HISTORICAL SUMMARY, WHICH PROVIDES THE MTBF ERROR RATES BY
*         DEVICE TYPE/EST.
* 
* 
* MLT     KM     80/10/2
*         FIXES THE SPELLING ERROR IN 
*         THE WORD LICENSE IN MLTDOC
*         OUTPUT. 
* 
* HPA35    PWL  80/09/30
*          MODSET HPA032040 CORRECTS THE PROCESSING OF
*          2550 I5 STATISTICS.
* 
* 
* D88       HNS/RFF 80/09/29
* 
*         D88 - PRESERVICE FORECAST GROUP INCORRECT.
*         1. ISOLATION OF 7155-BO4-TP16 (BUSOUT 4). 
*         2. ISOLATION OF 7155-B04-TP14 (BUSOUT 6). 
*         3. ISOLATION OF 7155-A20-1B04 (NOC 1/15, LOOP BUS). 
*         4. ISOLATION OF 7155-B21-1A17 (DRIVE SAFE NIC 1/6). 
*         5. ADDITION OF D8812 (DRIVE BUS OUT TEST).
*         6. UPDATED DOCUMENTATION FOR D8812. 
*         7. ERROR PROCESSORS CORRECTED TO GIVE EACH ISOLATION
*            MESSAGE ITS OWN PSFG.
*         DPSR 034905 
* 
* 
* FMC       HNS 80/09/03
* 
*         FMC - DETECT/ISOLATE REQUIREMENTS NOT MET.
*         1. ADD SELECT/RESERVED CHECK TO FMC29 (B01-2A41). 
*         2. CORRECT PRESERVICE FORECAST GROUP FOR FMC25. 
*         3. ADD DRIVE RESERVED BY OPPOSITE ACCESS TO FMC25(B04-1B31).
*         4. ADD ADDRESS ERROR CHECK TO FMC29 (A20-1A09). 
*         DPSR 034906 
* 
* 
* MALET   GLG    79/09/20.
* MALETP4 MODSET DELETES DIAGRD AND DIAGWR FROM 844HT AND FMDHT 
* MALETP9 COMPILER AND ADDS PROTECTION TO OUT AND CONTROL 
* MALET20 COMMANDS FOR ACCESS LEVEL PRIVILEGES THAT COULD BE
* MALCD2  ABUSED THROUGH MISUSE.
* 
* 
* D44     GLG    80/10/03.
*         MODSET CORRECTS D44 FOR DIAGRD AND DIAGWR COMMANDS BEING
*         REMOVED BY MAL037868.  MODULE D4403 HAD TO CHANGE LANGUAGES 
*         BEING USED ON THE MODULE CARD FROM 844HT TO 844FT.
* 
* 
* FMC       HNS 80/05/19
* 
*         FMC15 - DIAGNOSTIC ISOLATION OF 7155-A02-1A20 (DEMO)
*         DPSR 036113 
* 
* 
*         DPSR 037878 
* HPA     REF  10/16/80 
*         MODSET CORRECTS A FATAL ARITHMETIC OVERFLOW IN THE HPA SITE 
*         MANAGEMENT REPORT, RUNNING WITH DEBUG, WHICH WAS CAUSED BY
*         AN UNINITIALIZED VARIABLE FLAG.  THE ERROR CONDITION WAS
*         TRIGGERED BY PARAMETER SELECTION OF THE SITE MANAGEMENT GRAPH 
*         WITHOUT ALSO SELECTING THE SITE MANAGEMENT ANALYSIS REPORT. 
* 
* 
*         DPSR 037817 
* HPA     REF  09/26/80 
*         MODSET REMOVES AN ILLEGAL CARRIAGE CONTROL CHARACTER FROM 
*         THE TAPE MEDIA DETAIL REPORT.  THIS ILLEGAL CHARACTER (:) 
*         WAS NOT DISCERNIBLE WHEN HPA WAS OUTPUT ON THE NOS SYSTEM,
*         BUT IT CAUSED PROBLEMS ON THE MICROFICHE SYSTEM.
* 
* 
* HPA35    PWL  80/10/14
*          MODSET HPA035656 DELETES MEANINGLESS CLA STATUS
*          AND CLOCK STATUS INFORMATION 
* 
* 
* FMD       HNS/RFF 80/10/28
* 
*         FMD - DETECTION/ISOLATION REQ. NOT MET. 
*         DPSR 034908 
* 
* 
* HPA3     PWL  80/10/20
*          MODSET HPA025746 CORRECTS TAPE UNIT NUMBER 
* 
* 
* FMD       HNS 80/10/20
* 
*         FMD63-65 FAIL AT AL=3 (INTERNAL)
*         1. ADD SEEK TO FMD63. 
*         2. ADD AL.LE.3 BYPASS TO FMD64-65.
*         3. REDUCE SIZE OF FMD64.
*         DPSR 037869 
* 
* 
* HISTORY  AKJ    80/11/03
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL122PL.
* 
* 
* T7X     JES    80/11/06 
*         MODULES T7X03 AND T7X04 FAIL WITH A CONTROLWARE ERROR 
*         CW4030 WRITE ATTEMPTED AT 200 BPI DENSITY IF T7X IS RUN 
*         ON A 9TK UNIT AND THE LAST 7TK UNIT USED BY THE OPERATING 
*         SYSTEM WAS SELECTED FOR 200BPI.  THERE IS NO WAY FOR T7X
*         TO SELECT 7TK DENSITY FOR THE TCU LOOPBACK DONE BY MODULES
*         03 AND 04 IF A 9TK UNIT IS BEING TESTED, AND 200 BPI WRITE
*         ON A 7TK IS ILLEGAL.  THIS MODSET SKIPS TESTING OF 7TK NRZI 
*         ON TCU LOOPBACK OPERATIONS IF A 9TK UNIT IS ASSIGNED. 
*         DPSR 8113.  DPSR 40106. 
* 
* 
* T5X     JES    80/10/17 
*         MODSET CORRECTS CAPSTAN VALVE TEST (MODULE 21D) SO THAT 
*         IT CAN DETECT A UNIQUE FAILURE MODE OF THE FORWARD CAPSTAN
*         (PLOTS ARE GOOD BUT UNIT IS CREATING SHORT GAPS ON TAPE 
*         THAT CANNOT BE HANDLED BY 66X AND 67X UNITS).  A WARNING
*         MESSAGE IS ISSUED IF SHORT GAPS ARE BEING CREATED.
* 
* 
* MAL     GDW    80/10/16 
*         MODSET PERMITS MALET TO ASSIGN BOTH MST AND CSU 
*         WHEN THE MSS EXECUTIVE IS RUNNING.
*         PROBLEM REPORTED BY DPSR 037875.
* 
* 
* DTC       HNS 80/10/21
* 
*         DTC - FAILS AT AL=3.
*         1. ADD ACCESS LEVEL CHECK AND MESSAGE TO DTC18. 
*         2. REMOVE EXTRA RES COMMAND FROM DTC03. 
*         3. REMOVE RES FROM WRITE PATTERN LOOP IN DTC03. 
*         4. REMOVE UNNECESSARY DELAY AND MESSAGE FROM DTC03. 
*         5. ADD RTZ SEEK SUBROUTINE AND APPROPRIATE CALLS(DTC03).
*         6. REMOVE UNNECESSARY RES COMMANDS(DTC03,06,07,08,09, 
*            11,12,14,16,18). 
*         7. MOVE SEEK TIME MESSAGES (DTC09). 
*         8. ADD CLEAR FAULTS COMMAND TO DTC17. 
*         DPSR 037870 
* 
* 
* DTC       HNS 80/08/22
* 
*         DTC02 - INCORRECT ERROR 
*         1. REMOVE UNNECESSARY DELAYS AND MESSAGES.
*         2. ADD RTZ SEEKS TO CLEAR DRIVE FOR OS. 
*         3. ADD RTZ TEST TO DTC01. 
*         4. CORRECT DTC02 TO RUN AL=3. 
*         5. FIX BUGS IN ERROR REPORTING. 
*         6. REDUCE LENGTH OF DTC02.
*         DPSR 023798 
* 
* 
* MAL     GDW    80/10/16 
*         MODSET PERMITS MALET TO RETURN THE DEVICE TO THE
*         SYSTEM WHEN THE DEVICE CODE IS 100 OR 101 OCTAL.
*         PROBLEM REPORTED BY DPSR O37867.
* 
* 
* DTC       HNS 80/10/28
* 
*         DTC16 - LANGUAGE CHANGE ERROR.
*         DPSR 031654 
* 
* 
* HPA3    SLS  80/10/23 
*         CORRECTS PROBLEM OF UNINITIALIZED VARIABLE - SERDATE
*         THIS VARIABLE AFFECTED CYBERAMA PROCESSING. 
* 
* 
* HPA3     PWL  80/10/21
* HPA35    MODSET HPA024340 PRINTS CHANNEL, EQUIPMENT AND 
*          UNIT NUMBERS FOR 2550 I5 REPORTS, NODE NUMBER
*          FOR 2550 NAM REPORTS.
* 
* 
* DTC       HNS 80/10/23
* 
*         DTC - HAS UNNECESSARY DELAYS AND MESSAGES.
*         1. REMOVE DELAYS AND MESSAGES(DTC01,04,05,09,11,19).
*         2. CORRECT DOCUMENTED RUN TIMES.(DTC99B)
*         DPSR 031639 
* 
* 
* JMO     80/11/03
*         MODSET INSERTS CONDITIONS INTO THE DOCUMENTATION FOR
*         RUNNING EVEN PARITY ON A 7 TRACK UNIT. DPSR 035600. 
* 
* 
* FMC       HNS 80/10/30
* 
*         FMC ATTEMPTS FMC35 WHEN P5=1. 
*         DPSR 031648 
* 
* 
* FMC       HNS 80/11/07
* 
*         FMC25 - DIAG ISOLATION OF 7155-B01-1B22. (DEMO) 
*         1. ADD DRIVE MALFUNCTION ERROR CHECK. 
*         2. REDUCE MEMORY REQ. FOR FMC25(IMPLEMENT CGS SUB). 
*         3. REDUCE NUMBER OF STATEMENTS IN FMC25.
*         4. IMPLEMENT ECWS SUBROUTINE IN FMC25.
*         5. IMPLEMENT IPCS SUBROUTINE IN FMC25.
*         DPSR 036116 
* 
* 
* HISTORY  AKJ    80/12/03
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL123PL.
* 
* 
* ATC     JMO    80/11/06 
*         MODSET CORRECTS PROBLEMS ON MODULES 30 32 36 AND 37 
*         WHEN RUNNING ON 100 IP DRIVES AND A CYBER 74. 
*         DPSR 035595.
* 
* 
* DTC       HNS 80/11/24
* 
*         DTC13/14 ISSUE WRONG MESSAGE. 
*         DPSR 015680 
* 
* 
* HPA4    SLS  80/11/10 
*         CORRECTS PROBLEM OF HPA NOT ALLOWING A ZERO TO BE ENTERED 
*         FOR OPT TIME HOURS OR FRACTION OF AN HOUR.
* 
* 
* FMC       HNS 80/11/24
* 
*         FMC35 CALLS NON-EXISTENT MODULES
*         DPSR 037910 
* 
* 
* T7X     JES    80/11/06 
*         MODULES T7X03 AND T7X04 FAIL ON A WRITE OPERATION WITH ALL
*         DATA NOT ACCEPTED FROM PP ON A CYBER 70 SYSTEM WITH EXTERNAL
*         DATA CHANNELS IF THE 67X CONTROLLER IS ATTACHED TO A SINGLE 
*         RANK CHANNEL AND A 7TK TRANSPORT IS BEING TESTED.  THE ERROR
*         IS CAUSED BY LOST DATA SINCE THE CHANNEL CANNOT KEEP UP WITH
*         THE EXPECTED SPEED AT 6250 BPI TCU LOOPBACK 6-BIT MODE.  IT 
*         WORKS OK IF A 9TK UNIT IS ASSIGNED IN PACKED MODE. THIS 
*         MODSET ENSURES THAT 200 IPS GCR DENSITY IS NOT USED IN TCU
*         LOOPBACK MODE IF A 7TK UNIT IS ASSIGNED.
*         DPSR 40105. 
* 
* 
* T7X     JMO    80/12/02 
*         MODSET CORRECTS THE PROBLEM IN T7X MODULE 22 (PARK COUNTS)
*         OF CONTINUALLY RUNNING WITHOUT ANY ERROR INDICATION IF NO 
*         DATA CAN BE READ FROM THE TAPE. DPSR 029894.
* 
* 
* T6X     DDN    80/11/20 
*         MODSET ADDS A 1000D MSEC DELAY IN MODULE
*         30 TO ENSURE THE PLOTS ARE DISPLAYED FOR
*         DEMOT.
*         DPSR 22992. 
* 
* 
* FMC       HNS 80/11/24
* 
*         FMC27 CALLS FMC250/25A. 
*         DPSR 037909 
* 
* 
* FMC       HNS 80/11/26
* 
*         FMC25 - DIAGNOSTIC ISOLATION OF 885-B28-22A(DEMO) 
*         DPSR 036121 
* 
* 
* D88       HNS 80/11/26
* 
*         D88 - DIAGNOSTIC ISOLATION OF 7155-A12-1B13(DEMO) 
*         DPSR 036111 
* 
* 
* FMC       HNS 80/05/19
* 
*         FMC29 - DIAGNOSTIC ISOLATION OF 7155-A12-1B13.
*         DPSR 036111 
* 
* 
* HPA35    PWL  80/11/14
*          MODSET HPA037893 REPORTS 2550 CE ERROR MESSAGES
*          "MODE 4 AUTO RECOGNITION FAILED", "NO RESPONSE,
*          BAD RESPONSE, ERROR RESPONSE FROM MODE 4 TER-
*          MINAL" AND "BAD FRAME DETECTED BY CRC", CORRECTS 
*          THE REPORTING OF ERRORS DETECTED BY 2550 NAM.
* 
* 
* T7X     DDN    80/12/08 
*         MODSET CORRECTS AN ERRONEOUS LINE INSERTED
*         BY MODSET T7X40106. 
*         DPSR 035946.
* 
* 
* D88       HNS 80/11/18
* 
*         D88 - DIAGNOSTIC ISOLATION OF 7155-B19-2B04 (DEMO)
*         DPSR 036114 
* 
* 
*FMU      ALJ  80/11/04 
*         FMU05 AND FMU06 WERE MODIFIED TO CHECK THE ACCESS LEVEL BEFORE
*         CHANGING THE FLAW MAPS.  THIS INSURES THAT THE ACCESS LEVEL IS
*         HIGH ENOUGH TO ALLOW FORMATTING THE TRACK AFTER THE MAPS HAVE 
*         BEEN CHANGED. 
* 
* 
*FMU      ALJ  80/11/04 
*         A NOTE WAS ADDED TO THE EXTERNAL DOCUMENTATION FOR FMU14 TO 
*         WARN THAT FORMATTING THE UTILITY TRACK DESTROYS THE UTILITY 
*         FLAW MAP. 
* 
* 
*FMU      ALJ  80/11/04 
*         FMU15 WAS MODIFIED TO ELIMINATE THE POSSIBILITY OF RELEASING
*         THE CONTROLLER BETWEEN SCANNING AND READING THE RESULTS OF
*         THE SCAN FROM THE BUFFER.  THIS PREVENTS THE OPERATING SYSTEM 
*         FROM ASSIGNING THE CONTROLLER TO ANOTHER JOB UNTIL AFTER THE
*         RESULTS OF THE SCAN HAVE BEEN OBTAINED BY FMU15.
* 
* 
*FMU      ALJ  80/11/04 
*         FMU00, FMU40, AND FMU99 WERE DELETED.  A NEW FMU99 MODULE WAS 
*         ADDED ALONG WITH FMU99A.  THESE CHANGES WERE MADE TO CONFORM
*         TO CURRENT PRACTICE FOR DISPLAYING THE PARAMETER LIST AND 
*         MODULES LIST. 
* 
* 
*FMU      ALJ  80/11/04 
*         FMU41, FMU42, FMU43, FMU45, FMU46, FMU47, FMU50, FMU51, FMU52 
*         FMU53, FMU54, FMU55, FMU57, FMU60, AND FMU98C WERE MODIFIED 
*         TO SEND AN OPERATION COMPLETE FUNCTION BEFORE RELEASING THE 
*         CONTROLLER.  IF THIS FUNCTION IS NOT SENT THE CHANNEL REMAINS 
*         RESERVED IN THE CONTROLLER.  FMU55 WAS ALSO MODIFIED TO 
*         RELEASE THE CONTROLLER WHILE SCAN RESULTS ARE ANALYZED AND
*         DISPLAYED.
* 
*         FMU511 WAS MODIFIED TO RELEASE THE CONTROLLER WHILE WAITING 
*         FOR FORMATTING TO COMPLETE.  THIS IS NECESSARY TO PREVENT A 
*         2 SECOND TIMEOUT FROM OCCURRING.  NORMALLY FORMATTING ONLY
*         REQUIRES 0.5 SECONDS PER CYLINDER, HOWEVER, AFTER FORMATTING
*         CYLINDER 822 THE CONTROLLER SETS TRACK AND SECTOR FLAWS.
*         THIS COULD REQUIRE UP TO 15 SECONDS DEPENDING ON THE NUMBER 
*         OF FLAWS.  TYPICALLY UP TO 30 FLAWS WILL REQUIRE LESS THAN
*         2 SECONDS TO FORMAT CYLINDER 822 AND SET FLAWS. 
* 
* 
* HISTORY  AKJ    81/01/07
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL124PL.
* 
* 
* HPA2    SLS  80/09/02 
* 
*        CORRECTS PROBLEMS IN HPSORT ROUTINES.
* 
* 
* MALET10 GLG    80/12/18.
*         MODSET CHANGES SEND COMMAND TO FLASH ON THE DISPLAY IF
*         THE OPERATING SYSTEM IS NOSBE OR NOS(LEVEL 528).
*         PROBLEM REPORTED ON DPSR 1354 AS AN ENHANCEMENT TO MALET. 
* 
* 
* MALET11 GLG    80/12/17.
*         MODSET ADDS A NEW PARAMETER TO THE MALET ASSIGN DIRECTIVE 
*         THAT IS REQUIRED IF THE DEVICE IS NOT IN THE EST TABLE. 
*         EST=NO IS REQUIRED ON THE ASSIGN DIRECTIVE IF THE DEVICE
*         IS NOT DEFINED WITHIN THE SYSTEM EST TABLE. 
* 
* 
* FMC       HNS 80/09/23
* 
*         FMC - DIAGNOSTIC ISOLATION OF 7155-B20-2A25. (DEMO) 
*         1. CORRECT BUGS IN FMC17 TO ATTEMPT NIC2/9 TEST.
*         2. ADD FMC26, FMC26A, FMC260, TO TEST ADDRESSES.
*         DPSR 036112 
* 
* 
* FMD       HNS 81/01/07
* 
*         FMD02 BAD ISOLATION ON 885-A/B11. (MFG) 
*         DPSR 037938 
* 
* 
* FMD       HNS 80/12/02
* 
*         FMD06/09 - DIAGNOSTIC ISOLATION OF 885-B15-30B.(DEMO) 
*         1. ADDS TWO NEW MODULES (FMD96W,FMD96X) 
*         2. ADD PWB(S) A/B22,A/B15,A/B16,A/B23,A/B28,A/B20D TO 
*            SELECTED ISOLATION MESSAGES. 
*         3. FIX FORMAT 6 TYPO IN FMD982. 
*         4. CORRECT BUG IN FMD36.
*         DPSR 036123 
* 
* 
* MAL     GDW    80/10/28 
*         MODSET CHANGES MALET TO REQUIRE CH, UN AND EQ 
*         IF EST OR MNE ARE NOT PROVIDED. 
*         PROBLEM REPORTED BY DPSR 034580.
* 
* 
* FMC       HNS 80/12/19
* 
*         FMC02 NEVER FAILS WITH P5 = 1000. 
*         DPSR 027163 
* 
* 
* FMD       HNS 81/01/07
* 
*         FMD01 BAD ISOLATION ON 885-A/B11. (MFG) 
*         DPSR 037941 
* 
* 
* FMD       HNS 81/01/12
* 
*         FMD73 WONT RUN ON-LINE. (BOEING)
*         DPSR 037162 
* 
* 
* FMD       HNS 81/01/12
* 
*         FMD DIAG. FAILS TO DETECT OPEN CABLE DETECT. (UWASH)
*         DPSR 037169 
* 
* 
*          TEF, PWL  80/12/16 
* HPA38    MODSET HPA037815 GENERATES A SEPARATE DETAIL 
*          REPORT FOR A170 IOU ERRORS.
* 
* 
* HPA38    TEF, PWL  80/12/16 
*          MODSET HPA037816 SEPARATES CALLS TO THE A170 
*          ANALYSIS REPORTS FROM THE DETAIL REPORTS, COM- 
*          BINES PROCESSOR, IOU AND MEMORY ERRORS FOR THE 
*          MESSAGE DISTRIBUTION REPORT. 
* 
* 
* HPA38    TEF, PWL  80/12/16 
*          MODSET HPA035671 INCLUDES REGISTERS 12 AND 81 IN 
*          A170 PROCESSOR DETAIL REPORT, CHECKS PAGE OVER-
*          FLOW, AND CORRECTS THE DESCRIPTION OF REGISTER 80. 
* 
* 
* HPA38    TEF, PWL  80/12/15 
*          MODSET HPA035657 CORRECTS DATE IN A170 DETAIL REPORTS. 
* 
* 
* HPA38    TEF, PWL  80/12/16 
*          MODSET HPA037814 CORRECTS THE REPORTING OF 
*          REGISTERS TO INCLUDE REGISTER 12.
* 
* 
* FMC       HNS 80/12/29
* 
*         FMC DOESNT DETECT INPUT PARITY ERRORS.
*         1. ADD INPUT DATA PARITY CHECK TO FMC08.
*         2. ADD INPUT DATA PARITY CHECK TO FMC09.
*         DPSR 037940 
* 
* REGEN   GLG    81/01/16.
*         MODSET CORRECTS REGEN TO ALLOW IT TO RUN A CYBER 170
*         MODEL 835.  THE MODSET DELETES THE USE OF 660XX AND 
*         670XX INSTRUCTIONS FROM THE DATA GENERATED BY ALX AND FST 
*         CPU TESTS WHICH ARE PART OF REGEN. OLD MASTER TAPES 
*         NEED RE-CREATION FOR RUNS AFTER MODSET IS INSTALLED.
* 
* 
* MALET12 JMO    81/01/16 
*         MODSET CORRECTS INTERNAL DOCUMENTATION IN 
*         MALET12. DPSR 040071. 
* 
* 
* T7X     JMO    81/01/12 
*         THIS MODSET MODIFIES MODULE 60 OF T7X (LADDER TEST) 
*         SUCH THAT A WAIT-NOT-BUSY IS PERFORMED AFTER EACH 
*         REVERSE READ. THIS PREVENTS A REPITITION RATE FAILURE 
*         MODE FROM OCCURRING. DPSR 040110. 
* 
* 
* FMD       HNS 81/01/08
* 
*         FMD46 FAILS ON TRACK FLAW. (MFG)
*         DPSR 037939 
* 
* 
* HISTORY  LJC    81/02/05
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL125PL.
* 
* 
* ELR035614      RBD  03/04/80
*         THIS MODSET ADDS THE DIAGNOSTIC ELR TO
*         THE CML LIBRARY.
* 
* 
* SKED35803      RBD  03/04/81
*         THIS MODSET ADDS THE DECK SKEDULR TO THE
*         CML LIBRARY.
* 
* 
* MALET   GLG    80/09/19.
*         MODSET ADDS LCN SUPPORT TO MALET. 
* 
* 
* MALET2E GLG    80/09/19.
*         MODSET ADDS COMMON DECK MALET2E TO CML 3.1 FOR
*         LCN SUPPORT.
* 
* 
* MALETPE GLG    80/10/31.
*         MODSET CORRECTS THE LCN COMPILER TO NOT ALLOW THE 
*         PATH NAME TO BE GREATER THAN 2 CHARACTERS.
* 
* 
* MALETPE GLG    80/10/31.
*         MODSET CORRECTS THE LCN COMPILER AUTODMP AND MEMORY 
*         COMMANDS TO ALLOW SB TO BE USED WITHIN FOR R/S. 
*         MODSET ALSO CORRECTS THE ERROR PRODUCED IF A BAD SUBSCRIPT
*         IS USED FROM SYNTAX ERROR TO BUFFER SUBSCRIPT ILLEGAL.
* 
* 
* MALET   GLG    80/10/31.
*         MODSET CORRECTS THE CVTHXB SUBROUTINE TO PRODUCE
*         AN ERROR IF ONLY THE POST SUBSCRIPT IS PRESENT. 
* 
* 
* MALET10 GLG    80/10/31.
*         MODSET CORRECTS MALET TO PRODUCE A CVT ERROR WHEN 
*         USING A POST RADIX OF H FOR LL OR TL. 
* 
* 
* MALET10 GLG    80/11/05.
*         MODSET CORRECTS MALET10 TO PRODUCE A PARAMETER ERROR WHEN 
*         ENTERING CLRDS,NN*MM OR SETDS,NN*MM.
* 
* 
* MALET   GLG    80/11/24.
*         MODSET CORRECTS THE DEVICE CODE FIELD ON MALET ASSIGN 
*         MESSAGE FOR UP TO FOUR DIGITS.
* 
* 
* DTC       HNS 81/01/26
* 
*         DTC04 MISLEADING ERROR REPORTING. 
*         DPSR 013618 
* 
* 
* D88       HNS 80/10/16
* 
*         D8846 - JUMP TO INCORRECT STATEMENT NUMBER. 
*         DPSR 037711 
* 
* 
* HPA36   SLS  81/02/05 
* 
*        CORRECTS UPDATE DIRECTIVE ERROR CREATED BY HPA019278.
* 
* 
* FMU     JMO    81/01/26 
*         MODSET CORRECTS FMU SO THAT A MESSAGE WILL BE 
*         DISPLAYED WHEN A PAUSE OCCURS IN VARIOUS MODULES. 
*         DPSR 027165.
* 
* 
* INSTLDKS JMO    81/02/17
*          MODSET ADDS INSTALLS FOR NOS6 AND NOSBE6. DPSR 037937. 
* 
* 
* MALET30 JMO    81/02/17 
*         MODSET ADDS THE SETFS MACRO SO MALET WILL ASSEMBLE
*         ON NOS R6. DPSR 037937. 
* 
* 
* ASSYTAG JMO    81/02/16 
*         MODSET ADDS NOS6, NOS7 AND NOSBE6, NOSBE7 DEFINITIONS 
*         TO ASSYTAG. DPSR 037937.
* 
* 
*    HPA3   SLS  81/01/20 
*    HPA7 
* 
*          CORRECTS CYBERAMA TRANSMIT PROBLEMS INCLUDING -
*            - MESSAGES INDICATING MISSING DATA 
*            - MISSING ITEMS IN THE HARDWARE CONFIGURATION LISTING
*            - INCORRECT EVENT AND LOST TIMES 
*            - DUPLICATE TRANSMIT RECORDS WITH ZERO COUNTS
* 
* FMC     JMO    81/02/09 
*         MODSET CORRECTS THE DOCUMENTATION BY INSERTING IF 
*         DEFINES SO THE PARITY SENTENCES ARE ONLY LISTED IF
*         CMSE IS DEFINED. DPSR 035972. 
* 
* 
* DTC       HNS 80/11/12
* 
*         DTC17 - GETS LOST CONTROLWORD IN CONTROL SEQUENCE.
*         1. DISPLAY CHANNEL STATUS ON ERR(DTC17/18/19) 
*         2. CORRECT CONTROL WORD SEQUENCE IN DTC17.
*         DPSR 037702 
* 
* 
* DTC       HNS 81/02/13
* 
*         DTC MESSAGE XXXXB FLAWED SECTORS FOUND. 
*         DPSR 038275 
* 
* 
* DTC       HNS 81/02/13
* 
*         DTC ERROR REPORTING.
*         DPSR 038277 
* 
* 
* MALETP8 KM     80/10/10 
*         MODSET MODIFIES THE MALETP8 COMPILER TO 
*         SUPPORT THE FEDERAL STANDARD CHANNEL. 
* 
* MALET   KM     80/10/03 
*         ADDS NEW DEVICE CODES TO MALET
* 
* MALET10 KM      80/10/2 
*         MODSET ADDS DEVICE CODES TO THE 
*         DEVICE DISPLAY DATA.
* 
* MALETPE GLG    81/01/18.
*         MODSET CORRECTS THE FOLLOWING PROBLEMS WITHIN THE LCN 
*         LCN COMPILER, 
*           1. PROPER ENTRY POINT FOR SEND COMMAND. 
*           2. WRITE DOES NOT STORE WORD COUNT FOR WRITE CODE.
*           3. READ DOES NOT STORE WORD COUNT FOR READ CODE.
*           4. ASCII FOR 0-9 GENERATED AS 160-171 SHOULD BE 60-71.
*           5. EXTRA CODE GENERATED BY INQUIRE COMMAND. 
*           6. FIELD LENGTH .GT. 20K OCTAL WORDS DUE TO LCN COMPILER. 
*           7. THE SELECT INPUT COMMAND NEEDS TO BE DELETED.
* 
* 
* HISTORY  RBD    81/03/06
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL126PL.
* 
*          PWL  81/02/23
* HPA1,2   MODSET HPA035992 CORRECTS DETAIL, DETAIL EXTENTED AND
* HPA37    ANALYSIS REPORTS FOR MSS ERROR MESSAGES, MODIFIES STA- 
* HPA8,9   TISTIC DETAIL REPORT FOR USAGE AND GENERATES MSS MEDIA 
*          REPORT.
* 
*  HPA    RAS  81/02/20 
*         MODSET HPA035406 ALLOWS THE DETAIL STATUS ANALYSIS FEATURE
*         TO BE OPTIONALLY ASSEMBLED IN HPA.  THE FEATURE IS ENABLED
*         THROUGH INCLUSION OF A "*DEFINE,XXX" DIRECTIVE DURING THE 
*         INSTALL PROCESS, WHERE XXX INDICATES THE PRODUCT TO BE
*         SUPPORTED.
* 
* 
*  HPA    RAS  81/02/23 
*         MODSET HPA035408 ADDS THE 66X DETAIL STATUS ANALYSIS FEATURE
*         TO HPA.  THIS FEATURE CAN BE IMPLEMENTED BY INCLUDING A 
*         "*DEFINE,66X" UPDATE DIRECTIVE IN THE INPUT STREAM DURING THE 
*         INSTALL PROCESS.
* 
* 
*  HPA    RAS  81/02/24 
*         MODSET HPA035411 ADDS THE 885 DETAIL STATUS ANALYSIS FEATURE
*         TO HPA.  THIS FEATURE IS ENABLED THROUGH INCLUSION OF A 
*         "*DEFINE,885" UPDATE DIRECTIVE DURING HPA'S INSTALL PROCESS.
* 
* 
* D44     JES    81/01/15 
*         THIS MODSET CORRECTS D44 SUCH THAT IT RUNS ON 844 UNITS 
*         ATTACHED TO A 7155 (FMD) CONTROLLER.  MODS ARE NECESSARY
*         DUE TO DIFFERENCES IN 7154/7155 CONTROLLER DETAIL STATUS. 
*         DETAIL STATUS ANALYSIS ERROR MESSAGES ARE ALSO CHANGED TO 
*         AGREE WITH HPA DETAIL STATUS ANALYSIS MESSAGES (ERROR CODES 
*         ECXXX ARE CHANGED TO SYMPTOM CODES SCXXX BUT THE CODES AND
*         MESSAGES REMAIN THE SAME).
* 
* 
* FMC       HNS 81/03/03
* 
*         FMC RESERVES DRIVE IN CONCURRENT OPERATION.(BOEING) 
*         1. CONVERT FMC25 TO USE FMDHT.
*         2. CONVERT FMC26 TO USE FMDHT.
*         3. SPLIT FMC25 INTO FMC24 AND FMC25.
*         4. CORRECT MISC. TYPO(S) AND ADD COMMENTS AS NEEDED.
*         5. ADD DOCUMENTATION FOR FMC26. 
*         6. UPDATE DOCUMENTATION FOR FMC24 AND FMC25.
*         7. CONVERT FMC250 TO DISPLAY GENERAL AND DETAILED STATUS. 
*         8. ADD FMC24 TO DISPLAY IN FMC99B.
*         9. CORRECT FMC21/FMC22 TYPO IN FMC99B.
*         10.ADD FMC24 TO 3.3 SECTION DESCRIPTION.
*         11.ADD AL.GE.4 CHECKS TO FMC24 AND FMC25. 
*         DPSR 037101 
* 
* 
* MALET   JES    81/02/02 
*         THIS MODSET SATISFIES THE REQUESTS MADE IN DPSR-S 032618 AND
*         037152.  TO ALLOW THE USER TO DEFINE THE SIZE OF PAPER USED 
*         FOR BATCH OUTPUT AND THE NUMBER OF LINES PER INCH TO PRINT, 
*         TWO SYMBOLS CAN BE DEFINED AT MALET ASSEMBLY TIME.  A DEFINE
*         OF 8LPI FORCES EIGHT LINES PER INCH PRINTING.  IF NOT DEFINED 
*         PRINTING WILL DEFAULT TO SIX LINES PER INCH.  A DEFINE OF 
*         PAPER85 INDICATES THAT 8.5 INCH PAPER IS BEING USED.  IF NOT
*         DEFINED, 11 INCH PAPER IS ASSUMMED.  BASED ON THESE TERMS,
*         BATCH OUTPUT IS CONSTRUCTED SUCH THAT FORMATTED OUTPUT WILL 
*         NOW USE ALL BUT ONE INCH OF THE PAGE AVAILABLE. 
*         THIS MODSET ALSO ADDS AN UNFORMATTED BATCH OUTPUT OF ALL DATA 
*         PRINTED EXCEPT COMPILER INPUT (LO=I) AND COMPILER OUTPUT
*         (LO=L).  THIS ALLOWS PAPER CONSERVATION BY PRINTING OVER THE
*         FAN-FOLDS ON BATCH OUTPUT.  PAGE EJECTS AND BANNERS ARE NOT 
*         PRINTED IN THIS FORMAT TO ALLOW PLOTS AND PICTURES TO BE
*         CONTIGUOUS.  IN ADDITION, THIS MODSET ADDS THE VERSION AND
*         LEVEL NUMBER TO THE MALET BANNER (FROM COMMON DECK VERS) AND
*         SENDS A SHORT BANNER TO THE TERMINAL ONCE IF RUNNING IN 
*         TERMINAL MODE.
* 
* 
* D44     JES    81/01/12 
*         THIS MODSET ADDS MODULE 48 TO D44.  IT PROVIDES A SCAN
*         CAPABILITY SIMILAR TO FORMAT/FMT ROUTINES WHICH PRINTS
*         THE PACK SERIAL NUMBER, CONTENTS OF THE FACTORY MAP,
*         THE UTILITY MAP AND THEN SCANS THE ENTIRE DISK PACK 
*         AND REPORTS ALL ADDRESSES WHICH HAVE THE TRACK OR SECTOR
*         FLAW BITS SET.  THIS MODULE DOES NOT PROVIDE THE ABILITY
*         TO WRITE OR MODIFY THE ADDRESS FIELDS ON A DISK PACK. 
*         THIS MODSET PARTIALLY SATISFIES REQUESTS MADE IN DPSR-S 
*         012975 AND 015557.
* 
* 
* T6X     JES    80/10/31 
*         THIS MODSET ATTEMPTS TO IMPROVE THE ABILITY OF MALET T6X
*         TO DETECT ERRORS SEEN BY CEAIDS T6X.  CURRENTLY, THE I/O
*         CHANNEL IS RELEASED TO THE SYSTEM AFTER EVERY RECORD.  THIS 
*         CONCEPT IS CHANGED TO RELEASE IT ONLY IF NEEDED BY THE O/S
*         OR A DELAY BETWEEN RECORDS OF .GT. 20D MSEC IS REQUESTED BY 
*         THE USER (MAKES T6X THE SAME AS T5X AND T7X).  THIS MODSET
*         SHOULD THEREFORE INCREASE THE REPETITION RATE OF THE TEST.
*         IT IS IN RESPONSE TO DSPR NUMBER 036132.
* 
* 
* T7X     JES    81/01/26 
*         MODSET T7X040115 ADDS A GCR KILLER PATTERN TEST (T7X82) TO
*         T7X AS A REPAIR MODULE.  THE PRIMARY PURPOSE OF THIS MODULE 
*         IS TO TEST 200 IPS 6250 BPI UNITS AND THEIR SENSITIVITY TO
*         A DATA PATTERN THAT IS KNOWN TO CREATE PEAK SHIFT PROBLEMS
*         IN THESE UNITS (FCO IN PROCESS).  HOWEVER, THIS MODULE CAN
*         BE EXECUTED ON ANY 67X UNIT.  (SATISFIES DPSR 040115).
* 
* 
* FMC       HNS 81/02/03
* 
*         FMC15 ISOLATION OF A15 MISSING FROM 6901EH. 
*         DPSR 037714 
* 
* 
* FMC       HNS 81/02/02
* 
*         FMC17B - S/W ERROR (A SOFTWARE ERROR) 
*         DPSR 037716 
* 
* 
* FMC       HNS 81/01/30
* 
*         FMC04 I/0 TIME OUT ON CH RESERVE. 
*         DPSR 037712 
* 
* 
* MALET12 JMO    81/01/22 
*         MODSET CORRECTS THE EOR RECORD STATUS ON A SYSRD. 
*         DPSR 040068.
* 
* 
* INSTLDKS JMO   81/02/18 
*          MODSET ADDS HPA31 TO INSTLDKS FOR NOS4, NOS5 
*          AND NOSBE4, NOSBE5. DPSR 013092. 
* 
* 
* MALET20 JMO    81/01/16 
*         MODSET CORRECTS THE POSSIBILITY OF HANGING THE
*         SYSTEM ON A LOG COMMAND IF THE MLD CHANNEL IS 
*         THE SAME AS THE ERROR LOG. DPSR 035988. 
* 
* 
* INSTLDKS GLG    81/03/02. 
*         MODSET MODIFIES TO NOS AND NOSBE INSTLDKS FOR LCN 
*         INSTALLATION.  DECK MALET2E MUST BE COMPILED AND THE
*         FIELD LENGTH ON NOSBE INCREASED FROM 20000 TO 21000.
* 
* 
*  INSTLDKS RAS  81/02/24 
*         MODSET INS035412 INSERTS "*DEFINE" UPDATE DIRECTIVES IN HPA'S 
*         INSTALLATION INPUT.  THESE "*DEFINES" RESULT IN THE DETAIL
*         STATUS ANALYSIS FEATURES FOR 66X,67X,844, AND 885 TO BE 
*         ENABLED.  REMOVAL OF ANY OR ALL OF THE DEFINES WILL DISABLE 
*         ASSEMBLY OF THE DSA FEATURE FOR THE INDICATED PRODUCT.  THIS
*         WILL ALLOW EACH INSTALLATION TO TAILOR HPA TO THEIR SPECIFIC
*         CONFIGURATION.  THIS WILL MINIMIZE THE EXECTION FIELD 
*         LENGTH REQUIREMENTS FOR HPA.
* 
* 
* MALET   JES    81/02/03 
*         THIS MODSET CHANGES THE WAY TERMINAL OUTPUT IS HANDLED WHEN 
*         RUNNING WITH AN ALTERNATE OUTPUT FILE (L=LFN OR O=LFN).  IN 
*         THE CURRENT DESIGN, NO OUTPUT IS SENT TO THE TERMINAL UNTIL 
*         THE INPUT FILE NAME IS INPUT.  THIS MEANS NO OUTPUT TO THE
*         TERMINAL IF A PROCEDURE FILE IS INITIATED FROM THE TERMINAL.
*         THE ORIGINAL INTENT OF THE OPTIONAL OUTPUT FILE WAS TO ALLOW
*         LARGE AMOUNTS OF OUTPUT, SUCH AS COMPILER LISTINGS, TO BE 
*         SENT TO A FILE WITHOUT LOADING DOWN THE TERMINAL.  AFTER THE
*         CHANGES ARE MADE, THIS IS STILL POSSIBLE IF THE INPUT FILE
*         NAME IS  COMPILE  .  ANY OTHER FILE NAME FOR INPUT WILL CAUSE 
*         DUPLICATE OUTPUT ON THE ALTERNATE OUTPUT FILE AND TERMINAL. 
*         THIS MODSET IS IN RESPONSE TO DPSR 015793.
* 
* 
* INSTLDK JES    81/02/24 
*         MODSET INS032618 MODIFIES THE INSTALL DECKS FOR MALET SUCH
*         THAT *DEFINE CARDS IDENTIFY THE LINES-PER-INCH PRINTING TO
*         BE USED AND THE SIZE PAPER TO BE USED.  IF 8LPI IS DEFINED, 
*         PRINTING IS PERFORMED AT 8 LINES-PER-INCH, IF NOT, AT 6 LINES 
*         PER INCH.  IF PAPER85 IS DEFINED, 8.5 INCH PAPER IS ASSUMMED, 
*         IF NOT DEFINED, 11 INCH PAPER IS ASSUMMED.
* 
* 
* D44     JES    81/01/12 
*         THIS MODSET MODIFIES MODULE D4406 (READ PRE-RECORDED CYL) 
*         SUCH THAT IT READS THE CYLINDER AT ALL COMBINATIONS OF
*         STROBES AND OFFSETS.  THIS PROVIDES A BETTER TEST FOR HEAD
*         ALIGNMENT THAN IS CURRENTLY PROVIDED.  IF AN ERROR OCCURS,
*         LINE 1 OF THE ERROR OUTPUT IDENTIFIES THE MARGINS CURRENTLY 
*         IN EFFECT.  (SATISFIES REQUESTS IN DPSR NUMBER 009296). 
*         THIS MODSET ALSO MODIFIES MODULE D4413 (MARGINS) TO REPORT
*         THE CURRENTLY SELECTED MARGINS ON LINE 1 IF AN ERROR OCCURS 
*         RATHER THAN REQUIRING THE CE TO DECODE THE CONTENTS OF B2.
* 
* 
* D44     JES    81/01/15 
*         THIS MODSET IMPROVES THE RUNNING MESSAGE PRINTED TO THE 
*         REMOTE USER FOR MODULE 46.  IT PARTIALLY SATISFIES
*         DPSR NUMBER 014268 (THE REMAINING ITEMS REQUESTED IN
*         THIS DPSR HAVE ALREADY BEEN ACCOMPLISHED WITH MODSET
*         D44015304). 
* 
* 
* T6X     JES    81/01/20 
*         THIS MODSET SATISFIES THE REQUEST MADE IN DPSR 040112 BY
*         ADDING DETAIL STATUS ANALYSIS CAPABILITY TO T6X.  DDLT AND
*         CONTROLWARE ERROR CODES SIMILAR TO THOSE POSTED BY T7X ARE
*         NOW REPORTED BY T6X.  EXTERNAL DOCUMENTATION IS ADDED THAT
*         DEFINES ALL THE NEW MESSAGES ADDED. 
* 
* 
* T6X     JES    80/12/09 
* 
*         THIS MODSET MODIFIES T6X MODULES 02,03,13,18 AND 20 TO
*         ALWAYS CREATE THE DATA IN THE OUTPUT BUFFER WHEN DATA 
*         COMPARE IS ENABLED.  THIS ALLOWS THE OUTPUT BUFFER TO BE
*         USED AS THE SLUSH BUFFER ON READ OPERATIONS, MAKING THE 
*         LAST 500B WORDS READ FROM A RECORD AVAILABLE TO THE USER. 
*         IT SATISFIES THE REQUEST MADE IN DPSR 040113 (NOTE- 
*         TO BE EFFECTIVE, THE MLD 66X PRODUCT OVERLAY MUST ALSO
*         HAVE MODSET MLD040113 INSTALLED). 
* 
* 
* HPA     SLS  81/03/12 
* HPA3
* HPA38 
* 
* 
*        ADDS A170 SECDED PHASE II TO HPA.
* 
*  HPA    RAS  81/02/23 
*         MODSET HPA035407 ADDS THE 67X DETAIL STATUS ANALYSIS FEATURE
*         TO HPA.  THIS FEATURE CAN BE IMPLEMENTED BY INCLUDING A 
*         "*DEFINE,67X" UPDATE DIRECTIVE IN THE INPUT STREAM DURING THE 
*         INSTALL PROCESS.
* 
* 
* DTC       HNS 81/03/09
* 
*         DTC DOES NOT STOP ON ERROR. 
*         DPSR 038274 
* 
* 
* ASSYTAG JMO    81/03/11 
*         MODSET ADDS DEFINES OF NOS5, NOS6 AND NOSBE5, NOSBE6
*         TO DEFINES OF NOS4, NOS5 AND NOSBE4, NOSBE5 SO MALET
*         WILL ASSEMBLE WITHOUT ERRORS. DPSR 035826.
* 
* 
* MLTDOC  JES    81/01/30 
*         THIS MODSET, IN CONJUNCITON WITH MAL037703, MAKES IT POSSIBLE 
*         TO USE A BLANK LINE TO SEPERATE EXTERNAL DOCUMENTATION FROM 
*         INTERNAL DOCUMENTATION WITHOUT USING UP ONE OF THE 120 LINES
*         OF SOURCE CODE.  A BLANK LINE IMMEDIATELY FOLLOWING AN *
*         COMMENT CARD IS CONSIDERED A LINE OF DOCUMENTATION, NOT A 
*         LINE OF SOURCE CODE.  ANY BLANK LINE NOT PRECEEDED BY AN *
*         COMMENT CARD IS STILL CONSIDERED A LINE OF SOURCE CODE.  THIS 
*         MODSET IS IN RESPONSE TO DPSR 037703. 
* 
* 
* MALET   JES    81/01/30 
*         THIS MODSET, IN CONJUNCTION WITH MLT037703, MAKES IT POSSIBLE 
*         TO USE A BLANK LINE TO SEPERATE EXTERNAL DOCUMENTATION FROM 
*         INTERNAL DOCUMENTATION WITHOUT USING UP ONE OF THE 120 LINES
*         OF SOURCE CODE.  A BLANK LINE IMMEDIATELY FOLLOWING AN *
*         COMMENT CARD IS CONSIDERED A LINE OF DOCUMENTATION, NOT A 
*         LINE OF SOURCE CODE.  ANY BLANK LINE NOT PRECEEDED BY AN *
*         COMMENT CARD IS STILL CONSIDERED A LINE OF SOURCE CODE.  THIS 
*         MODSET IS IN RESPONSE TO DPSR 037703. 
* 
* 
* MALET   JES    81/01/21 
*         THIS MODSET SATISFIES THE REQUEST MADE IN DPSR 036989.  IF
*         THE LINE LIMIT ON OUTPUT IS EXCEEDED WHILE RUNNING IN BATCH 
*         MODE (NOT TERMINAL, NOT KL FLAG ON), A MESSAGE IS ISSUED TO 
*         THE DISPLAY AND DAYFILE AND MALET TERMINATES.  THIS PREVENTS
*         MALET REMAINING AT A CONTROL POINT UNTIL THE OPERATOR DECIDES 
*         TO DROP IT OR GIVE IT A GO. 
* 
* 
*  HPA    RAS  81/02/23 
*         MODSET HPA035409 CORRECTS A PROBLEM WHERE THE DETAIL STATUS 
*         ANALYSIS TABLE SEARCH WILL TERMINATE PREMATURELY SHOULD THE 
*         120 BIT MASK, WHEN "OR"ED TOGETHER, RESULT IN NEGATIVE
*         ZERO (X0=77....77). 
* 
* 
* HPA     RTG   81/03/11
*         THIS MODSET ADDS THE MAINFRAME IDENTIFIER (MFID) TO THE 
*         UNIT ANALYSIS AND DETAIL REPORTS.  IT ALSO PROVIDES FOR 
*         MULTI-MAINFRAME SUPPORT BY ALLOWING A HARDWARE UNIQUE 
*         IDENTIFIER (HUID) TO BE USED IN PLACE OF THE EST IN ALL 
*         APPLICABLE REPORTS AS WELL AS IN THE HISTORY FILE.
* 
* HPERS   SLS  81/03/09 
* HPA 
* HPA3
* HPA36 
* 
* 
*        ADDS SECDED PHASE II TO HPA. 
* 
* TFL     TEB  81/02/16 
*         THIS MODSET ADDS K DISPLAY OF DATA COMPARE ERRORS.
* 
* 
*         DPSR HPA035827
* HPA     REF  03/11/81 
*         MODSET CONVERTS HPA FILE HANDLING FROM FORTRAN UNFORMATTED IO 
*         STATEMENTS AND FILE MANIPULATION STATEMENTS TO CENTRALIZED IO 
*         ROUTINES WHICH UTILIZE RECORD MANAGER INTERFACE (RMI).  THESE 
*         ROUTINES HAVE BEEN INSERTED ALPHABETICALLY IN HPA ZERO OVERLAY
*         PREFIXED BY "RM".  THEY REPLACE IN-LINE IO STATEMENTS AND 
*         CALLS TO SUBROUTINE GETREC, AN EARLIER EFFORT AT CENTRALIZED
*         IO HANDLING WITH FORTRAN STATEMENTS WHICH WENT UNENFORCED.
*         CIO PROVIDES THE USER WITH GREATER FILE HANDLING CAPABILITY 
*         (IE: VARIABLE LENGTH RECORDS) AND WITH DIRECT RESPONSIBILITY
*         FOR AND COMMUMICATION WITH THE SYSTEM FILE INFORMATION TABLE
*         (FIT) OF EACH FILE.  CIO ALSO PROVIDES TIGHTER PROGRAM CON- 
*         TROL.  THREE FILES REMAIN UNDER FORTRAN CONTROL, UNTOUCHED
*         BY CIO: INPUT, OUTPUT AND PUNCH.  INCLUDED IN CIO IS REMOVAL
*         OF HPA PRIMARY OVERLAY 6 (CAMS), WHICH IS NO LONGER SUPPORTED,
*         AND GENERAL HOUSE-CLEANING OF THE CODE AND LOGIC. 
* 
*         CIO ROUTINES ARE AS FOLLOWS:  
*         RMBCKSP - SPACES BACK OVER A FILE MARK
*         RMCLOSE - COMPLETES FILE PROCESSING AT END OF HPA 
*         RMFILEM - WRITES A FILE MARK
*         RMOPEN  - BUILDS FITS AND INITIALIZES FILES AT ONSET OF HPA 
*         RMREAD  - READS A RECORD
*         RMREWND - REWINDS A FILE
*         RMSKIP  - SKIPS A FILE
*         RMWRITE - WRITES A RECORD 
* 
* 
* TFL     TEB 81/02/13
*         THIS MODSET CORRECTS COMMENTS RELATIVE TO RECORDS.
*         THE WORD RECORD HAS BEEN CHANGED TO BLOCK TO BE 
*         CONSISTENT WITH THE PHYSICAL STRUCTURE OF THE TEST
*         BEING LOADED.  THIS MODSET ALSO CORRECTS COMMENTS 
*         RELATIVE TO EOR HANDLING. 
* 
* 
* TFL     TEB  81/02/13 
*         THIS MODSET FIXES OVERPRINT AT LINE 65 OF TFL99.
* 
* 
* MALETPE GLG    81/03/17.
*         MODSET DELETES HISTORY COMMENTS ADDED INTO YANK DECK. 
* 
* 
* MALETPE GLG    81/01/19.
*         MODSET ADDS NEW FORMAT FOR RES TO THE LCN COMPILER. 
* 
* 
* HPA     DDN    81/01/16 
*         MODSET WILL ALLOW UNITS TO BE SELECTABLE FOR
*         SPECIFIED HPA PARAMETERS ON MULTISPINDLE
*         DEVICES.  FOR EXAMPLE D=DTEEEUU.
*         DPSR 32619
* 
* 
* MALET10 JMO    81/03/16 
*         MODSET CORRECTS MALET SO TWO DEVICES CAN BE 
*         ASSIGNED CORRECTLY FOR MSS. DPSR 035831.
* 
* 
* MALET11 JMO    81/03/16 
*         MODSET CORRECTS MALET SO TWO DEVICES CAN BE 
*         ASSIGNED CORRECTLY FOR MSS. DPSR 035831.
* 
* 
* MALET   JES    81/01/29 
*         THIS MODSET ADDS AN AUTO EXECUTIVE DIRECTIVE TO MALET TO
*         SATISFY THE REQUESTS MADE IN DPSR 040053 AND 037139.  A 
*         STOP DIRECTIVE FROM THE KL DISPLAY CURRENTLY STOPS THE MLD
*         DRIVER, BUT DOES NOT SUSPEND READING THE INPUT FILE.  THIS
*         MAKES SHARING OF INPUT FILE AND KL DIRECTIVES IMPOSSIBLE. 
*         WITH THIS MODSET, A STOP DIRECTIVE, LEGAL ONLY FROM THE KL
*         DISPLAY WHEN NOT IN TERMINAL MODE AND THE PPU RUNNING, WILL 
*         SUSPEND READING THE INPUT FILE TO ALLOW CONTROL TO BE ASSUMED 
*         AT THE KL DISPLAY UNTIL A GO OR AUTO DIRECTIVE IS EXECUTED. 
*         READING OF INPUT WILL THEN RESUME.
* 
* 
* TFL     TEB  81/03/04 
*         THIS MODSET DOCUMENTS THE CHANGE IN ODS 2.0 
*         BINARY FILES TO DPSR LEVEL 114. 
* 
*         THE NEW BINARY FOR
*         THE ODS DIAGNOSTIC, MPRTC, REQUIRES THAT THE
*         1700 TRANSFORM BE ONE OF THE FOLLOWING- 
*         96752129, 96735700, 96752601, 96752604, 96837727, OR
*         96720404(LATEST VERSION). 
* 
* 
*  HPA3    RAS  81/02/27
*          MODSET HPA035416 COMBINES ALL DISK PACK S/N MESSAGES ON ONE
*          LINE IN THE UNIT ANALYSIS REPORTS.  THIS PREVENTS ALL
*          AVALIABLE MESSAGE SLOTS FROM BEING CONSUMED BY PACK S/N
*          MESSAGES, THUS REDUCING THE LIKELYHOOD OF TABLE OVERFLOW.
* 
* 
*  HPA    RAS  81/02/23 
*         MODSET HPA035410 MAKES MISCELLANEOUS CORRECTIONS TO THE DETAIL
*         STATUS ANALYSIS PROCESS.
* 
* 
* T7X     JES    81/01/26 
*         MODSET T7X040114 ADDS MODULE T7X36, TAPE TRACKING, TO THE 
*         STANDARD DIAGNOSTIC PASS OF T7X.  THIS MODULE SUPPORT FCO 
*         CA40786 (SINGLE FRAME SKEW) AND DPSR NUMBER 040114. 
* 
* 
* MALET   JES    81/01/28 
*         THIS MODSET ALLOWS THE RUNNING OF NON-I/O MODULES WITHOUT 
*         REQUIRING A DUMMY DEVICE TO BE ASSIGNED.  TO ACCOMPLISH 
*         THIS, THE USER MUST WRITE MODULES IN THE LOW LEVEL LANGUAGE 
*         (3000, 6000 OR BC ON MODULE CARD WITH DUMMY DEVICE CODE)
*         AND PERFORM A -RUN- DIRECTIVE WITHOUT ASSIGNING A DEVICE
*         (NO -ASSIGN- DIRECTIVE).  THIS CAPABILITY ALLOWS THE USER 
*         TO EXPERIMENT WITH THE MALET NON-I/O LANGUAGE COMMANDS IN 
*         A TRAINING ENVIRONMENT WITHOUT THE NEED TO ASSIGN A DUMMY 
*         DEVICE TO EXECUTE THE MODULES.  HOWEVER, THE SYSTEM MUST
*         STILL BE IN ENGINEERING MODE TO EXECUTE MODULES.  THIS MODSET 
*         IS IN RESPONSE TO DPSR 015559.
* 
* 
* HPA   SLS  81/03/09 
* 
* 
*        CORRECTS PROBLEM OF ACCIDENTALLY TURNING ON HPSORT IN
*        RELEASE - 125. 
* 
* HPA1    DDN    81/04/01 
*         MODSET HPA035844 CORRECTS A PROBLEM WITH MODSET HPA032619 
*         THAT WONT ALLOW ALL  DATA FOR SOME HPA PARAMATERS TO BE 
*         ENABLED.
*         DPSR HPA035844. 
* 
* 
*          PWL  81/04/01
* HPA3     MODSET HPA035836 ADDS "DATE" TO ANALYSIS REPORT
*          SUB-HEADER, PRINTS SECTION DIVIDERS. 
* 
* 
* HPA38    PWL  81/04/03
*          MODSET HPA035848 CORRECTS THE CHECKING OF
*          CONTINUE RECORDS FOR A170 REPORTS. 
* 
* 
* MALET   JES    81/04/07 
*         THIS MODSET CORRECTS A PROBLEM INTRODUCED BY MODSET MAL040053 
*         WHICH SUSPENDS READING INPUT WHEN IN TERMINAL MODE WHEN TIME
*         LIMIT IS REACHED.  MALET DOES NOT READ THE USER GO FROM THE 
*         TERMINAL. 
* 
* 
*         DPSR 035835 
* HPA     REF  03/24/81 
*         MODSET ENABLES THE READING OF A MULTI-FILE SEF BY HPA.
*         MODIFICATIONS ARE MADE TO THE OWNCODE EXIT 1 ROUTINE FOR
*         THE FIRST SORT (SEF TO LFN FSORT), WHEREBY THE SEF FILE IS
*         PROCESSED DIRECTLY, WITH CALLS TO CENTRALIZED INPUT/OUTPUT
*         (CIO) ROUTINES AND RECORD MANAGER INTERFACE (RMI) ROUTINES. 
*         EACH RECORD TO BE SORTED IS PASSED TO SORT IN ARRAY OUT(8)
*         IN THE SORT RETURN (SMRTN), AFTER BEING READ AND MASSAGED IN
*         OWNCODE EXIT 1 (SUBROUTINE ERRSET2).  A MULTI-FILE SEF IS 
*         HANDLED BY CLOSING AND RE-OPENING THE SEF FIT WHEN AN END-OF- 
*         PARTITION IS DETECTED, AS SEQUENTIAL FILES CANNOT BE POSITIONED 
*         BEYOND END-OF-INFORMATION (EOI).  NOTE THAT THE SMFILE STATE- 
*         MENT FOR THE FIRST SORT HAS BEEN DELETED IN ORDER TO PROCESS
*         THE SEF FILE DIRECTLY AND THE PARAMETERS HAVE LIKEWISE BEEN 
*         REMOVED FROM THE OWNCODE EXIT 1 SUBROUTINE ERRSET2.  MULTI-FILE 
*         SEFS MAY BE GENERATED BY SYSTEM COMMANDS COPYBR OR COPYBF.
* 
*         MODIFICATIONS HAVE ALSO BEEN MADE TO ENABLE THE READING OF A
*         MULTI-FILE SEF WHEN RUNNING HPA WITHOUT THE SORT/MERGE PACKAGE. 
*         HPA PROCESSES DATA WITH ITS OWN SORT ROUTINES IN OVERLAY 2
*         WHEN HPSORT HAS BEEN DEFINED IN THE UPDATE RUN (IE: *DEFINE 
*         HPSORT).  THESE CHANGES EXIST IN SUBROUTINE SALOAD2.
* 
* 
* HPA2    SLS  81/04/07 
* 
* 
*         MODSET HPA035850 CORRECTS THE PROBLEM OF HPSORT PRODUCING 
*         AN EXTRA RECORD OF ALL ZEROS. 
* 
* MALET   JES    81/04/02 
*         THIS MODSET CORRECTS A PROBLEM CREATED BY MODSET MAL032618. 
*         CURRENTLY, THERE IS NO PAGE EJECT PERFORMED WHEN PRINTING 
*         THE CROSS-REFERENCE TABLE FOR A MODULE AND PRINTING OCCURS
*         ACROSS THE PAPER FAN-FOLD.  THE MODLE CROSS-REFERENCE MAP 
*         IS CORRECTED TO USE FORMATTED PRINTING (PAGE EJECT/BANNER). 
* 
* 
* HISTORY  NDP    81/04/24
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL126RD.
* 
* 
*          PWL  81/03/19
* HPA5     MODSET HPA013090 CORRECTS WRONG DATES IN THE 
*          "DATE OCCURRED" SECTION OF THE SUMMARY REPORT, 
*          IF THE HISTORY FILE EXTENDS OVER THE YEAR END. 
* 
* 
* TFL     CL     81/03/13 
*         THIS MODSET ENABLES COMPILING SOURCE OF TFL99 MODULE. 
*         DPSR 030150.
* 
* 
* MALET10 JMO    81/03/31 
*         MODSET CORRECTS THE DISPLAY DIRECTIVE OF MALET
*         TO INCLUDE THE LIST AND SEND DIRECTIVES. DPSR 
*         023962. 
* 
* 
* HPA     DDN    81/03/04 
*         MODSET WILL INSERT 2 ** INTO THE LINES ON THE 
*         DETAIL REPORT WHERE THE CYLINDER,TRACK, OR
*         SECTOR INFORMATION ARE NOT IN AGREEMENT WITH
*         THE DETAILED STATUS. ALSO INSERT AN APPROPIATE
*         COMMENT AT THE END OF THE DETAIL REPORT.  THIS
*         MODSET APPLIES TO 844 AND FMD REPORTS ONLY. 
*         DPSR 033089 
* 
* 
*          PWL  81/03/31
* HPA7     MODSET CORRECTS THE REPORTING OF MTBI WHEN THERE IS
*          NO UNSCHEDULEDED DEGRADED EVENTS INTERRUPTIONS OR
*          UNSCHEDULED DOWN EVENTS INTERRUPTIONS. A DASH IS 
*          PRINTED INSTEAD OF ZEROES. 
* 
* 
* LP1     JMO    81/03/31 
*         MODSET CORRECTS MODULES 4 AND 5 TO PRINT A FULL 
*         LINE FOR A TYPE 6 TRAIN. DPSR 038213. 
* 
* 
* DTC       HNS 81/03/18
* 
*         DTC98A/98B DONT CHECK CYLINDER BOUNDARIES.(SERI)
*         DPSR 039402 
* 
* 
* DTC       HNS 81/03/18
* 
*         DTC FALSE ERROR IN MODULE DTC02.(SERI)
*         1. REMOVE REFERENCE TO DTC02B FROM DTC02 DOCUMENTATION. 
*         2. CHANGE RES ABORT TO PREVENT EXECUTION OF RTZ AT 60.
*         DPSR 039408 
* 
* 
*          PWL  81/03/23
* HPA1     MODSET HPA039407 CORRECTS PROBLEM WITH HW PARAMETER
*          WHEN THE HISTORY FILE EXTENDS OVER THE YEAR END. 
* 
* 
* TFF     JMO    81/04/01 
*         MODSET CORRECTS TFF SO THE EXTERNAL DOCUMENTATION 
*         WILL CONTAIN THE NECESSARY DOCUMENTATION TO EXECUTE 
*         THE TEST. DPSR 039603.
* 
* 
* DTC       HNS 81/03/20
* 
*         DTC IN CONCURRENT ENVIRONMENT.(SERI)
*         1. ADD ENABLE FULL SEEKS PARAM TO DTC98A/B. 
*         2. ADD P4 DOCUMENTATION TO DTC99A.
*         3. ADD P4 TO 3.2 PARAMETERS.
*         4. MOVE RES(S) IN DTC06/07/10 TO AVOID I/O TIMEOUT ERRORS.
*         5. CORRECT PARAMETER USAGE BUG IN DTC10.
*         DPSR 040078 
* 
* 
* HPERS    TEF  81/03/27
*          MODSET HPA013091 ADDS DOCUMENTATION FOR DSA PARAMETER. 
* 
* 
* DTC       HNS 81/03/24
* 
*         DTC05 GIVES ERRONEOUS MESSAGE 
*         DPSR 035984 
* 
* 
* HISTORY  NDP    81/04/24
*         THIS MODSET UPDATES THE BUILD 
*         IDENTIFIER FOR THIS BUILD TO
*         CL127PL.
* 
* 
* D88     JMO    81/01/30 
*         MODSET MODIFIES D88 TO ALLOW IT TO BE RELEASED
*         AS A NON-TSP DIAGNOSTIC. FEATURE DPSR 035893. 
* 
* 
* FMC     JMO    80/01/20 
*         MODSET INSTALLS UPDATE DEFINES INTO THE PL SO AS
*         TO ALLOW FMC TO BE ASSEMBLED WITHOUT TSP DEFINED. 
*         FEATURE DPSR 035893.
* 
* 
* FMD     JMO    80/01/20 
*         MODSET INSTALLS UPDATE DEFINES INTO THE PL SO AS
*         TO ALLOW FMD TO BE ASSEMBLED WITHOUT TSP DEFINED. 
*         FEATURE DPSR 035893.
* 
* 
* FMC       HNS 81/04/10
* 
*         FMC03 SELECTS 844 DRIVE UNIT 0. 
*         DPSR 037733 
* 
* 
* FMC       HNS 81/04/15
* 
*         FMC01 DOESNT WORK FOR UPPER BIT ERROR.
*         DPSR 027174 
* 
* 
* FMC       HNS 81/04/10
* 
*         FMC GETTING INVALID ERROR STOPS.
*         DPSR 011570 
* 
* 
* LP1     JMO    81/04/07 
*         MODSET CORRECTS THE I/O TIMEOUT THAT COULD OCCUR
*         IN LP1 MODULES 02,03,34,35 AND 38 IF THE PRINTER
*         WAS HUNG BUSY. DPSR 038217. 
* 
* 
* LP1     JMO    81/04/03 
*         MODSET CORRECTS THE IMAGE FOR A 595-6 TYPE TRAIN
*         IN LP1. DPSR 038215.
* 
* 
* TFF     JMO    81/04/08 
*         MODSET CORRECTS TFF02 TO ELIMINATE FALSE ERRORS 
*         OF PICKING BIT 11 ON TRYING TO RUN TFF AFTER
*         POWER UP OR RECABLING. DPSR 009238. 
* 
* 
* HPA35    PWL  81/04/09
*          MODSET HPA035983 RE-INITIALIZE ARRAY "NPORT" AFTER 
*          THE PROCESSING OF DATA FOR PORTS ACTIVE VS. HOUR 
*          OF DAY GRAPH.
* 
* 
* FMD     JMO    81/04/09 
*         MODSET CORRECTS FMD34 SO EXTERNAL DOCUMENTATION LINES 
*         ARE NOT ASSEMBLED AS SOURCE CODE. DPSR 035853.
* 
* 
* INSTLDKS TEF  81/04/15
*          MODSET INS035854 DELETES ALL *COMPILE,HPA6 CARDS FROM ALL
*          INSTALL DECKS AND ADDS *COMPILE,HPA39 FOR LCN
* 
* 
*         DPSR 033405 
* HPA     REF  04/20/81 
*         MODSET CREATES LCN SUB 3 OVERLAY (3,9) AND GENERATES
*         REPORTS FROM THE BINARY MAINT LOG LCN DATA WHICH WAS
*         CONVERTED TO SEF FORMAT IN NORM.  THE REPORTS ARE:  
*         1) LCN STATISTICS AND 2) LCN STATISTICS SUMMARY.  BOTH
*         PRESENT DATA FROM LCN RECORD TYPE 74B, WHICH CONSISTS 
*         OF TWO CONTIGUOUS SEF RECORDS CONTAINING DETAILED 
*         STATUS/USAGE DATA.  IN ADDITION TO USING HPA MECHANISMS 
*         FOR PROCESSING AND UNPACKING THE LCN SEF RECORDS,  LCN
*         DATA IS MASSAGED IN A SORT OWNCODE ROUTINE TO ACHIEVE 
*         ORDERING BASED ON HUI RATHER THAN EST FOR RT 74B AND ON 
*         RECORD TYPE RATHER THAN HUI/EST FOR RTS 75B/76B.
* 
* 
*         DPSR O33431 
*  HPA    REF 04/24/81
*         MODSET AMENDS THE MULTI-FILE SEF CAPABILITY, BY 
*         CORRECTLY PROCESSING THE LAST RECORD WHEN IT IS 
*         TO BE BYPASSED. 
* 
* 
* MALET   JES    81/04/24 
*         THIS MODSET CORRECTS A BUG IN THE MALET COMPILER FOR THE
*         COMPARE COMMAND (COMPARE W TO X FOR Y, ABT Z).  CURRENTLY,
*         THE COMPILER INCORRECTLY ALLOWS Y TO BE ANY REGISTER, NOT 
*         JUST B0-B15, WC AND BA AS DOCUMENTED.  CODE ADDED IN CML 3.1
*         WHICH MOVED THE PARAMETER REGISTERS P0-P9 TO MEMORY CELLS 
*         NOW MEANS BAD CODE IS GENERATED IF P0-P9 IS USED AS VALUE Y.
*         THIS BAD CODE CRASHES THE OPERATING SYSTEM. 
*         THIS MOD IS IN RESPONSE TO DPSR 033420. 
* 
* 
* HISTORY AKJ   81/05/13
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL128PL.
* 
* 
* MALET11 GLG    81/05/05.
*         MODSET ADDS CHECK FOR CONVERSION ERROR WHEN PROCESSING
*         ACCESS CODE FIELD ON ASSIGN DIRECTIVE.
* 
* 
* MALET20 JMO    81/04/14 
*         MODSET CORRECTS THE PROBLEM OF THE WRONG CODE 
*         BEING GENERATED FOR AN LCN INSTRUCTION FOR THE
*         LOG COMMAND INTRODUCED BY MODSET MAL035988. 
*         DPSR 035861.
* 
* 
* HPA1    SLS  81/04/13 
* HPA7
* 
*          MODSET HPAO35860 CORRECTS THE PROBLEM OF HPA SHOULD ABORT
*          IF THE I PARAMETER IS SELECTED WITHOUT THE NH PARAMETER
*          SPECIFIED. 
* 
* 
* MALET11 GLG    81/05/12.
*         MODSET ADDS HEX ABLITY TO ASSIGN PARAMETERS IF TRAILED
*         WITH A H. 
* 
* 
* DTC       HNS 81/05/13
* 
*         DTC13-16 ABORT WITH AL TO LOW.
*         DPSR 033404 
* 
* 
* DTC       HNS 81/05/13
* 
*         DTC15 LOOPS FOREVER.
*         DPSR 033402 
* 
* 
* T7X     MSF    81/05/08 
*         MODSET DETECTS AN ILLEGAL DENSITY SELECTION WHEN GCR DENSITY
*         IS SELECTED AGAINST A 679-2 THRU -4, IN MODULE 00 OF T7X
*         ON-LINE DIAGNOSTIC. 
* 
* 
* HPA34     LWW  81/05/20 
*           THE SECOND LINE OF A TWO-LINE DETAIL EXTENDED REPORT
*           ENTRY OCCASIONALLY APPEARS ON THE NEXT PAGE UNDER A SEPARATE
*           ERROR HEADING 
* 
* 
* HPA     GLG    81/05/22.
*         MODSET REMOVES INCORRECT COPYRIGHT AND PROPRIETARY
*         NOTICES.
* 
* 
* CPYCOM   GLG    81/05/22. 
*         MODSET REMOVES INCORRECT COPYRIGHT STATEMENTS FROM CPYCOM.
* 
* 
* CPYFTN  GLG    81/05/22.
*         MODSET CHANGES THE CONTROL DATA CORPORATION COPYRIGHT 
*         STATEMENTS TO MEET THE STANDARD.
* 
* 
* HPA36    SLS  81/05/28
* 
*        MODSET HPA032408  CORRECTS THE PROBLEM WHERE THE LCME SINGLE 
*        BIT FAILING AND THE SYNDROME CODE DID NOT MATCH. 
* 
* 
* MALET10 JMO    81/05/18 
*         MODSET CORRECTS THE MALET DEVICES DISPLAY ERRORS
*         CREATED BY MODS LCNMAL AND MAL37943C. DPSR 035895 
* 
* 
* HPA7    SLS  81/05/28 
* 
*        MODSET HPA035932 CORRECTS THE PROBLEM OF HARDWARE
*        RECORDS BEING XMITTED MORE THAN ONCE.
* 
* 
* HPA2    DDN    81/05/21 
*         MODSET WILL ENSURE THAT THE DEADSTART 
*         LEVEL FOR NOSBE SYSTEMS IS REPORTED ON
*         HPA SITE MANAGEMENT REPORTS.
*         DPSR 033474.
* 
* 
* HISTORY RBD   81/06/02
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL129PL.
* 
* 
* 
* 
* NLM     RBD 81/07/02
*         THIS MODSET ADDS DECK NLM 
*         (LCN) TO THE LIBRARY. 
* 
* 
* LCN     RBD 81/07/02
*         THIS MODSET ADDS DECK LCN 
*         TO THE LIBRARY. 
* 
* 
* LCM     RBD  81/07/02 
*         THIS MODSET ADDS DECK LCM TO THE
*         LIBRARY.
* 
* 
* NLM     MBA    81/06/24 
*         MODSET NLM037746 CORRECTS THE HARDWARE AND
*         CONTROLWARE STATUS REPORTING, CONTROL PACKAGE 
*         REPORTING, ERROR REPORTS FOR REMOTE LOAD ERRORS 
*         AND PROCESSOR STOPS FOR NLM.  THE STATUS CRACKING 
*         MODULES IN NLM HAVE BEEN UPDATED PER A02 VERSION
*         OF CONTROLWARE. 
* 
* 
* D88     JMO    81/05/22 
*         MODSET CORRECTS D88 SO IT CAN BE ASSEMBLED WITHOUT
*         TSP DEFINED. FEATURE DPSR 033484. 
* 
* 
* CR1     MSF    81/05/22 
*         MODSET CORRECTS DATA COMPARE DISPLAYS TO SHOW 80 COLUMN 
*         BINARY AND 40 COLUMN BCD DATA AND INFORMS USER IN WHICH 
*         FORM THE CARD WAS READ. DPSR 034137.
* 
* 
* HPA7    SLS  81/05/13 
* 
*        MODSET HPA033457 CORRECTS THE PROBLEM OF OPTIME MISSING
*        MESSAGE ALWAYS BEING PRINTED WHETHER THERE IS VALID
*        DATA OR NOT. 
* 
* 
* T5X     MSF    81/05/01 
*         MODSET CORRECTS DEEP END PROBLEMS IN MODULE 60
*         OF T5X WITH C17X AND 75IPS UNITS. DPSR 024349.
* 
* 
* FMC     JMO    81/05/22 
*         MODSET CORRECTS FMC SO IT CAN BE ASSEMBLED WITHOUT
*         TSP DEFINED. FEATURE DPSR 033484. 
* 
* 
* HPA1     TEF  81/06/11
*          MODSET HPA025724 CORRECTS THE PROBLEM OF MMF = X NOT BEING 
*          REPORTED IN THE "REPORTS CALLED" SECTION OF THE CONTROL CARD 
*          PARAMETER REPORT.
* 
* 
* HPA4    SLS  81/06/08 
* 
*        MODSET HPA025742  CORRECTS THE PROBLEM OF NOT
*        BEING ABLE TO USE THE CHANGE COMMAND FOR SITE
*        IDENTIFICATION INFORMATION.
* 
* 
* HPA4    SLS  81/06/08 
* HPA7
* 
*        MODSET HPA033938 CORRECTS THE PROBLEM OF THE LAST
*        TRANSMIT DATE APPEARED IN THE LAST ENTRY DATE
*        FIELD. 
* 
* 
* MALET10 JMO    81/06/01 
*         MODSET CORRECTS MALET10 SO THE FLASHING MESSAGE ON A
*         SEND COMMAND GETS CLEARED OUT AND AN OPERATOR GAVE
*         GO MESSAGE GETS PRINTED AT A TERMINAL. DPSR 033403. 
* 
* 
* FMD     JMO    81/06/05 
*         MODSET ADDS THE APPLICATIONS AND APPENDIX PORTIONS
*         OF FMD TO THE EXTERNAL DOCUMENTATION. DPSR 037167.
* 
* 
* HPA3    SLS  81/06/11 
* HPA38 
* 
*        MODSET HPA033456  CORRECTS SUMMARY REPORT ERRORS FOR 
*        SECDED PHASE II UNIQUE ERRORS. 
* 
* 
* FMC       HNS 81/06/10
* 
*         FMC02 WILL NOT LOAD CONTROLWARE.
*         1. ADD FULL AUTOLOAD DISABLED MESSAGE.
*         2. ADD CONTROLWARE VERSION LOADED MESSAGE.
*         3. REDUCE LENGTH OF FMC02 SOURCE. 
*         4. ADD FULL AUTOLOAD DISABLE MESSAGE. 
*         5. MAKE LENGTH ERRORS MORE DESCRIPTIVE. 
*         6. ADD SCRATCH FILE MISSING OR EMPTY CHECK AND MSG. 
*         7. ADD CONTROLWARE DATA CHECK TO FMC02 AND FMC31. 
*         DPSR 035554 
* 
* 
* HPA2        JRJ 81/06/10
* HPA39 
* 
*     NOTE    MODSET DIMA593 HAS TO BE CONCURRENTLY 
*     NOTE    INSTALLED IN PROGRAM LIBRARY - REL2B
*     NOTE    DECK - NORM 
* 
* 
*     DECK     HPA2 
*             SUBROUTINE - ERRSET2
*             THE SORT/MERGE OWN CODE EXIT 1 SUBROUTINE ERRSET2 
*             OF HPA2 HAS THE SEF(LCN) CHANGES DELETED. 
* 
*     DECK    HPA39 
*             SUBROUTINE - CHG39
*             ADD A *GO TO* BRANCH TO STOP THE PRINTING 
*             OF A *NAD CHANGED* MESSAGE AFTER
*             PRINTING A CHANGE DATE MESSAGE
* 
*             CHANGE FORMAT OF NUMBER OF DEFINED BUFFERS
*             FROM Z4 TO Z2.
* 
*             CHANGE FORMAT OF NAD CHANGE MESSAGE TO INCLUDE
*             A BLANK IN FRONT OF THE NAD.
* 
*             SUBROUTINE - R7439
*             INITIALIZE VARIABLE *REVLVL* WHEN R7439 IS ENTERED
* 
*             MODIFY TEST OF CHANGE IN PPU, EST, AND CHL
*             TO INCLUDE TYPE OF NAD (LOCAL/REMOTE) 
* 
* 
* 
* FMD       HNS 81/06/04
* 
*         FMD29/30 FAIL TO TEST THE ADDRESS SWITCHES CORRECTLY. 
*         1. ADD PICTURE TO DISPLAY MANUAL INTERVENTION ON TERMINAL.
*         2. ADD TESTS FOR STATUS WORD ONE TO FMD29.
*         3. CORRECT MASKS FOR STATUS CHECK IN FMC29. 
*         4. ADD ERROR MESSAGES 0503F AND 05040 TO FMD29. 
*         5. CORRECT AND ADD MASKS FOR STATUS CHECK IN FMC30. 
*         6. CORRECT SPELLING ON FMD42 SEEK TIME MESSAGE. 
*         DPSR 037730 
* 
* 
*         DPSR 033533 
* HPA     REF  07/02/81 
*         MODSET PROCESSES SEF RECORDS CONTAINING FEDERAL STANDARD
*         CHANNEL (FSC) TAPE ERRORS AND GENERATES DETAIL, DETAIL
*         EXTENDED AND ANALYSIS REPORTS.  IN ADDITION, THE FSC TAPE 
*         DATA WILL BE INCLUDED IN HPA SUMMARY AND ERROR LOG REPORTS
*         AS AN MT OR NT DEVICE TYPE.  REPORTS ARE AVAILABLE IN BOTH
*         132 AND 80 COLUMN FORMATS.  EACH FSC TAPE ERROR RESIDES 
*         IN TWO CONTINUOUS SEF RECORDS, SINCE THE INFORMATION COULD
*         NOT BE PACKED IN ONE 8 WORD RECORD.  THE DETAIL EXTENDED
*         REPORT DETAILS EACH BIT OF THE 24 HEX SENSE BYTES.
* 
* 
* MALET   JMO    81/06/09 
*         MODSET ENHANCES MALET SO IT CAN BE INTERRUPTED
*         FROM A TERMINAL WITHOUT ABORTING. ENHANCEMENT 
*         DPSR 037673.
* 
* 
* MALET10 JMO    81/06/09 
*         MODSET ENHANCES MALET SO IT CAN BE INTERRUPTED
*         FROM A TERMINAL WITHOUT ABORTING. ENHANCEMENT 
*         DPSR 037673.
* 
* 
* MALET12 JMO    81/06/09 
*         MODSET ENHANCES MALET SO IT CAN BE INTERRUPTED
*         FROM A TERMINAL WITHOUT ABORTING. ENHANCEMENT 
*         DPSR 037673.
* 
* 
* T7X     MSF    81/05/18 
*         MODSET CORRECTS THE PLOTS FOR FORWARD AND REVERSE 
*         START TIMES IN MODULES 31 AND 32 OF T7X FOR 100 
*         AND 150 IPS UNITS.  DPSR 014131.
* 
* 
* COMHPAERT, HPACOM39, HPA, HPA39  JRJ 81/07/06 
* 
*         MODSET HPA033535 ADDS CODE TO GENERATE ADDITIONAL LOOSELY COUPLED 
*         NETWORK (LCN) REPORTS.
* 
* 
* 
* MALET   JMO    81/07/09 
*         MODSET CORRECTS ILLEGAL TERMINAL REQUEST WHEN USING A 
*         BATCH JOB INTRODUCED BY MODSET MAL37673A. DPSR 033537.
* 
* 
* HISTORY RBD   81/07/14
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL130PL.
* 
* 
* FTP     MSF    81/24/06 
*         MODSET CLEARS MAINTENANCE STATUS IN MODULES 47 & 47A
*         OF FTP. THIS WILL LEAVE THE PRINTER IN A CONDITION
*         THAT IS USEABLE BY JANUS UNDER NOS/BE. DPSR 023778. 
* 
* 
* HPA33    SLS  81/06/18
* 
*        MODSET HPA035302 CORRECTS THE PROBLEM OF HPA ERRONEOUSLY 
*        REPORTING AN ERROR AS A 6681 INT/EXT REJECT ON A 66X 
*        TAPE SUBSYSTEM.
* 
* 
* HPA1    RAS    81/04/30 
*         MODSET HPA035403 CORRECTS THE BYPASS PARAMETER (B=EXXXX)
*         SO THAT LEADING ZEROS ARE NOT REQUIRED WHEN ENTERING ERROR
*         CODES ON THE HPA CONTROL STATEMENT. 
* 
* 
* HPA8     LWW  81/07/01
* 
*          MODSET INSTALLS CODE TO SUPPRESS THE HISTORY UPDATED 
*          REPORT, WHEN THE X=BF PARAMETER WAS SPECIFIED. 
* 
* 
* HPA1    DDN    07/10/81 
*         MODSET WILL PRINT AN INFORMATIVE ERROR MESSAGE
*         IF MORE THAN ONE X OR AN X AND R PARAMETER ARE
*         SELECTED. 
*         DPSR 038218 
* 
* 
* INSTLDKS JMO   81/07/20 
*         MODSET CORRECTS THE NOSBE R6 INSTALL DECK SO OVERFLOW 
*         IN PASS 1 ERRORS DO NOT OCCUR WHILE ASSEMBLING MALET. 
*         DPSR 033545.
* 
* 
* INSTLDKS JMO   81/07/20 
*         MODSET CORRECTS THE NOSBE R5 INSTALL DECK SO THE EDITLIB
*         DIRECTIVE FOR MALET IS CORRECT. DPSR 033547.
* 
* 
* HPA8    SLS  81/07/28 
* 
*        MODSET HPA033708 CORRECTS THE DATE IN THE HISTORY UPDATE 
*        REPORT WHEN THERE IS ONLY ONE DAY IN THE HISTORY.
* 
* 
* HPA34    LWW  81/07/01
*          MODSET CORRECTS LOOP WHEN SORTING DATA FOR "POSITION ANALYSIS
*          SUMMARY".
* 
* 
* HPA32   SLS  81/07/24 
* 
*        MODSET HPA033709  CHANGES THE SHR DESCRIPTION FIELD TO MATCH 
*        THE DETAIL DESCRIPTION FOR COMM. SUBSYSTEM HDWR ERROR CODE.
* 
* 
* MALET   JMO    81/07/29 
*         MODSET CORRECTS THE ASSIGNMENT OF AN ILLEGAL DEVICE 
*         FROM A TERMINAL. DPSR 033554. 
* 
* 
* MALET11 JMO    81/07/29 
*         MODSET CORRECTS THE ASSIGNMENT OF AN ILLEGAL DEVICE 
*         FROM A TERMINAL. DPSR 033554. 
* 
* 
* FMC       HNS 81/06/25
* 
*         FMC02 FAILS TO LOAD 8435 WORD CONTROLWARE.
*         DPSR 037747 
* 
* 
* HPA3     PWL  81/07/23
* HPA38    MODSET HPA033553 GENERATES S1/S3 SECDED II 
*          AND MAINTENANCE REGISTER REPORTS.
* 
* 
*         DPSR 033563 
*  HPA    REF  08/04/81 
*         MODSET PROCESSES SEF RECORDS CONTAINING FEDERAL STANDARD
*         CHANNEL (FSC) DISK ERRORS AND GENERATES DETAIL, DETAIL
*         EXTENDED AND ANALYSIS REPORTS.  IN ADDITION, THE FSC DISK 
*         DATA WILL BE INCLUDED IN HPA SUMMARY AND ERROR LOG REPORTS
*         AS A DX, DY, DZ OR DA FSC DEVICE TYPE.  REPORTS ARE AVAIL-
*         ABLE IN BOTH 132 AND 80 COLUMN FORMATS.  EACH FSC DISK ERROR
*         RESIDES IN TWO CONTINUOUS SEF RECORDS, SINCE THE INFORMATION
*         COULD NOT BE PACKED IN ONE 8 WORD RECORD.  THE DETAIL EX- 
*         TENDED REPORT DETAILS EACH BIT OF THE 24 HEX SENSE BYTES. 
* 
* 
* HISTORY DJU   81/08/05
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL131PL.
* 
* 
* 
* 
* FMC       HNS 81/06/18
* 
*         FMC DOES NOT ISOLATE LOST DRIVE CLOCK.
*         1. MODIFY FMC25 TO NOT USED FMD DRIVE.
*         2. ADD CODE TO FMC29 TO ISOLATE LOST DRIVE CLOCK. 
*         3. DELETE FMC24.
*            (SEE FMC037737)
*         4. CONVERT AND MOVE FMC24/25 TO FMC40/41 RESPECTIVELY.
*         5. ADD LOST CONTROL WORD STATUS TEST TO FMC25.
*         6. ADD SYNC BYTE SEARCH STATUS TEST TO FMC25. 
*         7. CORRECT FMC25 DOCUMENTATION. 
*         DPSR 037738 
* 
* 
* HPA34   DDN    81/08/04 
*         MODSET CORRECTS A PROBLEM IN WHICH THE
*         ERROR MESSAGE FOR DETAIL STATUS MISCOMPARE
*         IS PRINTED EVEN THOUGH A MISCOMPARE HAS 
*         NOT OCCURRED. 
*         DPSR 033542 
* 
* 
* HPA3    DDN    07/31/81 
*         THIS MODSET CORRECTS A PROBLEM IN WHICH THE LAST
*         RECORD OF SEF BEFORE EOF CAN BE MISSED FOR DETAIL 
*         AND ANALYSIS REPORTS.  THE FAILURE OCCURS ONLY
*         ON RT=44,74,33 THAT ARE NOT A CONTINUE RECORDS. 
*         DPSR 35419. 
* 
* 
* HPA8    DDN    07/17/81 
*         HPA GETTING RM 100 (POSITION BEYOND FILE
*         BOUNDS) WHEN UPDATING HISTORY FILES CON-
*         TAINING ONLY TWO RECORDS (STATISTICS AND
*         ONE SHR RECORD) WITH A SEF CONTAINING 
*         DATA FOR THE SAME DAY AS THE HISTORY. 
*         DPSR 039892 
* 
* 
* HPA7    SLS  81/07/31 
* 
*        MODSET HPA033705  CORRECTS SEVERAL SPA PROBLEMS INCLUDING -
*                        - WRONG PRINT STATEMENT FOR CYBERLOG COMMENTS
*                        - WRONG AND MISSING SEQUENCE NUMBERS 
*                        - INCORRECT LOAPR AND FORMAT STATEMENTS FOR
*                            DEADSTART MESSAGES 
* 
* 
* HPA36   SLS  81/03/30 
* 
* 
*         CORRECTS LCME SECDED BANK MISSING BITS (117 AND 116). 
* 
* MALET11 JMO    81/07/21 
*         MODSET CORRECTS THE PROBLEM OF RUNNING MALET TEST 
*         CSU ALWAYS ON CSU ZERO REGARDLESS OF WHICH CSU IS 
*         ASSIGNED BY EST ORDINAL. DPSR 011018. 
* 
* 
* HPA4    SLS  81/08/12 
* 
*        MODSET HPA033710  CORRECTS THE PROBLEM OF GARBAGE IN 
*        CHANGE = D  DUE TO NEW ERROR CODE INTRODUCED BY DSA. 
* 
* 
* HPA5     PWL  81/08/12
*          MODSET HPA035420 CONSOLIDATES LIKE ERRORS FOR
*          THE SAME DEVICE OF DIFFERENT DAYS ONTO THE SAME
*          LINE IN THE SUMMARY ERRORLOG (S=1) REPORT WITH 
*          THE R PARAMETER. 
* 
* 
* HPA1     LWW  81/07/01
* 
*          MODSET INSTALLS CODE TO IMPLEMENT A NEW HISTORY WINDOW 
*          PARAMETER FORMAT OF HW=DD, WHERE DD SPECIFIES THE NUMBER 
*          OF DAYS SELECTED STARTING FROM THE CURRENT SYSTEM DATE.
* 
* 
*         DPSR 033581 
*  HPA    REF  08/20/81 
*         MODSET MAKES CORRECTIONS TO FEDERAL STANDARD CHANNEL (FSC)
*         DETAIL REPORTS IN HPA.
* 
* 
* DTC       HNS 81/08/10
* 
*         DTC - CANNOT DETERMINE FAILING MODULE.
*         1. ADD MODULE NUMBER/TITLE MESSAGE TO LINE 2. 
*         2. CORRECT MODULE NUMBER/TITLE IN FMC01A. 
*         3. DELETE REDUNDANT LINE 2 MSG STATEMENTS.
*         4. ADD TEST TITLE LINE TO LINE 1 IN DTC98C/DTC98D.
*         5. ADD LINE/ERROR CODE MESSAGE TO DTC06A/07A/08A. 
*         6. CORRECT LINE/ERROR CODE MESSAGE IN DTC14A/16A. 
*         DPSR 039459 
* 
* 
* FMC       HNS 81/08/11
* 
*         FMC DOES NOT CHECK FOR CH ERROR(I.E. NO CABLES) 
*         DPSR 039461 
* 
* 
* DTC       HNS 81/08/07
* 
*         DTC02 FAILED TO ISOLATE BUSIN 7 FAILURE(B10-2PA13)
*         DPSR 035558 
* 
* 
* FMC       HNS 81/06/18
* 
*         FMC DOES NOT DETECT A CONTROLLER CH. ACTIVE ERROR.
*         1. ADD MISSING ABORT MESSAGES TO FMC290.
*         2. ADD .RES DRIVE. ABORT ISOLATION TO FMC29.
*         3. CHANGE READCW TO READ COMMAND TO ISOLATE CH.ACT.ERR. 
*         4. ADD CONTROLLER CHANNEL ACTIVE ERROR MSG TO FMC29A. 
*         5. ADD MODULE FMC29B FOR LOST DRIVE CLOCK ERROR MSGS. 
*         6. ADD CTRLR PROC. INSTR. TIMEOUT ERROR MSG TO FMC29B.
*         7. ADD CTRLR AND/OR DRIVE BUSY ERROR MSG TO FMC29B. 
*         8. CHANGE * TO / ON FMC29(S) SEPERATING COMMENTS. 
*         9. IMPROVE ISOLATION IN FMC29.
*         10.ADD MISSING ABORT MESSAGES TO FMC330.
*         11.ADD DETAILED STATUS DISPLAY TO FMC29 ERRORS. 
*         12.ADD CHECKWORD TYPE TO MSGS IN FMC29A.
*         DPSR 037737 
* 
* 
* FMD       HNS 81/06/19
* 
*         FMD DOESNT INDICATE POSSIBLE CONTROLLER FAILURE.
*         DPSR 037770 
* 
* 
* D88       HNS 81/06/18
* 
*         D88 GIVES WRONG PSFG ON LOST DRIVE CLOCK ERROR. 
*         DPSR 035986 
* 
* 
* 
* HPA     JRJ 81/08/28
* 
*                ******** 
*                * NOTE * 
*                ******** 
* 
* 
*         THIS MODSET MUST BE CONCURRENTLY INSTALLED WITH DIMA617 AND 
*         DIMA626 INTO NORM ON REL2B. 
* 
* 
*                ************ 
*                * END NOTE * 
*                ************ 
* 
* 
*         MODSET HPA48054 ADDS CODE TO HPA TO PROCESS LCN TYPE 3
*         INTERFACE ERRORS FOR CYBER170 AND IBM.
* 
* 
* 
* MALET30 JMO    81/08/21 
*         MODSET CORRECTS THE LEVEL NOT BEING RETURNED TO A TERMINAL
*         ON NOSBE. DPSR 033568.
* 
* 
* D44     MSF    81/08/04 
*         MODSET D44039478 CORRECTS MODULE 03 TO OUTPUT REGISTERS 
*         B0 - B7 IN THE ERROR DISPLAY.  B1 GIVES THE LOOP COUNT
*         OF A MODULE ERROR AND B4 GIVES THE LOOP COUNT OF A
*         PRODUCT OVERLAY ERROR.  THE MODSET ALSO DIFFERENTIATES
*         MODULE ERRORS FROM PRODUCT OVERLAY ERRORS.  DPSR 039478.
* 
* 
* DTC       HNS 81/08/28
* 
*         DTC98H ACCESS IN ERROR. 
*         1. CORRECT ACCESS DESIGNATORS IN DTC98H.
*         2. CORRECT ACCESS DESIGNATORS IN DTC98L.
*         DPSR 039471 
* 
* 
* MALET11 GLG    80/12/18.
*         MODSET CORRECTS MALET11 TO CHECK FOR ILLEGAL ACCESS 
*         LEVELS 5,6,7 ON RMS DEVICES. PROBLEM REPORTED ON DPSR 37947.
* 
* 
* HISTORY AKJ   81/09/10
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL132PL.
* 
* 
* CR1     MSF    81/08/25 
*         MODSET CR1043633 CORRECTS CR1 EXTERNAL DOCUMENTATION
*         TO INCLUDE AN OVERVIEW, RESTRICTIONS, RUN PARAMETERS, 
*         PROGRAM AND MODULE DESCRIPTIONS, ERROR PROCESSING AND 
*         MESSAGES ISSUED, MAINTENANCE PHILOSOPHY AND AN IMAGE
*         OF THE CR1 TEST DECK.  DPSR 043633. 
* 
* 
* FMD       HNS 81/08/28
* 
*         FMD72 CH NOT ASSIGNED.
*         DPSR 033564 
* 
* 
* HPA35    PWL  81/09/04
*          MODSET HPA033574 ADDS CODE TO PROCESS THE C3 PART
*          OF SCLN ACCOUNT FILE MESSAGES--NUMBER OF BLOCKS
*          TRANSMITTED OR RECEIVED IN ERROR.
* 
* 
* HPA38    PWL  81/08/24
* HPA8     MODSET HPA033556 ADDS 80 COLUMN REPORTS, REFORMATES
* HPA9     THE 132 COLUMN REPORTS FOR MSS.
* 
* 
* HPA7     LWW  81/07/30
*          MODSET COMPUTES SYSTEM AVAILABILITY PERCENTAGE AND 
*          CHANGES LAST COLUMN IN A=SY REPORT TO REFLECT
*          PREVIOUS MONTHS DATA 
* 
* 
* LCM      MRL 81/09/01 
* 
*          CORRECTION OF LCM MESSAGE FORMAT 
*          1. CORRECT MESSAGE HEADER ON A COMPARE ERROR 
* 
* HPA3    DDN    81/08/07 
*         MODSET CORRECTS A PROBLEM IN WHICH THE
*         DATES CONTAINED IN THE ANALYSIS REPORTS 
*         ARE NOT CONSISTANT WITH THE DATES IN THE
*         HISTORY FILE. 
*         DPSR 032410 
* 
* 
* TFF     JMO    81/09/09 
*         MODSET CORRECTS MODULES TFF05, 06 AND 10 TO CHECK FOR 
*         THE PROPER AMOUNT OF WORDS TRANSMITTED ON MULTIWORD 
*         INPUTS AND OUTPUTS. DPSR 046915.
* 
* 
* LP1     MSF 81/09/01
*         MODSET CORRECTS MODULES (04,05,06,07,09,10,14,24) OF
*         LP1 TO ISOLATE THE FAILING COLUMN NUMBER AND FAILING CHARACTER OF 
*         A PRINT ERROR.  DPSR 027318.
* 
* 
* HPA2     PWL  81/09/17
*          MODSET HPA040079 REPORTS THE FAILING CHANNEL 
*          IN THE INTERVENTION REPORT.
* 
* 
* HPA7    SLS  81/09/15 
* 
*        MODSET HPA033582  CORRECTS PROBLEM OF AN UNDEFINED VARIABLE
*        (IERR) IN SUBROUTINE DL1CY7. 
* 
* 
* HPA4    SLS  81/09/16 
* HPA7
* 
*        MODSET HPA039560  CORRECTS THE PROBLEMS OF - 
*        - DELETES NOT BEING REMOVED FROM SHR WHICH CAUSED
*          FILE OVERFLOW WHEN ADDING MORE HARDWARE CONFIGURATION. 
*        - INSERT LIST NOT STAYING IN THE ORDER WHICH IT WAS
*          ENTERED. 
*        - ADDED CY AND MMF TO SHR 50.
* 
* 
* HPA9    DDN    81/09/16 
*         THE TAPE MEDIA SCRATCH FILE IS NOT SORTED 
*         BY DAY AND AS A RESULT THE TAPE MEDIA 
*         SUMMARY REPORTS ARE NOT IN CORRECT ORDER
*         AND/OR NOT ALL DATES INCLUDED.  THIS MODSET 
*         WILL CORRECT THE PROBLEM. 
*         DPSR 039557.
* 
* 
* HPA2    SLS  81/09/16 
* 
*        MODSET HPA039563  ALLOWS CHANNEL, EQUIPMENT, AND UNIT
*        NUMBER TO BE ENTERED WITHOUT LEADING ZEROS 
*        WHEN CREATING THE HARDWARE CONFIGURATION TABLE.
* 
* 
* HPA3    SLS  81/09/17 
* HPA5
* HPA8
* HPA9
* 
*        MODSET HPA039564  CHANGES THE PRINT FORMAT OF THE HUID 
*        FROM OCTAL TO DECIMAL(INTEGER).
* 
* 
* HPA9    SLS  81/09/22 
* 
*        MODSET HPA039566 CORRECTLY CONVERTS THE HUID TO DECIMAL
*        IN THE MESSAGE "PLEASE RUN DIAGNOSTICS ON UNIT XX" 
*        WHEN RUNNING IN MMF MODE.
* 
* 
* HPA3     PWL  81/09/15
*          MODSET HPA033572 BYPASSES THE COUNTING OF 2550 
*          MESSAGES AGAINST CHANNEL 0.
* 
* 
*         DPSR 034707 
*   HPA   REF 09/25/81
*         MODSET ENHANCES THE TAPE UNIT ANALYSIS REPORT WITH A RANKED 
*         LIST OF VSNS HAVING THE GREATEST NUMBER OF RECOVERED ERRORS.
*         ONLY THE 20 MOST ERRONEOUS VSNS WILL BE REPRESENTED; VSNS 
*         WITH LESS THAN 3 ERRORS WILL BE EXCLUDED.  THUS, A TOOL FOR 
*         EVALUATING UNIT VS. MEDIA PERFORMANCE IS PROVIDED, AS PRO-
*         POSED IN SOLUTION DAP ARH 4352. 
* 
* 
* HISTORY RBD   81/10/08
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL133PL.
* 
* 
* 
* D44     MSF    81/09/17 
*         MODSET CORRECTS D44 MODULE 36 TO GO TO END
*         OF TEST.  DPSR 041310.
* 
* 
* HPA1    REH    07/01/81 
*         THIS MODSET ADDS A CHECK FOR ERRORS AFTER 
*         A CALL TO IVAL1.
*         DPSR 039573 
* 
* 
* FMC       HNS 81/09/30
* 
*         FMC01 ERROR MESSAGE 61001 LACKS PROD.OVERLAY MESSAGE. 
*         DPSR 033588 
* 
* 
* HPA      PWL  81/09/30
*          MODSET HPA007271 CORRECTS THE BUILD LEVEL ID 
*          IN THE RELEASED HPA PL.
* 
* 
* COMHPAERT    PWL  81/09/28
*          MODSET HPA033584 ENABLES 'FUNCTION TIME OUT' 
*          MESSAGES TO BE PROCESSED AS CHANNEL MESSAGES.
* 
* 
* HPA36    SLS  81/09/16
* 
*        MODSET HPA015794  ADDS THE BIT TO THE SCR ANALYSIS REPORT
*        AND REMOVES THE ROW SELECT, CHIP SELECT AND BOARD
*        FROM THE SCR ANALYSIS AND DETAIL REPORTS.
* 
* 
* HPERS   SLS  81/09/29 
* HPA2
* HPA3
* HPA38 
* 
*        MODSET HPA039562 CORRECTS THE PROBLEM OF WHEN DSA AND MMF
*        ARE BOTH SELECTED FICTITIOUS JOB NAME OF CONTINU APPEARS 
*        IN DETAIL REPORTS AND THE DSA PROCESSING IS NOT DONE.
* 
* 
* MALETP3 JMO    81/10/20 
*         MODSET CORRECTS MUX COMPILER SO THE CORRECT PARAMETER 
*         REGISTER ADDRESS IS USED WHEN COMPILING THE MUX DIAGS.
*         DPSR 034756.
* 
* 
* HPA38    SLS  81/10/12
* 
*        MODSET HPA034715 CORRECTS PROBLEMS IN THE
*        M2 SECDED ERROR REPORTS. 
* 
* 
* HPA37    PWL  81/10/20
*          MODSET HPA034714 SHORTENS THE EXTENDED DETAIL ERROR
*          REPORT FOR MSS.
* 
* 
* F44      LJC  81/10/29
*          THIS MODSET ADDS THE NEW F44 
           TO THE PROGRAM LIBRARY.
* 
* 
* FMU     JMO    81/10/22 
*         MODSET CLARIFIES THE ARCHIVE MESSAGE IN FMU17.
*         DPSR 034741.
* 
* 
* FLM     LJC  81/10/30 
*         THIS MODSET ADDS THE NEW FLM
*         TO THE PROGRAM LIBRARY. 
* 
* 
* FSM     LJC  81/10/30 
*         THIS MODSET ADDS THE NEW FSM
*         TO THE PROGRAM LIBRARY. 
* 
* 
* FFU     LJC  81/10/30 
*         THIS MODSET ADDS THE NEW FFU
*         TO THE PROGRAM LIBRARY. 
* 
* 
* F7X      LJC  81/10/30
*          THIS MODSET ADDS THE NEW F7X 
*          TO THE PROGRAM LIBRARY.
* 
* 
* HISTORY RBD   81/11/02
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL134PL.
* 
* 
* 
* F88      LJC  81/10/29
*          THIS MODSET ADDS THE NEW F88 
*          TO THE PROGRAM LIBRARY.
* 
* 
* HISTORY KES   82/01/08
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL135PL.
* 
* 
* 
* 
* HPA2    SLS  81/10/26 
* 
*        MODSET HPA034757 ADDS DOCUMENTATION TO MATCH2 AND CONFIG2. 
* 
* 
* D88     MSF    81/10/28 
*         MODSET CORRECTS MODULE 23 OF D88 TO ADD AN ABORT
*         PROCESSOR TO PROCESS THE FIRST RES DRIVE, READ, 
*         AND MARGINS ABORT.  DPSR 019285.
* 
* 
* D88     MSF    81/10/28 
*         MODSET CORRECTS MODULE 44 OF D88 TO RUN ALL READ
*         MARGINS SELECTED IN PARAMETER P7.  DPSR 042598. 
* 
* 
* ATC     MSF    81/09/16 
*         MODSET CORRECTS ATC MODULE 15 TO NOT RUN TCU
*         LOOP WRITE TO READ AT 200 IPS GCR IN SIX-BIT
*         MODE.  DPSR 038722. 
* 
* 
* CR1     MSF    81/10/07 
*         MODSET CORRECTS MODULES 04, 04A, 04B, 04C AND 
*         04D OF CR1 TO REPORT FOUR DATA COMPARE ERRORS 
*         BEFORE GOING TO END OF TEST.  DPSR 041448.
* 
* 
* MALET   JMO    81/11/13 
*         MODSET CORRECTS THE INTERNAL DOCUMENTATION OF MALET 
*         DEVICE CODES. DPSR 027329.
* 
* 
* HPA35    PWL  81/10/26
*          MODSET HPA034772 DELETES "BLOCKS RETRANSMITTED" AND
*          "UPLINE BREAK" SUB-HEADINGS FOR 2550 NAM AND INTER-
*          COM 5 TERMINAL DETAIL REPORTS. 
* 
* 
* HPA3     SLS  81/11/03
* HPA38 
* 
*        MODSET HPA034771 CORRECTS THE CHECK FOR CONTINUATION.
* 
* 
* HPA1    DDN    11/05/81 
*         MODSET ADDS A JULIAN DATE FEATURE TO THE *HW* 
*         PARAMETER.  IMPLEMENTATION ALLOWS THE JULIAN
*         DATE TO BE USED IN THE SAME MANNER AS THE 
*         CALENDAR DATE ENTRIES.
*         DPSR 039572 
* 
* 
* MALET   JMO    81/10/21 
*         MODSET CORRECTS MALET TO ADD XTEXT FOR CHANNEL TABLES 
*         FOR NOS R6. DPSR 034766.
* 
* 
* MALET10 JMO    81/10/23 
*         MODSET CORRECTS MALET10 SO IT ASSEMBLES AND EXECUTES
*         CORRECTLY WITH NOS R6. DPSR 034766. 
* 
* 
* MALET11 JMO    81/10/23 
*         MODSET CORRECTS MALET11 SO IT ASSEMBLES AND EXECUTES
*         CORRECTLY WITH NOS R6. DPSR 034766. 
* 
* 
* MALET   JMO    81/10/30 
*         MODSET CORRECTS MALET SO IT WILL ISSUE A MESSAGE TO 
*         THE DAYFILE IF THE RANDOM FILE IS FULL. DPSR 046916.
* 
* 
* COMHPAERT    PWL  81/11/09
*              MODSET HPA034597 ADDS ERROR CODE 403 (FUNCTION 
*              TIME OUT) TO HPA32 FOR THE UNIT RECORD EQUIP-
*              MENTS. 
* 
* 
*          DPSR HPA016366 
* HPERS    RTG  81/10/26
*          MODSET HPA016366 UPDATES HPERS TO INCLUDE SPA
*          RECORD FORMAT INFORMATION
* 
* 
* MALET   MSF    81/10/05 
*         MODSET CORRECTS A DOCUMENTATION ERROR IN THE
*         CODES FOR DEVICES TABLE FOR THE 580-20 LINE 
*         PRINTER.  DPSR 027325.
* 
* 
* DECK    MSF    81/11/04 
*         MODSET CORRECTS MODULE 36 OF T7X TO INFORM THE
*         USER THAT THE MODULE RUNS IN PHASE DENSITY ONLY.
*         DPSR  040087. 
* 
* 
* MALET   JMO    81/07/14 
*         MODSET CORRECTS THE POSSIBILITY OF CALLING MULTIPLE COPIES
*         OF SBP INTO ALL AVAILABLE PPS UNDER SPECIAL CONDITIONS. 
*         MODSET DIMA577 CORRECTS DECK SBP. DPSR 033544.
* 
* 
* MALET10 JMO    81/07/14 
*         MODSET CORRECTS THE POSSIBILITY OF CALLING MULTIPLE COPIES
*         OF SBP INTO ALL AVAILABLE PPS UNDER SPECIAL CONDITIONS. 
*         MODSET DIMA577 CORRECTS DECK SBP. DPSR 033544.
* 
* 
* MALET12 JMO    81/07/14 
*         MODSET CORRECTS THE POSSIBILITY OF CALLING MULTIPLE COPIES
*         OF SBP INTO ALL AVAILABLE PPS UNDER SPECIAL CONDITIONS. 
*         MODSET DIMA577 CORRECTS DECK SBP. DPSR 033544.
* 
* 
* HPA2     PWL  81/11/13
*          MODSET HPA034799 PICKS UP HUID FROM FMD SWITCH SETTINGS
*          IN DETAIL STATUS.
* 
* 
* RT5     MSF    81/11/11 
*         MODSET CORRECTS RT5 MODULE 6 TO RESERVE 
*         THE DEVICE AND CHANNEL IN THE SINGLE
*         CHARACTER SEQUENCE.  DPSR  035575.
* 
* 
* DTC     MSF    81/11/11 
*         MODSET CORRECTS DTC MODULE 12 TO DO A RES DRIVE,
*         AFTER A RETURN FROM THE MARGINS SUBROUTINE, BEFORE
*         ISSUING A READCW COMMAND.  DPSR 040090. 
* 
* 
* F7X     MSF    81/11/20 
*         MODSET CORRECTS F7X MODULE 980 TO DETECT TAPE PRESENT 
*         WHEN THE TAPE UNIT IS READY AND AT LOAD POINT.
*         DPSR  033451. 
* 
* 
* HPA2     PWL 81/11/30 
*          MODSET HPA042707 SENDS SORT MESSAGES TO THE DAYFILE
*          INSTEAD OF THE HPA OUTPUT WHEN HPSORT IS SPECIFIED.
* 
* 
* HPA      PWL  81/11/20
*          MODSET HPA034612 PICKS UP ALL 7 CHARACTERS OF THE VERSION
*          ID FOR HPA HEADER FROM EACH INTERNAL AND RELEASE BUILD.
* 
* 
* HPA36    SLS  81/12/03
* 
*        MODSET HPA039899 CORRECTS THE PROBLEM OF ECS READ PARITY 
*        AND WRITE PARITY ERRORS SHOWING UP AS UNUSED MESSAGES. 
* 
* 
* F44     JMO    81/11/19 
*         MODSET CORRECTS MODULE 14 OF F44 SO THE ERROR 
*         COUNT IS PRINTED TO THE DAYFILE. DPSR 033440. 
* 
* 
* F44     JMO    81/11/19 
*         MODSET CORRECTS F44 MODULE 13 SO A COMPARE ERROR
*         RESERVES THE DRIVE AFTER GOING TO THE ERROR PRO-
*         CESSOR. DPSR 033449.
* 
* 
* RT5     MSF    81/11/16 
*         MODSET CORRECTS RT5 DOCUMENTATION TO INFORM THE USER THAT IN
*         SIMULATOR MODE P2 DOES NOT CHANGE THE CHARACTER/BIT TIMES, THAT 
*         SIMULATOR CLOCK SET TO ANYTHING OTHER THAN 2000 BAUD WILL CAUSE 
*         RT5 TO FAIL, AND THAT AN INCORRECT SETTING OF THE SIMULATOR 
*         CLOCK WILL CAUSE FALSE ERRORS.  DPSR  035574. 
* 
* 
* NLM     MRL 81/09/17
* 
*         NLM GETS A SUBR ENTRY/EXIT ERROR
*         1. NLM02B HAS INCORRECT STACKING OF GOSUBS
*         2. END PREVIOUS SUBR BEFORE CALLING ANOTHER 
* 
* 
* F7X     MSF    81/12/03 
*         MODSET CORRECTS F7X MODULE 22 TO CHANGE THE ERROR 
*         CODE AT LINE 71 FROM 240 TO 241.  DPSR 033441.
* 
* 
* F7X     MSF    81/11/25 
*         MODSET CORRECTS F7X TO REMOVE OBSOLETE DETAILED STATUS
*         ERROR CODES, INCORPORATE NEW DETAILED STATUS ERROR CODES, 
*         AND TO ADD MODULE 987 TO PROCESS THE NEW DETAILED STATUS
*         ERROR CODES.   DPSR 033450. 
* 
* 
* FMD     MSF    81/12/08 
*         MODSET CORRECTS FMD MODULE 34 TO POSITION THE POSITIONER
*         TO CYLINDER 0 PRIOR TO THE ISSUE OF THE RTZ COMMAND WHEN IN 
*         A SHARED ENVIRONMENT AND HEAVY SYSTEM ACTIVITY. DPSR 033066.
* 
* 
* HPA2    SLS  81/12/22 
* 
*        MODSET HPA034611  CORRECTS A DUPLICATE DELETION IN 
*        MODSET HPA039563.
* 
* 
* HPA34    PWL  81/12/17
*          MODSET HPA034608 ADDS RT FOR RETRY COUNT IN DISK 
*          DETAIL REPORT SUBHEADER. 
* 
* 
*         DPSR 034613 
*  HPA    REF 12/14/81
*         MODSET REMOVES THE UNIT TYPE FROM THE DETAIL LINE OF TAPE 
*         REPORTS: FROM ERROR MESSAGE AND CUMULATIVE STATUS REPORTS,
*         FOR ALL DEVICE TYPES (60X/65X, 66X AND 67X) AND FOR 80 OR 
*         132 COLUMN FORMATS.  REASON: THE CURRENTLY REPORTED UNIT
*         TYPE IS EITHER INACCURATE (REFLECTS THE TCU RATHER THAN 
*         TU CAPABILITY) OR INVALID (STATUS WORDS NOT PRESENT FOR 
*         DETERMINATION).  SINCE THE ACTUAL UNIT TYPE REFLECTS THE
*         CONTROLLER TYPE, THE CORRECTED FIELD BECOMES REDUNDANT
*         INFORMATION AND THUS EXPENDABLE.  (ONE EXCEPTION: GCR 
*         UNIT TYPE FOR 67X CONTROLLERS. HOWEVER, THIS UNIT TYPE
*         IS OBVIATED BY THE DENSITY.)
* 
* 
*         DPSR 034616 
*  HPA    REF 12/29/81
*         MODSET ENABLES A COMPLETE LIST OF SELECTED HPA REPORTS, AS
*         SPECIFIED BY THE INPUT PARAMETERS.  THE LIST APPEARS AUTO-
*         MATICALLY, ON THE FIRST PAGE OF HPA OUTPUT, FOLLOWING THE 
*         FILE ASSIGNMENT SECTION.  HPA WAS NEGLECTING TO LIST
*         REPORTS SELECTED AFTER THE HISTORY WINDOW (HW) PARAMETER. 
* 
* 
* HPA5     PWL  81/12/21
*          MODSET HPA034633 ADVANCES THE PRINT LINE COUNT 
*          IN THE SYSTEM PERFORMANCE SUMMARY REPORTS. 
* 
* 
*         DPSR 033594 
*  HPA    REF 12/29/81
*         MODSET EDITS SELECTED SEF DATA - BOTH BEFORE AND AFTER IT IS
*         SORTED.  SPECIFICALLY, IT CHECKS THE RECORD TYPE, DEVICE TYPE 
*         AND THE DATE FOR VALIDITY.  ANY RECORDS WHICH CONTAIN UNQUALI-
*         FIED DATA ARE PRINTED AND DISCARDED, THUS ALERTING THE USER 
*         AND PROTECTING HPA REPORTS AND HISTORY FILE.  IN ADDITION,
*         MODSET SCREENS INFORMATION ENTERED WITH THE "DATE" PARAMETER, 
*         TO PREVENT A FATAL FORTRAN EXECUTION ERROR. 
* 
* 
* MALET   JMO    81/12/17 
*         MODSET CORRECTS MALET SO THE TERMINAL INTERUPT
*         WILL CHANGE THE NAME OF INPUT FILE BACK TO INPUT
*         IF IT HAS BEEN CHANGED. DPSR 034630.
* 
* 
* HISTORY GLG   82/01/14
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO CL136PL.
* 
* 
* 
* 
* SKEDULR JES    81/07/13 
*         THIS MODSET CORRECTS SKEDULR SUCH THAT APR CALLS TO EXECUTE 
*         SKEDULR CAN BE PERFORMED ONCE EVERY 3 HOURS INSTEAD OF ONCE 
*         AN HOUR (CURRENTLY, IF THE APR CALL SPECIFIES A RE-CALL OF
*         TIME OF MORE THAN 60 MINUTES, NO JOBS WILL BE SCHEDULED 
*         SINCE SKEDULR TREATS A PREVIOUS RUN OF MORE THAN AN HOUR
*         AGO AS TOO OLD, SO A NEW SEQUENCE IS STARTED).  THIS MODSET 
*         IS IN RESPONSE TO DPSR 033940 SUBMITTED BY S. BOUWMAN.
* 
* 
* SKEDULR JES   81/05/20
*         THIS MODSET CORRECTS A BUG IN SKEDULR THAT CAUSES JOBS THAT 
*         SHOULD BE SCHEDULED ON A SPECIFIC DAY OF THE WEEK TO ACTUALLY 
*         BE SCHEDULED ON THE WEEKEND.  THIS MODSET IS IN RESPONSE TO 
*         PSR 012078 (DIM0338) FROM ERIC LUIIJF.
* 
* 
* SKEDULR JES    81/05/20 
*         THIS MODSET CORRECTS THE PROGRAM DOCUMENTATION FOR THE NOSBE
*         SAMPLE JOB FOR EXECUTING SKEDULR.  TIMING PROBLEMS WITH THE 
*         APR CALLS FOR SOME SYSTEMS PREVENTS THE JOB FROM BEING
*         RESCHEDULED BY APR.  CHANGES ARE ALSO MADE TO CLEAN UP
*         JOB TERMINATION BY RELEASING PERMANENT FILES IN NOSBE TO
*         PREVENT TIMING PROBLEMS BETWEEN END OF JOB PROCESSING AND 
*         PERMANENT FILE PROCESSING ROUTINES.  THIS MODSET IS IN
*         RESPONSE TO PSR 012074 (DIM0339) FROM ERIC LUIIJF.
* 
* 
* SKEDULR JES    81/07/13 
*         THIS MODSET CORRECTS SKEDULING PROBLEMS IN NOSBE CREATED BY 
*         CLOCK WRAP-AROUNDS AT MIDNIGHT.  IT IS CURRENTLY POSSIBLE TO
*         MISS A SCHEDULING OR CAUSE THE SCHEDULE TO OCCUR ON THE SECOND
*         RUN PAST MIDNIGHT.  THESE PROBLEMS WERE REPORTED ON DPSR
*         033941 AND 033704 BY S. BOUWMAN.
* 
* 
* FMU       HNS 81/10/06
* 
*         FMU LONG CONTROLWARE MODS.
*         1. MODIFY FMU21 TO LOAD BOTH LENGTHS OF CONTROLWARE.
*         2. MODIFY FMU61 TO LOAD BOTH LENGTHS OF CONTROLWARE.
*         DPSR 033600 
* 
* 
* MALET   JMO    82/01/19 
*         MODSET CORRECTS MALET SO THE DEVICE CODE IS NOT CLEARED 
*         WHEN INTERRUPTING AT THE GO/DROP PAUSE. DPSR 34700. 
* 
* 
* MALET11 JMO    82/01/19 
*         MODSET CORRECTS MALET SO THE DEVICE CODE IS NOT CLEARED 
*         WHEN INTERRUPTING AT THE GO/DROP PAUSE. DPSR 34700. 
* 
* 
* HPA3    PWL  82/01/20 
*         MODSET HPA035523 CORRECTS THE PROBLEM OF MULTIPLE 
*         USAGE ENTRIES IN SHR BY ASSIGNING AN ERROR CODE 
*         OF 7777B TO USAGE RECORDS.
* 
* 
* HPA2    RAS  81/01/12 
* HPA21   MODSET HPA032624 SPLITS THE HPA SORT OVERLAY (2) INTO 
* HPA22   PRIMARY AND SECONDARY OVERLAYS.  THE RESULT IS: 
*         1- THE EXECUTION FIELD LENGTH REQUIREMENTS FOR HPA
*         ARE REDUCED BY APPROXIMATELY 11.2K OCTAL. 
*         2- FUTURE ADDITIONS OF DETAIL STATUS ANALYSIS FOR NEW 
*         DEVICES WILL HAVE LITTLE OR NO IMPACT ON THE EXECUTION
*         FIELD LENGTH REQUIREMENTS OF HPA. 
* 
*         THIS MODSET ALSO PLACES THE TABLES CVDT, DLT, AND SCT IN
*         SUBROUTINE *DSA* UNDER THE CONTROL OF A *CTEXT* PSEUDO, 
*         THEREBY REDUCING THE SIZE OF THE HPA PROGRAM LISTING BY 
*         8-131 PAGES.  THE *CTEXT* PSEUDO HAS NO IMPACT ON HPA 
*         EXECUTION.
* 
* 
*         DPSR 033160 
*  HPA    REF 01/20/82
*         MODSET HPA033160 EDITS SELECTED SEF DATA WHEN HPSORT IS USER- 
*         DEFINED.  SPECIFICALLY, IT CHECKS THE RECORD TYPE, DEVICE TYPE
*         AND THE DATE FOR VALIDITY.  ANY RECORDS WHICH CONTAIN UNQUALI-
*         FIED DATA ARE PRINTED AND DISCARDED, THUS ALERTING THE USER 
*         AND PROTECTING HPA REPORTS AND HISTORY FILE.
* 
* 
* NLM     MRL 81/08/18
* 
*         ADDITION OF REAL TIME CLOCK TO LOC. 40
*         1. MOVE DEVICE TYPE FROM 40 TO 44 
*         2. ADD REAL TIME CLOCK TO LOC. 40 
* 
* FLM     CJC   81/10/06
* 
*         ADDITION OF REAL TIME CLOCK TO LOCATION 40 OF LCN 
*         1. MOVE DEVICE TYPE FROM 40 TO 44 
* 
* 
* LCM     MRL 81/08/24
* 
*         ADDITION OF REAL TIME CLOCK TO NAD LOC. 40
*         1. DELETE READS FROM LOC. 40 IN NAD 
*         2. INSERT DOCUMENTATION CHANGES 
* 
* D44     MSF    81/12/21 
*         MODSET CORRECTS D44 MODULE 35 TO DO A FORWORD 
*         OFFSET EARLY STROBE READ MARGIN IN PASS NUMBER
*         6. THIS MODSET ALSO CORRECTS MODULE 36 TO DO A
*         REVERSE OFFSET LATE STROBE IN PASS NUMBER 4 AND A 
*         FORWORD OFFSET EARLY STROBE IN PASS NUMBER 6. 
*         DPSR  042466. 
* 
* 
* D44     MSF    81/12/17 
*         MODSET CORRECTS D44 MODULE 10 TO CHECK GENERAL
*         STATUS AFTER DOING A SHORT READ AND IN CONDITION
*         3.  DPSR 034625.
* 
* 
* D44     MSF    81/12/10 
*         MODSET CORRECTS D44 EXTERNAL DOCUMENTATION TO CAUTION 
*         THE USER THAT DATA CAN BE DESTROYED ANYWHERE ON THE 
*         PACK WHEN THE DIAGNOSTIC IS RUNNING UNDER PARAMETER 
*         DRIVEN MODULES WITH AN ACCESS LEVEL OF 4.  DPSR 034635. 
* 
* 
* DTC     MSF    81/12/10 
*         MODSET CORRECTS DTC EXTERNAL DOCUMENTATION TO CAUTION 
*         THE USER THAT DATA CAN BE DESTROYED ANYWHERE ON THE 
*         PACK WHEN THE DIAGNOSTIC IS RUNNING UNDER PARAMETER 
*         DRIVEN MODULES WITH AN ACCESS LEVEL OF 4.  DPSR 034635. 
* 
* 
* FTP     MSF    82/01/12 
*         MODSET CORRECTS FTP MODULES 46A AND 47A TO PRINT
*         THE CORRECT CHARACTER CODES FOR THE FORMAT LEVEL
*         WHEN TRAIN TYPE 6.  DPSR 024040.
* 
* 
* FMU     JMO    82/01/06 
*         MODSET CORRECTS THE FMU PL SO THE ENDIF STATEMENTS
*         DO NOT HAVE EXTRA LINES. DPSR 035004. 
* 
* 
* D44     JMO    82/01/04 
*         MODSET CORRECTS D44 MODULES 01 AND 02 SO
*         D44 AND D88 CAN BE RUN ON 2 ACCESSES AT 
*         THE SAME TIME UNDER DEMOT. DPSR 033454. 
* 
* 
* LCN     AKJ  81/12/07 
*         LCN MODULES LCN05 AND LCN12 
*         FAILS DUE TO CHANGE IN THE A03
*         LCN COMMON CONTROLWARE. 
* 
* 
* TFF     JMO    82/01/26 
*         MODSET CORRECTS MODULE 10 OF TFF SO IT WILL RUN 
*         WHEN THE TEST SEQUENCE IS EXECUTED. DPSR 034698.
* 
* 
* MALET11 JMO    82/01/27 
*         MODSET CORRECTS MALET11 SO THE PUNCH FILE WILL BE 
*         OUTPUTED ONLY ON A PUNCH DIRECTIVE ON NOS 6. DPSR 
*         034699. 
* 
* 
* MALET30 JMO    82/01/27 
*         MODSET CORRECTS MALET30 SO THE PUNCH FILE WILL BE 
*         OUTPUTED ONLY ON A PUNCH DIRECTIVE ON NOS 6. DPSR 
*         034699. 
* 
* 
* MALET10 JMO    82/01/29 
*         MODSET CORRECTS MALET SO AN EXTRA OPERATOR GO IS
*         NOT NECESSARY ON NOS R4. DPSR 034692. 
* 
* 
* FLM     JMO    82/01/19 
*         MODSET CORRECTS ALL THE PAUSES IN FLM SO A MESSAGE
*         WILL BE DISPLAYED AND PRINTED AT THE TIME OF THE
*         PAUSE. DPSR 033439. 
* 
* 
* FLM     JMO    82/01/18 
*         MODSET CORRECTS MODULE 02B SO 2 PAUSES DO NOT OCCUR 
*         ON 1 ERROR. DPSR 033437.
* 
* 
* MALET   JMO    82/01/20 
*         MODSET ADDS THE CALL VERS TO ALL OF THE MALET 
*         OVERLAYS SO THE BUILD LEVEL WILL APPEAR ON THE
*         DEADSTART BINARY. DPSR 035006.
* 
* 
* F44     JMO    82/01/07 
*         MODSET CORRECTS F44 MODULE 16 SO IT DOES NOT ERROR ON 
*         TRACK FLAWS. DPSR 035001. 
* 
* 
* INSTLDKS  PWL  82/02/04 
*           MODSET INS035010 ADDS "*COMPILE,HPA21" AND
*           "*COMPILE,HPA22" TO INSTALL DECKS.
* 
* 
* FLM     MSF    82/01/18 
*         MODSET CORRECTS FLM MODULE 01 TO RERESERVE THE CHANNEL
*         AFTER THE ERROR PROCESSOR HAS STOPPED THE PPU.
*         DPSR  033436. 
* 
* 
* SKEDULR JES    81/05/20 
*         THIS MODSET PROVIDES A NOSBE CAPABILITY TO DEFINE THE ORDER 
*         OF DAY, MONTH AND YEAR AS ENTERED BY THE OPERATOR AT DEAD-
*         START TIME.  CURRENTLY, IF THE ORDER IS NOT MONTH, DAY, YEAR
*         (MDY), SKEDULR WILL NOT SCHEDULE JOBS PROPERLY.  THIS DATA
*         IS OBTAINED FROM NOSBE IPTEXT, THEREFORE THE INSTALLATION 
*         OF SKEDULR INTO A NOSBE SYSTEM WILL NOW REQUIRE  S=IPTEXT 
*         ON THE COMPASS CARD (SEE INSTALLATION EXAMPLE IN THE CODE). 
*         THIS MODSET IS IN RESPONSE TO PSR 012076 (DIM0337) FROM 
*         ERIC LUIIJF.
* 
* 
* SKEDULR JES    81/05/20 
*         THIS MODSET CORRECTS A BUG IN SKEDULR THAT OCCURS WHEN A
*         LARGE JOB IS SCHEDULED UNDER NOSBE.  THE JOB DECK SUBMITTED 
*         TO THE INPUT FILE IS SHUFFLED SINCE THE SAME BUFFER IS USED 
*         BY SKEDULR TO PERFORM READS AND WRITES ON TWO DIFFERENT 
*         FILES.  IT ALSO CORRECTS PROBLEMS CREATED BY USING CMICRO 
*         INSTEAD OF MICRO STATEMENTS IN NOSBE.  THIS MODSET IS IN
*         RESPONSE TO PSR 012079 (DIMA0341) FROM ERIC LUIIJF. 
* 
* 
* SKEDULR JMO    82/02/111
*         MODSET CORRECTS SKEDULR SO IT DOES NOT GIVE DAYFILE MESSAGE 
*         SETQP MACRO NOT SUPPORTED ON NOS R6. DPSR 034691. 
* 
* 
*         DPSR 033158 
* HPA     02/08/82
* HPA39   MODSET HPA03158 ADDS CODE TO HPA39 TO PROCESS LCN NOS/BE
*         ERROR MESSAGES (RTY 76B).  IN ADDITION, THE MODSET ENHANCES 
*         OR CORRECTS LCN PROCESSING AS FOLLOWS:  
*         1) GENERATES LCN ANALYSIS REPORTS FOR NOS AND NOS/BE ERRORS;
*         2) ALLOWS USER TO SELECT LCN REPORTS WITH HPA PARAMETERS: 
*         DETAIL, STATUS AND/OR STATISTICS; 
*         3) CORRECTS THE SOURCE, MAINFRAME ID AND TYPE 3 BUFFER SIZE 
*         FIELDS IN THE LCN STATISTICS REPORT;
*         4) SUPPLIES THE LCN ERROR MESSAGES FOR THE SUMMARY AND SHR
*         REPORTS;
*         5) RESTORES THE EST FIELD FOR THE SUMMARY AND SHR REPORTS;
*         6) REMOVES THE DATE FIELD FROM THE LCN HEADERS AND INSERTS
*         THE DATE ON THE DETAIL LINE - TO REFLECT DATE CHANGES.
* 
* 
* HISTORY TRR   82/02/08
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L137*. 
* 
* 
* 
* 
* SKEDULR DAT    82/02/18 
*         THIS MODSET CORRECTS A MODSET TRANSMITTAL ERROR 
*         IN MODSET DIM0341 
* 
* 
* FMD     MSF    82/02/02 
*         MODSET CORRECTS FMD MODULE 96T TO ADD THE DECK BOARDS 
*         TO THE EXISTING LIST OF BOARDS TO BE REPLACED WHEN A
*         0A020 FAILURE OCCURS.   DPSR 027332.
* 
* 
* NLM     MSF    82/01/25 
*         MODSET CORRECTS NLM MODULE 01A TO DISPLAY THE CORRECT 
*         ERROR AND NOT ALLOW A FALSE SECOND ERROR OF BUFFER INDEX
*         OR WC ERR.  DPSR 033279.
* 
* 
* HPA38   PWL  82/01/26 
*         MODSET HPA034643 ADDS CODE TO CONTROL REPEATED LINES
*         OF MR DETAIL REPORT AND TO ELIMINATE UN-CALLED FOR MR 
*         ANALYSIS REPORT HEADER. 
* 
* 
* CR1     JMO    82/02/17 
*         MODSET CORRECTS CR1 SO IT WILL DETECT THE HARDWARE ERROR OF 
*         THE CHANNEL NOT GOING DEACTIVE ON AN END OF RECORD READ 
*         FUNCTION THE SAME AS KEDIAGS CR1 AND SMM CR1. DPSR 043698.
* 
* 
* HPA5    SLS  82/02/17 
* 
*        MODSET HPA016369 CORRECTS THE PROBLEM OF THE HUID GETS 
*        PRINTED AS **** IN S=3 REPORTS.
* 
* 
* HPA5    SLS  82/02/17 
* 
*        MODSET HPA016367  CORRECTS THE PROBLEM OF INCORRECT HUID 
*        IN THE HISTORY GRAPH REPORT. 
* 
* 
* HPA2    SLS  82/02/17 
* 
*        MODSET HPA016368 CORRECTS THE PROBLEM OF NO MATCH IS MADE
*        IF UNIT NUMBER IS 40 OR GREATER AND CONSEQUENTLY NO HUID 
*        IS RETURNED. 
* 
* 
*         DPSR 034636 
* HPA5    82/02/19 REF
*         MODSET HPA034636 CORRECTS THE DATES PRINTED IN THE
*         "DATE OCCURRED" PORTION OF THE SUMMARY REPORT WHEN
*         THE ERROR LOG MESSAGES SPAN A YEAR BOUNDARY.
* 
* 
*         DPSR 033159 
* HPA     REF 02/19/82
*         MODSET HPA033159 ADOPTS A UNIFORM DATE FORMAT THROUGHOUT HPA
*         REPORTS AS FOLLOWS: YY/MM/DD.  THE INCONSISTENT DATE PROBLEM
*         WAS IDENTIFIED BY PSR DIMA394.
* 
* 
* FTP     82/02/22
*         MODSET CORRECTS FTP98B SO THE CHARACTER A IS NOT
*         MISSING IN THE RIPPLE PATTERN GENERATION FOR A
*         TYPE 6 TRAIN. DPSR 042463.
* 
* 
* MALET   JMO    82/03/01 
*         MODSET CORRECTS THE PROBLEM OF HANGING MLD IN A PP
*         WITH A TERMINAL INTERRUPT IF RC IS ON WITH NOS R6.
*         DPSR 034603.
* 
* 
* MALET12 JMO    82/03/01 
*         MODSET CORRECTS THE PROBLEM OF HANGING MLD IN A PP
*         WITH A TERMINAL INTERRUPT IF RC IS ON WITH NOS R6.
*         DPSR 034603.
* 
* 
* HISTORY TRR   82/03/08
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L138*. 
* 
* 
* 
* 
* F7X     MSF    82/03/11 
*         MODSET CORRECTS F7X MODULE 03 TO DO A REWIND MOTION 
*         FUNCTION TO CLEAR THE RESET KEY DEPRESSED STATUS LATCH
*         IN THE TAPE DRIVE PRIOR TO THE CHECKING OF UNIT STATUS. 
*         DPSR  008064. 
* 
* 
* HPA21   SLS  82/03/10 
* 
*        MODSET HPA033598 CORRECTS THE PROBLEM OF A STATEMENT 
*        LABEL ON AN END STATEMENT. 
* 
* 
* MALET   JMO    82/03/08 
*         MODSET REMOVES THE MALET DOCUMENTATION THAT IS LISTED 
*         WITH THE *DEFINE,DOC WHEN ASSEMBLING MALET. THIS INFO 
*         IS THE SAME AS THE CML REFERENCE MANUAL. DPSR 027333. 
* 
* 
* HPA1    PWL  82/02/03 
*         MODSET HPA034647 CHANGES "PROGRAM ABORT" AND "ABORT"
*         MESSAGES TO "HPA RUN ABORT" IN ORDER TO AVOID THE 
*         CONFUSION WITH OPERATING SYSTEM ABORT.
* 
* 
* F44     JMO    82/03/05 
*         MODSET CORRECTS F44 MODULE 16 SO ONE ERROR WILL NOT 
*         CAUSE THE MODULE TO EXIT. DPSR 034627.
* 
* 
* F88     JMO    82/03/05 
*         MODSET CORRECTS F88 MODULE 16 SO ONE ERROR WILL NOT 
*         CAUSE THE MODULE TO EXIT. DPSR 034627.
* 
* 
* HPA36   SLS  82/02/25 
* 
*        MODSET HPA032625 CORRECTS THE PROBLEM OF REPORTING A 
*        FAILING BIT WHEN HPA DETECTS A DOUBLE BIT ERROR ON 
*        CY170 MACHINE. 
* 
* 
* F44     JMO    82/03/17 
*         MODSET CORRECTS MODULE 20 SO IF STOP ON ERROR 
*         IS CLEARED WHILE RUNNING SURFACE ANALYSIS THE 
*         MODULE WILL NOT  EXIT AFTER  10 ERRORS.  DPSR 
*         023622. 
* 
* 
* F88     JMO    82/03/17 
*         MODSET CORRECTS MODULE 20 SO IF STOP ON ERROR 
*         IS CLEARED WHILE RUNNING SURFACE ANALYSIS THE 
*         MODULE WILL NOT  EXIT AFTER  10 ERRORS.  DPSR 
*         023622. 
* 
* 
* LCN     MSF    82/03/08 
*         MODSET CORRECTS LCN MODULES 08, 10, AND 11 TO REPORT
*         A CONTROLWARE STATUS ERROR OF 17B (TRANSFER NOT READY)
*         ONLY AFTER A 10D ERROR LIMIT.   DPSR 033589.
* 
* 
* HPA36    SLS  82/02/25
* 
*        MODSET HPA027334 CORRECTS THE PROBLEM OF AN EXTRA BLANK
*        LINE IN THE SCR DETAIL REPORT, ADDS THE MMF ID TO THE
*        SCR ANALYSIS REPORT, AND ADDS THE ROW SELECT AND CHIP
*        THE SCR ANALYSIS AND DETAIL REPORTS. 
* 
* 
* COMHPAERT   PWL  82/03/10 
* HPS35       MODSET HPA032632 ADDS CE ERROR CODES TO 2550 MESSAGES,
*             CREATES A MATRIX OF CE ERRORS VS. PORT NUMBERS, AND 
*             CHANGES GRAPHS AND STATISTICS SUMMARY REPORTS TO BE 
*             CONTROLLED BY ST AND A PARAMETER AND DETAIL STATISTICS
*             REPORTS TO BE CONTROLLED BY ST AND D PARAMETER. 
* 
* 
* HPA36   SLS  82/03/11 
* 
*        MODSET HPA032623 CORRECTS PROBLEM OF SINGLE SECDED 
*        ERRORS NOT INCLUDED IN SR UNIT ANALYSIS REPORT.
* 
* 
*         DPSR 035014 
* HPA39   03/15/82
*         MODSET HPA035014 CORRECTS LCN/HPA REPORT IRREGULARITIES.
* 
* 
* MALET11 JMO    82/03/18 
*         MODSET CORRECTS THE PROBLEM OF GETTING INVALID
*         ACCESS LEVEL IF ASSIGNING RMS DEVICE WITH AN
*         AL OF 10. DPSR 034646.
* 
* 
* SKED    JMO    82/03/24 
*         MODSET CORRECTS SKEDULR SO CHANGING TFPFN OR PFILEID
*         CAN BE ACCOMPLISHED ON NOSBE WITOUT ASSEMBLY ERRORS.
*         DPSR 035045.
* 
* 
* HISTORY LJC   82/04/07
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L139*. 
* 
* 
* 
* 
* ATC     JMO    82/04/19 
*         MODSET CORRECTS ATC MODULE 52 SO IT DOES NOT FAIL 
*         WHEN RUN AFTER MODULE 51 ON DEMOT. DPSR 007059. 
* 
* 
* HPA21   SLS  82/04/13 
* 
*        MODSET HPA039591 CHANGES HPA SO IT OPTIONALLY
*        PRINTS (USING DX) SY MESSAGES OTHER THAN DEADSTART 
*        AND CYBERLOG.
* 
* 
* MALET   JMO    82/04/05 
*         MODSET UPDATES THE VERSION NUMBER TO 2 FOR THE CHANGES
*         THAT OCCURRED IN LEVEL 126 BUT WERE NEVER UPDATED IN
*         THE 66X AND 844HT PRODUCT OVERLAYS. DPSR 035579.
* 
* 
* SKEDULR JMO    82/04/15 
*         MODSET CORRECTS ASSEMBLY ERRORS OF SKEDULR ON NOSBE 
*         CAUSED BY MODSET SKED35045. DPSR 033141.
* 
* 
* HPA7    SLS  82/04/15 
* 
*        MODSET HPA033945 CORRECTS PROBLEM OF INCORRECT UNIT NUMBERS
*        IN THE SHR AFTER THE TRANSMIT FLAG IS SET. 
* 
* 
* DTC     MSF    82/03/31 
*         MODSET CORRECTS DTC MODULES 08 AND 11 TO RERESERVE
*         THE DISK DRIVE BEFORE THE NEXT SEEK TO A NEW CYLINDER 
*         IS ISSUED.  DPSR 039655.
* 
* 
* HPA8    SLS  82/04/01 
* 
*        MODSET HPA034747 CORRECTS THE PROBLEM OF CHANGES MADE
*        TO CYBERLOG ENTRIES WHICH WERE PREVIOUSLY CHANGED
*        ARE NOT SAVED. 
* 
* 
* COMHPAERT  PWL  82/03/25
*            MODSET HPA039589 COMBINES SYSTEM MESSAGES "POWER 
*            FAILURE" AND "POWER DOWN" INTO ONE ERROR MESSAGE 
*            "POWER FAILURE/DOWN" (327B). 
* 
* 
* HPA2    SLS  82/04/05 
* 
*        MODSET HPA035528 ADDS DATE / TIME AND LINE LIMIT CAPABILITY
*        TO THE INTERVENTION REPORT.
* 
* 
* SKEDULR JMO    82/04/16 
*         MODSET CORRECTS THE PROBLEM OF A SYNTAX ERROR ON
*         THE JOBS FILE AND AFTER CORRECTING THE SYNTAX TO
*         CONTINUE TO ROUTE THE EMPTY OUTPUT FILE EACH TIME 
*         SKEDULR IS ROLLED IN. DPSR 040505.
* 
* 
* HPA32   SLS  82/04/02 
* 
*        MODSET HPA033128 CORRECTS TYPING ERROR OF ERROR MESSAGE -
*        SCHEDULED MAINTENANCE. 
* 
* 
* HISTORY PMW   82/05/03
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L140*. 
* 
* 
* 
* 
* MALET   JMO    82/04/28 
*         MODSET CORRECTS MALET SO THE CROSS REFERENCE MAP IS NOT 
*         RETURNED TO A TERMINAL BUT TO THE ALTERNATE FILE AS THE 
*         LISTING IS WHEN THE MAP OPTION IS USED. DPSR 033597.
* 
* 
* MALET40 JMO    82/04/28 
*         MODSET CORRECTS MALET SO THE CROSS REFERENCE MAP IS NOT 
*         RETURNED TO A TERMINAL BUT TO THE ALTERNATE FILE AS THE 
*         LISTING IS WHEN THE MAP OPTION IS USED. DPSR 033597.
* 
* 
*         DPSR 037779 
* HPA21   05/03/82
*         MODSET HPA037779 ENABLES THE TAPE INTERVENTION REPORT TO
*         APPEAR CONCURRENTLY WITH THE SELECTION OF DETAILED STATUS 
*         ANALYSIS (DSA). 
* 
* 
*         DPSR O37781 
* HPA22   05/03/82
*         MODSET HPA037781 ENABLES DETAILED STATUS ANALYSIS (DSA) TO
*         PROCESS 67X/ATS RECORDS FROM NORM THAT CONTAIN AN UNDETERMINED
*         ERROR CODE (IE, ERROR CODE = 0).
* 
* 
*         DPSR HPA037780
* HPA     REF 04/29/82
*         MODSET HPA037780 ADDS THE 66X/MTS GENERAL STATUS WORD II
*         TO THE 80 AND 132 COLUMN TAPE DETAIL REPORTS.  ADDITIONALLY:  
* 
*         1) MODSET REMOVES CODE PREVIOUSLY INSERTED IN SETFLDS (IDENT
*         HPA403REF) TO COMPENSATE FOR MIS-ALIGNED TAPE SEF FIELDS FROM 
*         NORMS (NOS/BE).  NORMS WAS CORRECTED WITH IDENT DIM0371;
* 
*         2) MODSET ADDS AN ASTERISK TO THE DENSITY FIELD OF 67X DETAIL 
*         REPORTS TO DENOTE "ERROR CORRECTION DISABLED" CONDITION;
* 
*         3) MODSET ELIMINATES TRIPLICATE LABELING OF HPA33 TAPE FIELDS,
*         REMOVING IFLD ARRAY EQUVALENTS: FDS ARRAY AND FTX VARIABLES.
* 
*         THE GENERAL STATUS WORD II WAS PREVIOUSLY AVAILABLE BUT UNUSED
*         IN NORM-GENERATED SEFS; IT WAS MADE AVAILABLE IN NORMS-GENER- 
*         ATED SEFS WITH IDENT DIM0371. 
* 
* 
* HPA5    SLS  82/05/03 
* 
*        MODSET HPA034641 PRINTS REVISION NUMBER FOR FIRMWARE 
*        REVISION MESSAGE ENTRY IN DECIMAL INSTEAD OF OCTAL.
* 
* 
* HPA,HPA35   PWL  04/27/82 
* COMHPAERT   MODSET HPA033135 REPORTS CCP LINE, TRUNK, AND NPU 
* HPA3        STATISTICS FOR MULTI-HOST.
* 
* 
* HPA35   PWL  82/05/04 
*         MODSET HPA46713 STOPS THE PRINTING OF EMPTY PORT
*         ACTIVITY GRAPH AND STATISTICS SUMMARY HEADINGS
*         WHEN THERE IS NO INPUT. 
* 
* 
* FMD     JMO    82/05/04 
*         MODSET CORRECTS FMD MODULE 29 SO ADDRESS SWITCHES 
*         REFLECT A/B20 BOARDS INSTEAD OF JUST THE A20
*         BOARD. DPSR 050813. 
* 
* 
* FMD     JMO    82/05/04 
*         MODSET CHANGES THE ERROR MESSAGE IN FMD MODULE 97M
*         TO SET SYS MAINT BEFORE REPLACING ANY BOARDS. DPSR
*         050809. 
* 
* 
* D44     JMO    82/05/13 
*         MODSET CORRECTS MODULE 48 SO A RUNNING MESSAGE IS 
*         POSTED AND THE ERROR PROCESSOR IS CALLED FOR ALL
*         RESERVE ABORTS. DPSR 035897.
* 
* 
* FMD     JMO    82/05/05 
*         MODSET CORRECTS FMD MODULE 96S FOR ERROR MESSAGE 0A025
*         TO INCLUDE ADDRESS FIELD DATA BAD. DPSR 050802. 
* 
* 
* HPERS   SLS  82/05/24 
* HPA 
* HPA3
* HPA36 
* 
*        MODSET HPA050698 ADDS ESM DETAIL AND ANALYSIS REPORTS
*        TO HPA.
* 
* 
* MALET   JMO    82/02/01 
*         MODSET ADDS SYSREAD SYSWRITE AND SYSREWIND ESM TO MALET.
*         DPSR 035012.
* 
* 
* MALET11 JMO    82/02/01 
*         MODSET ADDS SYSREAD SYSWRITE AND SYSREWIND ESM TO MALET.
*         DPSR 035012.
* 
* 
* MALET12 JMO    82/02/01 
*         MODSET ADDS SYSREAD SYSWRITE AND SYSREWIND ESM TO MALET.
*         DPSR 035012.
* 
* 
* HPA7    PWL  82/05/27 
*         MODSET HPA33138 PRINTS "OPTIME NOT ENTERED" FOR AVAIL-
*         ABILITY IN THE SITE MANAGEMENT ANALYSIS REPORT WHEN 
*         OPTIME IS ZERO, AND "--" WHEN DOWN TIME EXCEEDS OPTIME. 
* 
* 
* HISTORY DJU   82/06/14
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L141*. 
* 
* 
* 
* 
* HPA4    SLS  82/06/09 
* 
*        MODSET HPA020015 MAKES SURE MMF AND CY ARE PLACED ON DUMMY 
*        50 AND 51 RECORDS. 
* 
* 
* ATC     JMO    82/06/14 
*         MODSET CORRECTS ATC MODULE 00 SO THE CONNECT FAILURE
*         MESSAGE IS NOT MISLEADING. DPSR 040518. 
* 
* 
*         DPSR 016701 
* HPA     REF  06/14/82 
*         MODSET HPA016701 RESPONDS TO THE IDENTIFICATION OF NOS R-6
*         1MT ERROR CODE CHANGES.  WHEN IMPLEMENTING THESE CHANGES IN 
*         NORM UNDER PSR DIMA777, AN INCORRECT ERROR CODE CONVERSION
*         WAS DETECTED.  MODSET HPA016701 ADDS AN ERROR CODE TO HPA TO
*         ENABLE THE CORRECT CONVERSION.  SPECIFICALLY, HPA ERROR CODE
*         37-NON-FATAL-USER-ERROR IS ADDED TO REFLECT NOS 1MT ERROR 
*         CODE 21-MFM-MULTI-FILE-NOT-FOUND.  IT IS CLASSIFIED AS A
*         COMMON ERROR, ACCESSIBLE TO ALL DEVICE TYPES. 
* 
* 
*         DPSR 033947 
* HPA22   RAS    82/06/04 
*         MODSET HPA033947 REPLACES THE 844 DETAIL STATUS 
*         ANALYSIS TABLES IN HPA.  THE MODSET CORRECTS TWO
*         PROBLEMS- 
* 
*         1. ISSUES TRACK FLAW OR SECTOR FLAW MESSAGES
*         IF A FLAWED SECTOR IS PROCESSED AND 
*         DETAIL STATUS ALSO INDICATES AN ADDRESS 
*         COMPARE ERROR (DPSR 033947) 
* 
*         2. CORRECTS A PROBLEM IN THE FLOW WHICH RESULTED
*         IN 2 ERROR MESSAGES NEVER BEING PRODUCED. 
*         (SC302-DSU P.S. TEMP ABNORMAL, SC303-DSU LOGIC
*         TEMP ABNORMAL) (DPSR 047826)
* 
*         NOTE - THE MODSET CHANGES THE HPA ERROR CODES ASSIGNED TO 
*         THE SPECIFIC MESSAGES.  844 REPORTS PRODUCED FROM 
*         HISTORY FILE DATA MUST BE GENERATED WITH THE
*         -DSA=ALL- PARAMETER INCLUDED ON THE HPA CONTROL 
*         STATEMENT AFTER THIS MODSET IS INSTALLED. 
*         OTHERWISE, ERRONEOUS REPORTS WILL BE PRODUCED.
*         ONCE ALL HISTORY FILE DATA WHICH HAD ERROR CODES
*         ASSIGNED BY A PREVIOUS VERSION OF HPA HAS BEEN
*         DROPPED, THE -DSA=ALL- PARAMETER IS NO LONGER 
*         REQUIRED.  IT MAY ALSO BE NECESSARY TO EDIT OLD 
*         ENTRIES FROM THE SHR RECORD.
* 
* 
* TFE     RJN    02/24/82 
*                MODSET ADDS 2400,4800, AND 9600 BAUD ASYNC 
*                SUPPORT TO DIAGNOSTIC TFE. PARAMETER REGISTER
*                P2 MUST BE SET TO 2402,4002 OR 6002 TO ENABLE
*                TESTING AT THESE SPEEDS.  THE CORRESPONDING
*                MODSET MUST BE INSTALLED IN MLD ON REL2B OR PL5
*                WHICH ALLOWS THE ABOVE PARAMETERS TO BE LEGAL. 
* 
* 
* T6X     JES    82/05/19 
*         THIS MODSET CORRECTS A PROBLEM IN THE COMPATIBILITY TEST, 
*         T6X80 AND T6X80A, CREATED BY CHANGES TO MLD WHICH USES
*         THE OUTPUT BUFFER AS A SLUSH BUFFER ON READS.  T6X80 USED 
*         WORD 477 OF OB TO SAVE AN INDEX FOR T6X80A WHICH GETS 
*         DESTROYED.  THIS CAUSES A BUFFER INDEX ERROR IN T6X80A ON 
*         7TK UNITS AND INVALID ERROR INFORMATION DISPLAYED FOR 9TK 
*         UNITS (IF T6X80A DETECTS AN ERROR). DPSR 038260.
* 
* 
* FMC       HNS 82/06/30
* 
*         REMOVE TSP CODE FROM FMC. 
*         DPSR 037799 
* 
* 
* MALETP2 JMO    82/06/30 
*         MODSET CORRECTS THE 580 LANGUAGE COMPILER SO A SELECT 
*         PREPRINT OR POSTPRINT WITHOUT THE Y PARAMETER WILL
*         GENERATE A SYNTAX ERROR. DPSR 050652. 
* 
* 
*         DPSR 037782 
* HPA2    REF  06/24/82 
* HPA21   MODSET HPA037782 ENABLES THE BYPASSING OF AN HUID.
* HPA22   THIS GOAL WAS ACCOMPLISHED BY RESTRUCTURING THE HPA2 OVERLAY
* HPA23   AS FOLLOWS: 
*         1) EDITING, HUID AND BYPASSING OPERATIONS HAVE BEEN MODULAR-
*         IZED AND PLACED ON THE PRIMARY OVERLAY LEVEL (2,0).  THEY ARE 
*         THUS ACCESSIBLE FROM THE HPA21-SORT/MERGE, HPA21-HPSORT AND 
*         HPA22-DSA SUB-OVERLAYS; 
*         2) THE READING OF THE HARDWARE CONFIGURATION TABLE, IN RE-
*         SPONSE TO THE MMF PARAMETER, HAS BEEN PLACED IN HPA23, A
*         NEW SUB-OVERLAY;
*         3) HPSORT (THE IN-LINE SORTING TO SUPPLANT THE SORT/MERGE 
*         PACKAGE) DATA HANDLING HAS BEEN MADE IDENTICAL TO THE SORT/ 
*         MERGE CAPABILITIES, WITH THE ADDITION OF MMF (ADDING AN HUID) 
*         AND DSA (DETAILED STATUS ANALYSIS); 
*         4) DATA FLOW HAS BEEN STREAMLINED, INDEPENDENT OF PARAMETERS
*         AND *IF,DEFINES.  EDITING, HUID AND BYPASSING OPERATIONS ARE
*         DONE PRIOR TO DSA AND SORTING; INTERVENTION REPORTING IS DONE 
*         AFTER DSA BUT PRIOR TO SORTING; DATA COMPRESSION IS DONE AFTER
*         DSA AND SORTING HAVE OCCURRED.
* 
*         RESTRUCTURING HAS GAINED 1K OF CRUCIAL FIELD LENGTH IN THE
*         HPA21-SORT/MERGE OVERLAY. 
* 
*         FURTHERMORE, MODSET HPA037782 REFORMATS INTERVENTION REPORTS, 
*         PROVIDING FORMAT CONSISTENCY BETWEEN DIFFERENT MESSAGES, AND
*         INCLUDING CHANNEL, EQUIPMENT AND UNIT NUMBERS IN ALL MESSAGES.
* 
* 
* HISTORY DJU   82/07/09
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L142*. 
* 
* 
* 
* 
*         DPSR 050621 
* HPA8    REF  07/01/82 
*         MODSET HPA050621 ENABLES MSFS MEDIA REPORTS FROM A HISTORY
*         (NEW OR OLD) FILE.  PREVIOUS CODE WAS NON-OPERATIONAL: EACH 
*         ACCESS OF A HISTORY FILE WAS PREFACED WITH A SKIPFILE COMMAND.
* 
* 
* MALET   JMO    82/05/17 
*         MODSET ADDS REPRIEVE PROCESSING TO MALET. THIS ALLOWS 
*         TERMINAL INTERRUPTS TO WORK CORRECTLY. DPSR 035040. 
* 
* 
* MALET10 JMO    82/05/17 
*         MODSET ADDS REPRIEVE PROCESSING TO MALET. THIS ALLOWS 
*         TERMINAL INTERRUPTS TO WORK CORRECTLY. DPSR 035040. 
* 
* 
* MALET11 JMO    82/05/17 
*         MODSET ADDS REPRIEVE PROCESSING TO MALET. THIS ALLOWS 
*         TERMINAL INTERRUPTS TO WORK CORRECTLY. DPSR 035040. 
* 
* 
* MALET12 JMO    82/05/17 
*         MODSET ADDS REPRIEVE PROCESSING TO MALET. THIS ALLOWS 
*         TERMINAL INTERRUPTS TO WORK CORRECTLY. DPSR 035040. 
* 
* 
* MALET30 JMO    82/05/17 
*         MODSET ADDS REPRIEVE PROCESSING TO MALET. THIS ALLOWS 
*         TERMINAL INTERRUPTS TO WORK CORRECTLY. DPSR 035040. 
* 
* 
*         DPSR 050620 
* HPERS   REF  07/30/82 
* HPA2    MODSET HPA050620 ENABLES THE PROCESSING OF SEF MESSAGES 
* HPA3    CONTAINING CORRECTED TAPE ERRORS.  SPECIFICALLY, THREE
* HPA33   HARDWARE-CORRECTED ERRORS ARE PROCESSED, AS FOLLOWS:  
* HPA8    -GCR SINGLE-TRACK READ CORRECTION,  ERROR CODE 2450B; 
* HPA9    -GCR SINGLE-TRACK WRITE CORRECTION, ERROR CODE 2451B; 
*         -66X/67X LATE DATA ERROR,           ERROR CODE 2452B. 
* 
* 
* COMHPAERT  PWL  82/07/15
* HPA,HPA1   MODSET HPA50633 GENERATES DETAIL AND ANALYSIS REPORTS
* HPA3,34    FOR DEMA.
* 
* 
* INSTLDKS JMO    82/07/28
*         MODSET ADDS COMPILE DECKS OF MALET2F MALET2G AND
*         MALET2H TO THE CML INSTALL DECKS. DPSR 050671.
* 
* 
* ATC     JMO    82/06/24 
*         MODSET CORRECTS ERRORS IN MODULES 36 AND 37 WHEN
*         RUNNING ON DOUBLE RANKED CHANNELS ON A 6000 OR
*         CYBER 70 WITH PATTERNS 2,5 AND 7. DPSR 050617.
* 
* 
* HISTORY LJC   82/08/09
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L143*. 
* 
* 
* 
* 
*         DPSR  HPA054338 
* HPA9    REF   08/12/82
*         MODSET HPA054338 SUPPLIES A CORRECTION TO MEDIA REPORTS FOR 
*         CORRECTED TAPE ERRORS.
* 
* 
*         PSR  DIM0448
* HPERS   REF  08/09/82 
* HPA1    MODSET DIM0448 EMBELLISHES THE HISTORY WINDOW PARAMETER 
*         DOCUMENTATION IN THE HPERS.  IT EXPLAINS THAT THE SPECIFIED 
*         NUMBER OF DAYS FOR THE HISTORY WNDOW ARE COUNTED BACKWARDS
*         IN TIME FROM THE REQUESTED BEGINNING DATE.
*         -----EXAMPLE: HW=820809/3 TRANSLATES TO HW=820809/820807. 
* 
*         MODSET ALSO PROVIDES 1 AS THE DEFAULT NUMBER OF DAYS, RATHER
*         THAN ALLOWING HPA TO ABORT WITH AN ERROR MESSAGE. 
*         -----EXAMPLE: HW=820809 TRANSLATES TO HW=820809/1.
*         -----EXAMPLE: HW TRANSLATES TO HW=CURRENT SYSTEM DATE/1.
* 
* 
*         PSR  DIM0446
* HPERS   REF  08/06/82 
* HPA1    MODSET DIM0446 CORRECTS THE HISTORY WINDOW PARAMETER TO 
*         COMPLY WITH THE STANDARD NOS SYSTEM DATE FORMAT OF YYMMDD.
*         IT REPLACES THE FORMAT OF MMDDYY. 
* 
* 
* NLM   GJH 82/3/12 
*       CLARIFY DOCUMENTATION PARAMETER P8
*       ALSO 99 MODULES NDM99, NDP99 AND NDT99
* 
* 
* HPA36   PWL  82/08/20 
*         MODSET HPA42779 REMOVES THE CHECKING OF ALPHA CHARATERS 
*         FOR MFID IN SCR DETAIL REPORTS TO ALLOW THE USE OF
*         NUMERIC CHARACTERS. 
* 
* 
*         DPSR  HPA042808 
* HPA33   REF   08/23/82
*         MODSET HPA042808 INSERTS A CUSTOMER-REQUESTED BLANK LINE IN 
*         THE TAPE ANALYSIS REPORT, FOR GREATER CLARITY.
* 
* 
*         DPSR  HPA042810 
* HPA34   REF   08/19/82
*         MODSET HPA042810 CORRECTS THE DISK DETAIL REPORT PROBLEM OF 
*         EVOKING A NEW PAGE WITH MISSING SUBHEADERS WHEN A DATE OR 
*         MESSAGE CHANGE FOR THE SAME DEVICE OCCURS MID-PAGE, BEFORE
*         THE CURRENT PAGE IS FILLED. 
* 
* 
*         DPSR  HPA042780 
* HPA5    REF   08/23/82
*         MODSET HPA042780 ENABLES THE HUID CHARACTER FLAG TO BE
*         PRINTED ASIDE THE HUID IN THE SYSTEM PERFORMANCE SUMMARY
*         REPORT AND GRAPH.  IT COMPLETES THE EFFORTS INITIATED UNDER 
*         MODSETS HPA016367 AND HPA016369.
* 
* 
*         PSR  DIM0447
* HPA33   REF  08/02/82 
*         MODSET DIM0447 CORRECTS THE PAGE LINE COUNT FOR HPA TAPE
*         DETAIL REPORTS.  IT PREVENTS A STAND-ALONE PAGE SUB-HEADER
*         FROM APPEARING AT THE BOTTOM OF A PAGE (IE. UN-FOLLOWED BY
*         DATA).  HPA DEFAULTS TO A PAGE LINE LIMIT OF 56.
* 
* 
* ATC      FBV    08/18/82
*          THIS MODSET PLACES MODULE 28 OF ATC
*          OUT OF THE ON-LINE TESTS SINCE IT
*          CAUSES CHANNEL PARITY ERRORS. DPSR 50701.
* 
* 
*         DPSR HPA054339
* HPA22   RAS  82/08/04 
*         MODSET HPA054339 ADDS THE DETAIL STATUS ANALYSIS FEATURE FOR
*         885-4X/7155-4X (DEMA) TO HPA. 
* 
* 
* COMHPAERT  PWL  82/08/04
* HPA35      MODSET HPA50619 DELETES CE ERROR CODE AND SUB-CODE 
*            FROM 2550 DETAIL REPORTS BECAUSE THE ARE INCLUDED
*            IN THE TEXT OF THE MESSAGES. 
* 
* 
*         PSR   DIMA800 
* HPA39   REF   08/25/82
*         MODSET DIMA800 SUPPRESSES UNREQUESTED LCN STATISTICS
*         REPORTS.  LCN STATISTICS CAN ONLY BE OBTAINED WHEN BOTH 
*         LCN DETAIL AND STATISTICS REPORTS HAVE BEEN REQUESTED.
*         (D=NC OR =ALL AND ST=NC OR =ALL.) 
* 
* 
* MALET12 JMO    82/09/02 
*         MODSET CORRECTS SYSRDESM AND SYSWRESM SO THEY DO NOT
*         READ OR WRITE PAST ESM EOI. DPSR 054347.
* 
* 
* HISTORY PMW   82/09/07
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L144*. 
* 
* 
* 
* 
* MALET   JMO    82/09/16 
*         MODSET CORRECTS MALET SO 5 CONSECUTIVE ESM
*         SYSRDS GIVE A STATUS OF 2 WHICH INDICATES 
*         EOI. DPSR 054363. 
* 
* 
* HPA2    PWL  82/08/13 
* HPA3    MODSET HPA039314 CORRECTS THE PROCESSING OF ECS MESSAGES. 
* HPA36   1. ECS MESSAGES WILL NO LONGER BE SORTED BY LINK CHARACTER
*            OR ERROR INCIDENT NUMBER.
*         2. DETAIL REPORT WILL BE REFORMATED.
*         3. BLANK LINES IN ANALYSIS REPORT (ADDRESSES CONTAIN NO 
*            DATA) WILL BE SUPPRESSED.
*         4. CHANNEL NUMBER AND UNIT NUMBER OF EC MESSAGES WILL BE
*            BLANKED OUT. 
*         5. UNKNOWN RECOVERY WILL BE LEFT BLANK. 
* 
* 
* HPA8    PWL  82/09/20 
*         MODSET HPA042804 CORRECTS THE PROBLEM OF COMPLEMENT 
*         DATA REPRESENTATION IN SHR DETAIL REPORT. 
* 
* 
* COMHPAERT 
* HPA22   RAS    82/09/13 
*         MODSET HPA054303 CHANGES THE 885 DSA FLOW SO THAT NO ATTEMPT
*         IS MADE TO ISOLATE LOST DATA ERRORS TO A SPECIFIC HEAD ON A 
*         FOUR HEAD PARALLEL DRIVE.  THIS SUPPORTS THE CHANGE TO THE
*         ERS RECEIVED FROM D. ROWE, 82/09/07.  THIS MODSET WAS 
*         CREATED USING THE DLT EDITOR, AND CORRESPONDS TO MODSET 
*         -DEMA03- ON FLOWPL. 
* 
* 
* HISTORY LJC   82/10/05
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L145*. 
* 
* 
* 
* 
*         DPSR  HPA042781 
* HPA     REF   09/28/82
* HPA1    MODSET HPA042781 PROVIDES ACCESS TO THE OLD HISTORY FILE FOR
* HPA23   MMF, SHR AND MEDIA REPORTS, WHEN THE HR (HISTORY READ) PARAM- 
* HPA4    ETER IS USED.  GENERAL ACCESS TO THE HISTORY FILE IS DENIED 
* HPA8    WITH THE HR PARAMETER, SINCE THE GENERATED SEF CONSISTS OF
*         RECORDS EXTRACTED FROM THE HISTORY FILE.  (REPORTS WHICH
*         RESULT FROM MERGED HISTORY AND SEF FILES WOULD BE INVALID:  
*         THE SUMMARY, SPA AND NEW HISTORY REPORTS AND NEW HISTORY
*         FILE.)  MODSET HPA042781 RESTORES ACCESS TO THE OLD HISTORY 
*         FILE, IN CONJUNCTION WITH THE HR PARAMETER, FOR SELECTED
*         FUNCTION/REPORTS WHICH DO NOT MERGE RECORDS FROM HISTORY AND
*         SEF FILES: THE MMF FUNCTION AND THE SHR AND MEDIA REPORTS.
*         EX: HP,H,HR,MMF=X,SHR,T,MF=H RESULTS IN THE FOLLOWING:  
*         1) MMF FUNCTION - CONFIGURATION TABLE READ FROM HISTORY FILE; 
*         2) SHR REPORT - PRODUCED FROM OLD HISTORY FILE; 
*         3) MEDIA REPORT - T,MF=H - PRODUCED FROM OLD HISTORY FILE.
*         MODSET HPA042781 ALSO CONTAINS AN ASSORTMENT OF CHECKS AND
*         MESSAGES TO PROTECT AND INFORM THE USER OF FILE AVAILABILITY
*         AND FILE REQUEST VALIDITY.  TO AVOID THE GENERATION OF INCOM- 
*         PLETE NEWHF AND NEWHF REPORTS, THE USER WILL NOT BE ABLE TO 
*         REQUEST A NEWHF WITH THE HR PARAMETER: A MESSAGE WILL RESULT
*         THAT THE NEWHF REQUEST HAS BEEN DENIED. 
* 
* 
*         PSR DIMA801 
* HPA1    REF 10/22/82
*         MODSET DIMA801 PREVENTS THE GENERATION OF JUNK RECORDS WITHIN 
*         HPA.  THE PROBLEM OCCURRED WHILE GENERATING A SEF FILE WITH 
*         HR (HISTORY READ) PARAMETER AND THE OLD HISTORY FILE DID NOT
*         CONTAIN ANY SPECIFED HR RECORDS TO EXTRACT.  EXAMPLE: HR=DT,
*         HR=EST OR HR=ESTUN AND THE HISTORY FILE DID NOT CONTAIN ANY 
*         SPECIFIED DATA, THE SEF WOULD CONTAIN A JUNK RECORD (THE FILE 
*         MARK) WHICH HPA WOULD CONTINUE PROCESSING.  MODSET DIMA801
*         ABORTS PROCESSING WHEN THIS CONDITION OCCURS, WITH THE
*         FOLLOWING MESSAGE:  
*         "--- OLDHF DID NOT CONTAIN SPECIFIED SEF DATA TO EXTRACT ---".
* 
* 
* HISTORY PMW   82/11/01
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L146*. 
* 
* 
* 
* 
*         PSR CMLA027 
* INITEM  REF 82/11/18
*         MODSET CMLA027 ADDS THE FOLLOWING LCN/REMOTE NAD ERROR CODES: 
*         - BML EC 2143B / HPA EC 1243B = ABNORMAL RESPONSE 
*         - BML EC 2144B / HPA EC 1244B = CONNECT IN PROGRESS TIMEOUT.
* 
* 
* HISTORY PMW   82/12/07
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L147*. 
* 
* 
* 
* 
* FMU       HNS 81/12/18
* 
*         PROVIDE A UTILITY FOR 885-4X DRIVES.
*         DPSR 034638 
* 
* 
* FMD       RFF     07/08/82
*           THIS MODSET WILL REMOVE THE *IF UPDATE DIRECTIVES FOR THE 
*           TSP SOURCE CODE IN THE FMD DECK. ALL NON-TSP CODE IN THE
*           FMD DECK WILL BE REMOVED. 
* 
* 
* FMD       RFF     07/08/82
*           THIS MODSET WILL ADD CODE TO THE FMD DECK TO WHICH WILL 
*           ENABLE IT TO TEST AN 885-4X DRIVE AS WELL AS THE 885-1X 
*           DRIVE AS IT NOW DOES.  DEFINING THE TERM SFMD DURING THE
*           UPDATE RUN WILL CAUSE THE TEST FMD TO BE COMPILED OR
*           DEFINING THE TERM PFMD DURING THE UPDATE RUN WILL CAUSE THE 
*           TEST FHD TO BE COMPILED.
* 
* 
* FMC       HNS 81/08/26
* 
*         FMC FOUR HEADS PARALLEL CORRECTIONS.
*         1. MOVE FMC17 AND RENAME IT FMC20.
*         2. SWAP ORDER OF ENOC/IPCS IN FMC18/19. 
*         3. ADD 4 HEADS MODULE NAMES (*IF PFMD). 
*         4. CONVERT ALL REFERENCES TO FMC TO COMPILE FHC CONDITIONALLY.
*         5. UPDATE DOCUMENTATION TO REFLECT CHANGES FOR 4 HEADS. 
*         6. ADD HEAD SELECT AND CHANNEL CHECKING LOOP CODE TO FMC18/19.
*         7. ADD CODE TO CHECK ALL SIX BITS OF NOC 3 IN FMC03.
*         8. UPDATE ISOLATION MESSAGES IN FMC03/18/19/20/21/22/23/
*            25/26/27.
*         9. ADD 30-SERIES FOR 844,40 FOR 885-1X, AND 50 FOR 885-4X.
*         10.CONVERT FMC24 TO TEST 4 HEADS IN LOW LEVEL.
*         11.ADD 4 HEADS PSFG(S). (FHDC/FHDD) 
*         12.UPDATE ERS FOR FHC AND 4 HEADS PARALLLEL.
*         13. MOVE CONTROLWARE CHECK IN FMC02 TO FMC989.
*         14. ADD CHECK FOR CONTROLWARE, CONTROLLER, AND DIAGNOSTIC 
*             COMPATIBILITY TO FMC02. 
*         15. CONVERT ALL MODULES OF FHC TO ALLOW DEVICE CODE 14. 
*         16. CONVERT FHC21/22/23/25/26/27 TO USE 6000 PROD. OVERLAY. 
*         17. ADD PARAMETER CHECKING SUBMODULES TO 30,40,AND 50 SERIES. 
*         18. ADD P8 PARAMETER CHECKS TO FMC00. 
*         19. CONVERT FHC29 TO LOW LEVEL AND NON-DRIVE TEST.
*         20. ADD LF DISPLAY TO UNEXPECTED ERROR MESSAGES.
*         21. CORRECT FORMAT 13 IN FMC01A FOR PFMD. 
*         22.ISOLATE A15-TP02 IN FMC01 (61006). 
*         23.FIX FHC02 WHEN CTRLR HANGS AT DS W/O CWARE.
*         24.ADD CHANNEL STATUS DISPLAY TO ERROR MESSAGES.
*         25.CORRECT MISCELLANEOUS TYPO(S). 
*         26.ADD FMC98X MODULES FOR DEMA1/DEMA2 PRODUCT OVERLAYS. 
*         27.UPDATE INTERNAL DOCUMENTATION. 
*         28.CORRECT DUPLICATE ERROR NUMBER IN FMC21B.
*         29. ADD STATUS VALID CHECKS TO FMC21/22/23. 
*         30.ADD CONTINUE TEST CAPABILITY TO 62002 ERROR MESSAGE. 
*         31.ADD GENERAL STATUS/A-REGISTER DISPLAY TO MSG 62002.
*         32.ADD PROCESSOR CLOCK TO CONTROL(S) IN FMC23.
*         33.ADD AL AND DC TO FMC99B DISPLAY. 
*         34.UPDATE RUN TIMES FOR ALL MODULES.
*         35.ENABLE NIC 2 TEST IN FMC20.
*         36.ADD LOST DATA TEST TO FMC20. 
*         37.CONVERT FMC20 TO DO FULL 16-BIT TEST.
*         38.ADD ISOLATION OF UPPER 8-BITS TO FMC20.
*         39.REMOVE GENERAL STATUS FROM FMC15/20. 
*         40.REMOVE GENERAL STATUS MESSAGES FROM FMC15B/15C/20A/20B.
*         41.PURGE FMC26 (NIC2 NOW TESTED BY FMC20).
*         42.ADD MISSING PWB(S) TO FMC23 MESSAGES.
*         43.ADD MISSING PWB(S) TO FMC18/19/20 MESSAGES.
*         44.ADD MISSING PWB(S) TO FMC03 MESSAGES (WIRED FANOUTS).
*         45.ADD MISSING PWB(S) TO FMC01 MESSAGES.
*         46.REMOVE DATA DISPLAY FROM MSG 6A007.
*         47.CORRECT ISOLATION MESSAGES IN FMC18A/B.
*         48.CORRECT ISOLATION MESSAGES IN FMC19A/B.
*         49.ADD BUSIN/OUT PARITY TEST TO FMC22.
*         50.ADD A18 TO FMC21/22 MESSAGES.
*         51.ADD FAILING DIFFERENCE TO FMC03 MSGS.
*         52.UPDATE DOCUMENTATION FOR FMC20.
*         53.REMOVE DATA DISPLAY FROM LOST CONTROLWORD MSG(FMC18) 
*         54.UPDATE DOCUMENTATION FOR FMC15.
*         55.ADD DOCUMENTATION FOR FMC27. 
*         56.CONVERT FMC02/03/04/07/08/09/11/13/15/18/19/20/21/22/23/24 
*            TO USE FHC010 FOR UNEXPECTED ERROR MESSAGES. 
*         57.DELETE FMC020/030/040/070/080/090/110/130/150/180/190/ 
*            200/210/220/230/240. 
*         58.RENAME FMC27/28/29/31/33 TO BE FMC25/26/27/28/29.
*         59.ADD NON-DRIVE SYNC BYTE SEARCH TEST (FMC24). 
*         60.ADD NON-DRIVE ECC FUNCTIONAL TEST (FMC27). 
*         61.ADD NON-DRIVE WRITE VERIFY TEST (FMC29). 
*         DPSR 037777 
* 
* 
* FEP     THIS MODSET ADDS THE DECK FEP TO THE CML LIBRARY. 
* 
* 
* MALET10 GLG    81/09/16 
*         MODSET ADDS DEMA SUPPORT TO MALET10.
* 
* 
* MALET20 GLG    81/09/15.
*         MODSET ADDS THE MALET COMPILER DEMA COMPILE SUPPORT 
*         TO MALET20. 
* 
* 
* MALETPF GLG    81/09/16.
*         MODSET ADDS COMDECK MALETPF TO CML 3.2 FOR DEMA SUPPORT.
* 
* 
* MALETPG GLG    81/09/16.
*         MODSET ADDS COMDECK MALETPG TO CML 3.2 FOR DEMA2 SUPPORT. 
* 
* 
* MALETPH GLG    81/09/16.
*         MODSET ADDS COMDECK MALETPH TO CML 3.2 FOR DEMA3 SUPPORT. 
* 
* 
* MALET2F GLG    81/09/15.
*         MODSET ADDS DECK MALET2F FOR DEMA1 SUPPORT TO MALET.
* 
* 
* MALET2G GLG    81/09/15.
*         MODSET ADDS DECK MALET2G FOR DEMA3 SUPPORT TO MALET.
* 
* 
* MALET2H GLG    81/09/15.
*         MODSET ADDS DECK MALET2H FOR DEMA3 SUPPORT TO MALET.
* 
* 
* LCI     PMW 82/04/01
*         THIS MODSET ADDS TEST LCI 
*         TO THE CL LIBRARY.
* 
* 
* D88        HNS 82/10/20 
* 
*         PROVIDE CONFIDENCE TEST (DH8) FOR DEMA SUBSYSTEM. 
*         1. ENABLE DH829 TO POST E0016 MESSAGE ON ERROR. 
*         2. ADD MODULES DH814/16/18/22/24 FOR DEMA SUPPORT.
*         3. ADD THREE SETS OF STATUS CRACKING SUBMODULES, ONE
*            FOR EACH DEMA PRODUCT OVERLAY. 
*         4. UPDATE DOCUMENTATION FOR DHEMA CHANGES.
*         5. ADD TWO NEW PSFG-S (CESM, DESM). 
*         6. CHANGE PARAMETER P8 TO BE FWA OF BUFFER DUMP.
*         7. CORRECT SPELLING ERRORS WHERE DISCOVERED.
*         8. ADD DOCUMENTATION FOR RESET ERRORS.
*         9. CONVERT THE SEEK TIMES IN DH813 TO DISPLAY IN DECIMAL. 
*         10.CORRECT DH809 TO DISPLAY CORRECT ERROR MESSAGE(E0004/E0005). 
*         11.CAUSE THE DH811 RUNNING MESSAGE LOOP COUNT TO INCREMENT. 
*         12.UPDATE DATA PATTERNS IN DH817 TO SUPPORT 4HP.
*         13.ADD CODE TO DELETE DEMA3 MODULES WHEN CMSE17X IS DEFINED.
*         14.CORRECT D8897I/98I TO DISPLAY DATA SYNC BYTR ERR MSG.
* 
* 
* D88        HNS 82/10/25 
* 
*         REMOVE *IF TSP-S FROM D88.
* 
* 
* FMD       RFF     12/16/82
*           THIS MODSET WILL REMOVE A EXTRA LINE OF CODE IN THE FMD DECK
*           WHICH CAUSES FMD98K MODULE TO GET COMPILE ERRORS WHEN 
*           COMPILED UNDER MALET. 
* 
* 
* HPA,HPA3   PWL  82/10/26
* HPA36      MODSET CMLA005 PROCESSES 865, 875 MAINTENANCE REGISTER 
*            DATA TO GENERATE DETAIL AND ANALYSIS REPORTS.
* 
* 
* FMU        HNS 82/12/13 
* 
*         FMU26, 27 DESTROY UTILITY MAPS. 
* 
* 
* HISTORY PMW   83/01/04
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L148*. 
* 
* 
* 
* 
* HPA31   RAS    82/12/20 
* HPA32   MODSET CMLA042 CHANGES THE NAME OF THE COMPASS SUBROUTINE 
* HPA33   *INITEM* TO *INTEMXX*, WHERE XX INDICATES THE OVERLAY TO
* HPA34   WHICH THE SUBROUTINE APPLIES.  THIS WILL ALLOW THESE
* HPA35   SUBROUTINES TO BE MORE EASILY MANIPULATED USING THE SYSTEM
* HPA36   UTILITIES *LIBEDIT* AND *COPYL*, SINCE THE SUBROUTINE WILL
* HPA37   NOW HAVE A UNIQUE NAME FOR EACH DIFFERENT OVERLAY.  THIS
* HPA38   WILL DECREASE THE AMOUNT OF SYSTEM RESOURCES REQUIRED TO
* HPA39   MAINTAIN THE PROGRAM. 
* 
* 
*         PSR CMLA028 
* HPERS   REF 83/01/19
* HPA     MODSET CMLA028 ADDS THE PROCESSING CAPABILITY OF SEF/4HPFMD 
* HPA1    RECORDS, RECORD TYPE=53B, DEVICE TYPE=DC, TO HPA. 
* HPA22   MODSET CMLA028 ALSO DROPS HPA SUPPORT OF THE FOLLOWING
* HPA3    OBSOLETE EQUIPMENTS:  
* HPA32   - 501 LINE PRINTER   - HPA RECORD TYPE 22B, DEVICE TYPE LP; 
* HPA33   - 808 DISK DRIVE     -  "    "     "   40B,   "     "   DB; 
* HPA34   - 813/814 DISK DRIVES-  "    "     "   41B,   "     "   DF; 
* HPA35   - 821 DISK DRIVE     -  "    "     "   42B,   "     "   DH; 
* HPA36   - 853/854 DISK DRIVES-  "    "     "   45B,   "     "   DD; 
* HPA37   - 863/865 DRUM       -  "    "     "   46B,   "     "   DC; 
* HPA38   - 6603 DISK DRIVE    -  "    "     "   47B,   "     "   AA/AC;
*         - LCC/M1000          -  "    "     "   53B,    "    "   CS/DA.
*         ANY ERRORS LOGGED AGAINST THE ABOVE DEVICES WILL APPEAR AS
*         UNUSED NORM MESSAGES.  ACTION WAS PROMPTED BY NOS REASSIGNMENT
*         OF DEVICE TYPES: DB AND DC REASSIGNED FROM THE 808 AND 863/865
*         TO DEMA AND 4HPFMD. 
* 
* 
* MALET10 JMO    82/11/18 
*         MODSET ALLOWS TWO PPS TO BE CALLED ON NOS 2 WITHOUT 
*         SETTING OR CLEARING THE DIS FLAG. PSR CMLA049.
* 
* 
* T7X     JMO    01/31/83 
*         MODSET CORRECTS CH NOT RESERVED ERROR IN T7X43 IF AN ERROR
*         IS DISPLAYED ON THE LAST RECORD OF THE CURRENT FILE BEFORE
*         THE ENDFILE COMMAND. PSR CML0056. 
* 
* 
* HISTORY LJC   83/02/09
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L149*. 
* 
* 
* 
* 
* FMC/FHC    HNS 83/01/20 
* 
*         FMC09/FHC09 EXAMINES WRONG PARAMETER BITS.
* 
* 
* FMC/FHC    HNS 83/01/20 
* 
*         FMC04/FHC04 TIME LIMIT CHECK IS INACCURATE. 
*         1. CORRECT DOC. ON DELAY TIME EQUATE. 
*         2. CHANGE LOWER TIME LIMIT CHECK TO USE B7. 
*         3. REMOVE 2**12 CARRY FROM QUOTIENT LOWER INCREMENT.
* 
* 
* FMC/FHC    HNS 83/01/20 
* 
*         FMC08/FHC08 UNEXPECTED ERROR DISPLAY MISSING. 
* 
* 
* FMC/FHC    HNS 83/01/19 
* 
*         FMC/FHC ISOLATION PERCENTAGES TOO LOW.
*         1. CORRECT FHC59 ISOLATION OF B23-2A33. 
*         2. CORRECT FHC02 ISOLATION OF CONTROLLER HUNG FAULTS. 
* 
* 
* FMC/FHC    HNS 83/01/20 
* 
*         FMC/FHC CONTAIN ILL-FORMATTED MESSAGES. 
*         1. CORRECT FORMAT OF MSG 69006H IN FMC15B/FHC15B. 
*         2. REMOVE REDUNDANT DATA FROM 6A010H IN FMC19A/FHC19A.
*         3. REMOVE REDUNDANT DATA FROM 69003H IN FMC15A/FHC15A.
* 
* 
* HPA36   PWL  83/02/09 
*         MODSET CMLA047 ADDS ESM SYNDROME CODE FAILING BITS TO 
*         ESM SINGLE BIT ERROR REPORT, STOPS THE PRINTING OF DOUBLE 
*         BIT ERRORS WHEN THE VALID BIT IS NOT SET, AND STOPS THE 
*         PRINTING OF PROGRAMMABLE SINGLE BIT COUNTER WHEN THE
*         COUNT IS ZERO.
* 
* 
* HPA38   PWL  83/01/12 
*         MODSET CMLA048 GENERATES DETAIL AND ANALYSIS REPORTS FOR
*         855 PROCESSOR ERROR MESSAGES AND DETAIL REPORT FOR MICRO- 
*         CODE/EI IDENTIFICATION. 
* 
* 
* DECK   MRL    83/02/24
*        MODSET CHANGES COMMENTS TO THE TROUBLE SHOOTING
*        MAP TO READ TROUBLE SHOOTING GUIDE 3-1.
* 
* 
* FMD    MRL    83/02/24
*        MODSET CHANGES MODULE 97T SO NOW THE 
*        ERROR MSG IS CORRECT.
* 
* 
* FMD     MRL   83/02/24
*         MODSET CHANGES A GOTO 44, TO A GOTO 46. 
*         THIS CHANGE IS IN MODULE 46.
* 
* 
* FMD    MRL    83/02/24
*        MODSET MAKES CHANGES TO MODULE 96J SO NOW
*        ISOLATION MODULES WILL BE DISPLAYED. 
* 
* 
* FMD    MRL    83/02/24
*        MODEST MAKES A CHANGE IN MODULE 48 WHERE 
*        A GOTO 30 IS NOW A GOTO 26.
* 
* 
* HISTORY PMW   83/03/07
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L150*. 
* 
* 
* 
* 
* MALET   JMO    03/11/83 
*         MODSET CORRECTS THE MULTIPLE ISSUING OF ERROR MESSAGES
*         ON AN ABORT. PSR CMLA069. 
* 
* 
* D88     JMO    03/14/83 
*         MODSET CORRECTS COMPILER ERRORS IN D88/DH8 MODULE 41. 
*         PSR CML0126.
* 
* 
*         PSR CMLA071 
* HPA     REF 83/03/25
* HPA3    MODSET CMLA071 PROVIDES THE PORT NUMBER FOR 875 MAINTENANCE 
* HPA36   REGISTER/SECDED ERRORS IN THE HPA DETAIL AND ANALYSIS REPORTS.
*         FIELD ENGINEERS WERE UNABLE TO DETERMINE THE ERROR SOURCE FROM
*         THE PREVIOUSLY-REPORTED CABINET NUMBER.  THESE 875 ERRORS ARE 
*         LOGGED IN THE NOS/BML WITH MSGID=205B, SYMPTOM CODE=334B/314B.
* 
* 
* FMD     JMO    83/03/23 
*         MODSET CORRECTS INTERMITTANT FALSE ERRORS IN FMD
*         MODULE 19 AND THE PROBLEM OF THE DRIVE GOING NOT
*         READY AS THE RESULT OF GIVING A GO AFTER THE
*         ERROR CONDITION. PSR CML0051. 
* 
* 
* HPA38   PWL  03/04/83 
*         MODSET CMLA064 ELIMINATES THE PRINTING OF P3 PFS
*         REGISTER CONTENTS OF ZEROS AND SEPARATES UNCORRECTED
*         ERROR COUNTS FROM THE TOTAL ERROR COUNTS. 
* 
* 
* HPA38   PWL  83/03/01 
*         MODSET CMLA067 SEPARATES SECDED DATA FROM MEMORY DATA IN
*         THE A170 MR SUMMARY REPORT, CONDENSES THE MEMORY SUMMARY
*         REPORTS AND CHANGES THE SUBHEADINGS TO BE MORE SPECIFIC.
*         IT ALSO MODIFIES CODE TO PROCESS REGISTER 21 FOR UN-
*         CORRECTED MEMORY ERRORS.
* 
* 
* HISTORY PMW   83/04/04
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L151*. 
* 
* 
* 
* 
* FMD     JMO    83/04/01 
*         MODSET CORRECTS INTERMITTANT FALSE ERRORS IN FMD MODULE 34
*         WHEN RUNNING ON 170 SERIES 835 TYPE HARDWARE. PSR CML0077.
* 
* 
* CIU     GWG    82/02/26 
*         THIS MODSET ADDS THE DIAGNOSTIS CIU TO THE CML
*         LIBRARY.
* 
* 
* FMD     JMO    83/04/07 
*         MODSET CORRECTS FMD MODULE 97R NOT TO CALLOUT THE 
*         DUPLICATE PWB OF A/B23 FOR THE ERROR CODE OF 0600B. 
*         PSR CML0125.
* 
* 
* HPA38   PWL  03/04/83 
*         MODSET CMLA063 GENERATES DETAIL AND ANALYSIS REPORTS
*         FOR P1 AND P2 ERROR MESSAGES. 
* 
* 
* FEP     JMO    83/04/14 
*         MODSET CORRECTS THE ERROR PROCESSORS TO GENERATE A
*         TRUE DISK ERROR MESSAGE AND TO DISPLAY THE CORRECT
*         CYLINDER TRACK AND SECTOR FOR A WRITE VERIFY ERROR. 
*         PSR CMLA038.
* 
* 
* D88/DH8 JMO    83/04/14 
*         MODSET CORRECTS THE ERROR PROCESSORS TO GENERATE A
*         TRUE DISK ERROR MESSAGE AND TO DISPLAY THE CORRECT
*         CYLINDER TRACK AND SECTOR FOR A WRITE VERIFY ERROR. 
*         PSR CMLA037.
* 
* 
* D88     JMO    83/04/22 
*         MODSET CORRECTS A DEFINE OF SFMD TO 2 LINES INSTEAD OF 3. 
*         PSR CMLA073.
* 
* 
* DH8     JMO    83/04/21 
*         MODSET CORRECTS DH8 TO INCLUDE PSFG FHDC ON AN
*         FMD ADDRESS FIELD CHECKWORD ERROR IN MODULES 15 
*         AND 17. PSR CMLA065.
* 
* 
* FMU     JMO    83/04/26 
*         MODSET CORRECTS FMU MODULE 04 AND 24 TO POST A MESSAGE
*         OF CANNOT SET FLAW IN FACTORY TRACK. PSR CML0165. 
* 
* 
* D44     JMO    83/04/25 
*         MODSET ADDS THE MESSAGE OF D4406 ERROR MODULE 41 MAY
*         HAVE TO BE RUN WHEN ENCOUNTERING AN ERROR ON EITHER 
*         A READ CODED OR COMPARE DURING THE FIRST PASS ONLY. 
*         PSR CML0107.
* 
* 
* D44     JMO    83/04/22 
*         MODSET CORRECTS D4407 TO CHECK FOR HT CONTROLWARE ON
*         A 7154 AND TO ISSUE A MESSAGE INDICATING THAT D4407 
*         REQUIRES FT CONTROLWARE. PSR CML0057. 
* 
* 
* HISTORY PMW   83/05/02
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L152*. 
* 
* 
* 
* 
* CMLINST RAS    83/1504/15 
*         MODSET CML0153 ADDS DECK CMLINST TO THE PROGRAM LIBRARY.
*         THIS DECK CONTAINS NEW CYBER CONTROL LANGUAGE (CCL) 
*         INSTALLATION PROCEDURES FOR CML.  REFER TO THE DSRB 
*         FOR INFORMATION CONCERNING THE USE OF THESE PROCEDURES. 
* 
* 
* D44     JMO    83/04/28 
*         MODSET CORRECTS D44 TO OUTPUT STATUS BUFFER WORDS 13
*         14 AND 15 FOR THE CORRECTION VECTORS. THIS MAKES D44
*         CONSISTANT WITH THE 844HT AND 844FT PRODUCT OVERLAYS. 
*         PSR CML0111.
* 
* 
* MLTDOC  JMO    83/05/04 
*         MODSET CORRECTS MLTDOC TO ALLOW FOR PAGE NUMBERS
*         GREATER THAN 999. PSR CML0025.
* 
* 
* HPA34    PWL  83/04/25
*          MODSET CMLA077 CORRECTS PRINT FORMAT FOR 819 DETAIL
*          REPORT.
* 
* 
* HPA36    PWL  83/05/06
*          MODSET CML0009 DELETES THE ADDRESS FIELD FROM THE DETAIL 
*          REPORT OF LCME SECDED ERROR COUNT BECAUSE THE INFORMATION
*          IS INCOMPLETE. 
* 
* 
* HPA36    PWL  83/05/06
*          MODSET CML0069 ELIMINATES THE PRINTING OF FAILING BIT
*          FOR LCME MULTIPLE BIT ERRORS.
* 
* 
* FMD     JMO    83/05/09 
*         MODSET CORRECTS FHD SO THE ISOLATION FOR 8005 ERROR 
*         CODE CALLS OUT A/B07 INSTEAD OF A/B11. PSR CML0174. 
* 
* 
* CMLINST RAS    83/05/12 
*         MODSET CMLA083 CORRECTS THE FOLLOWING PROBLEMS IN THE 
*         NOS/BE CML INSTALLATION PROCEDURES. 
*         1- CORRECTS AN ERROR IN THE DOCUMENATATION WHICH CAUSES 
*         PROCEDURE CML TO ABORT. 
*         2- CORRECTS A PROBLEM WHERE THE EDITLIB PARAMETER WAS NOT 
*         PASSED TO PROCEDURE CML2. 
*         3- UPDATES THE DOCUMENTATION TO REFLECT THE REQUIREMENT 
*         FOR PROCEDURE CML2 TO USE THE EDITLIB PARAMETER.
*         4- CHANGES THE TEST FOR THE EDITLIB PARAMETER IN CML2 SO
*         THAT IT IS EVIDENT WHAT PARAMETER IS BEING TESTED BY THE
*         STATEMENT.
*         5- CORRECTS THE COMMENT ON THE CML4 JOB STATEMENT.
* 
* 
* MALET   JMO     83/05/12
*         MODSET CORRECTS MALET PARAM LL DISPLAY OF 1750D 
*         WHEN 1000D IS SELECTED. PSR CMLA081.
* 
* 
* FMD     JMO    83/05/17 
*         MODSET CORRECTS FHD TO ISOLATE TO THE CORRECT BOARD ON A
*         08009 ERROR. PSR CML0187. 
* 
* 
* MALET   JMO    83/05/20 
*         MODSET CORRECTS MALET TO POST THE MESSAGE ON NOSBE OF 
*         RMS/AL GE 10 DISABLE UNITS NOT UNDER TEST ON CHCC.
*         PSR CML0181.
* 
* 
* MALET11 JMO    83/05/20 
*         MODSET CORRECTS MALET TO POST THE MESSAGE ON NOSBE OF 
*         RMS/AL GE 10 DISABLE UNITS NOT UNDER TEST ON CHCC.
*         PSR CML0181.
* 
* 
* CR1     JMO    83/05/25 
*         MODSET CORRECTS CR1 TO PAUSE ON THE ERROR CODE OF 0500
*         AND DISPLAY THE MESSAGE - UNEXPECTED EOR ON SCRATCH - 
*         ALSO ON THE NUMBER OF ERRORS AND THE MESSAGE - ABNORMAL 
*         TERMINATION - BEFORE EXITING THE MODULE. PSR CML0058. 
* 
* 
* CP1     JMO    83/05/25 
*         MODSET CORRECTS CP1 MODULE 21 TO PUNCH P4 NUMBER OF CARDS 
*         INSTEAD OF JUST 103 CARDS. PSR CML0121. 
* 
* 
* T7X     JMO    83/05/25 
*         MODSET CORRECTS T7X MODULE 36 TO ALLOW RUNNING ON A 9 TK
*         WITH ERROR CORRECTION DISABLED. PSR CML0071.
* 
* 
* COMHPAERT 
* HPA22   RAS    82/12/06 
*         MODSET CML0052 CORRECTS THE FOLLOWING PROBLEMS: 
* 
*         1- CORRECTS A PROBLEM WHERE SC107-X-SOFTWARE ADDRESS ERROR
*         IS ERRONEOUSLY GENERATED FROM A NOS/BE ERROR MESSAGE. 
* 
*         2- CORRECT MINOR TYPOGRAPHICAL ERRORS IN 4 ERROR MESSAGE
*         TEXTS.
* 
*         THIS MODSET WAS GENERATED BY THE DLT EDITOR AND CORRESPONDS 
*         TO MODSET 885FLO001 ON FLOWPL.
* 
* 
* FMD     JMO    83/05/26 
*         MODSET CORRECTS FHD 979 TO CALL OUT THE CORRECT MATCHED PAIR
*         FOR ERROR CODE OF 0800A. PSR CML0224. 
* 
* 
* HISTORY LJC   83/06/06
*         THIS MODSET UPDATES THE BUILD IDENTIFIER FOR
*         THIS BUILD TO *L153*. 
* 
* 
* 
* 
* HPA38   PWL  83/05/23 
*         MODSET CMLA108 CORRECTS POTENTIAL BAD PAK LOCATIONS FOR 
*         P1/P2 FS MESSAGES AND CHANGES PAK NAMES FOR S1 MINUS
*         PROCESSOR FS MESSAGES.
* 
* 
* CMLINST RAS    83/05/16 
*         MODSET CMLA092 CORRECTS A TAPE MISPOSITIONING PROBLEM IN
*         CML1 FOR NOS/BE IF NEITHER 66X NOR 7X54 IS DEFINED IN THE 
*         CALLING PROCEDURE.  MISCELLANEOUS CORRECTIONS TO PROCEDURE
*         DOCUMENTATION ARE ALSO MADE.
* 
* LCI   DHW      83/06/08 
*       THIS CHANGE ALLOWS LCI TO EXECUTE WITHOUT ERROR 
